﻿using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Windows.Forms;
namespace SpreadWinDemo.ChildControls
{

  public partial class ChildControls
  {

    SpreadComboBox cb = new SpreadComboBox();
    SpreadTextBox tb = new SpreadTextBox();
    SpreadButton btn = new SpreadButton();
    SpreadPropertyGrid pg = new SpreadPropertyGrid();
    SpreadRadioButton rb = new SpreadRadioButton();

    SpreadCheckBox ch = new SpreadCheckBox();
    int h = 1;
    int i = 1;
    int j = 1;
    int x = 1;
    int y = 1;

    int z = 1;
    public ChildControls()
    {
      InitializeComponent();
      this.Load += new System.EventHandler(this.Form1_Load);
      this.ComboBox2.SelectedIndexChanged += ComboBox2_SelectedIndexChanged;
    }
    private void Form1_Load(System.Object sender, System.EventArgs e)
    {
      ListBox1.Items.Clear();

      FpSpread1.Sheets.Count = 3;
      FpSpread1.ActiveSheet.Columns.Default.Width = 100;
      FpSpread1.ActiveSheet.Rows.Default.Height = 40;

    }



    private void FpSpread1_ActiveSheetChanged(object sender, System.EventArgs e)
    {
      foreach (object obj in ListBox1.Items)
      {
        string s = obj.ToString();
        string s1 = s.Remove(0, 7);
        FpSpread1.ActiveSheet.RemoveControl(s1);
      }
    }

    private void ComboBox2_SelectedIndexChanged(object sender, System.EventArgs e)
    {
      switch (ComboBox2.SelectedIndex)
      {
        case 0:
          SpreadTextBox tb = new SpreadTextBox();
          tb.Name = "SpreadTextBox" + i.ToString();
          tb.BackColor = Color.PaleTurquoise;
          tb.ForeColor = Color.Blue;
          tb.Height = (int)FpSpread1.ActiveSheet.Rows[FpSpread1.ActiveSheet.ActiveRowIndex].Height;
          tb.Width = (int)(int)FpSpread1.ActiveSheet.Columns[FpSpread1.ActiveSheet.ActiveColumnIndex].Width;
          tb.AutoSize = false;
          tb.Text = tb.Name;
          tb.Left = 50;
          tb.Top = 75;
          FpSpread1.AddControl(tb, FpSpread1.ActiveSheetIndex, FpSpread1.ActiveSheet.ActiveRowIndex, FpSpread1.ActiveSheet.ActiveColumnIndex);
          ListBox1.Items.Add("Added: " + tb.Name);
          i += 1;

          break;
        case 1:
          SpreadComboBox cb1 = new SpreadComboBox();
          cb1.Name = "SpreadComboBox" + j.ToString();
          cb1.BackColor = Color.Yellow;
          cb1.ForeColor = Color.Black;
          cb1.Height = (int)FpSpread1.ActiveSheet.Rows[FpSpread1.ActiveSheet.ActiveRowIndex].Height;
          //cb.Width = FpSpread1.ActiveSheet.Columns.Default.Width
          cb1.Width = (int)FpSpread1.ActiveSheet.Columns[FpSpread1.ActiveSheet.ActiveColumnIndex].Width;
          cb1.Text = cb.Name;
          cb1.Left = 50;
          cb1.Top = 75;
          cb1.Items.AddRange(new string[] {
					"One",
					"Two",
					"Three"
				});
          FpSpread1.AddControl(cb1, FpSpread1.ActiveSheetIndex, FpSpread1.ActiveSheet.ActiveRowIndex, FpSpread1.ActiveSheet.ActiveColumnIndex);
          ListBox1.Items.Add("Added: " + cb1.Name);
          j += 1;

          break;
        case 2:
          SpreadButton btn = new SpreadButton();
          btn.Name = "SpreadButton" + x.ToString();
          btn.BackColor = Color.Yellow;
          btn.ForeColor = Color.Black;
          btn.Height = (int)FpSpread1.ActiveSheet.Rows[FpSpread1.ActiveSheet.ActiveRowIndex].Height;
          btn.Width = (int)FpSpread1.ActiveSheet.Columns[FpSpread1.ActiveSheet.ActiveColumnIndex].Width;
          btn.Text = btn.Name;
          btn.Left = 50;
          btn.Top = 75;
          FpSpread1.AddControl(btn, FpSpread1.ActiveSheetIndex, FpSpread1.ActiveSheet.ActiveRowIndex, FpSpread1.ActiveSheet.ActiveColumnIndex);
          ListBox1.Items.Add("Added: " + btn.Name);
          x += 1;

          break;
        case 3:
          SpreadRadioButton rb = new SpreadRadioButton();
          rb.Name = "SpreadRadioButton" + z.ToString();
          rb.BackColor = Color.White;
          rb.ForeColor = Color.Black;
          rb.Height = (int)FpSpread1.ActiveSheet.Rows[FpSpread1.ActiveSheet.ActiveRowIndex].Height;
          rb.Width = (int)FpSpread1.ActiveSheet.Columns[FpSpread1.ActiveSheet.ActiveColumnIndex].Width;
          rb.Text = rb.Name;
          rb.Left = 50;
          rb.Top = 75;
          FpSpread1.AddControl(rb, FpSpread1.ActiveSheetIndex, FpSpread1.ActiveSheet.ActiveRowIndex, FpSpread1.ActiveSheet.ActiveColumnIndex);
          ListBox1.Items.Add("Added: " + rb.Name);
          z += 1;

          break;
        case 4:
          SpreadPropertyGrid pg = new SpreadPropertyGrid();
          pg.Name = "SpreadPropertyGrid" + y.ToString();
          pg.BackColor = Color.IndianRed;
          pg.ForeColor = Color.Black;
          pg.Height = (int)FpSpread1.ActiveSheet.Rows[FpSpread1.ActiveSheet.ActiveRowIndex].Height;
          //* 2
          pg.Width = (int)FpSpread1.ActiveSheet.Columns[FpSpread1.ActiveSheet.ActiveColumnIndex].Width;
          //* 2
          pg.SelectedObject = FpSpread1.ActiveSheet.Cells[FpSpread1.ActiveSheet.ActiveRowIndex + 2, FpSpread1.ActiveSheet.ActiveColumnIndex];
          pg.Left = 50;
          pg.Top = 75;
          FpSpread1.AddControl(pg, FpSpread1.ActiveSheetIndex, FpSpread1.ActiveSheet.ActiveRowIndex, FpSpread1.ActiveSheet.ActiveColumnIndex);
          ListBox1.Items.Add("Added: " + pg.Name);
          y += 1;

          break;
        case 5:
          SpreadCheckBox ch = new SpreadCheckBox();
          ch.Name = "SpreadCheckBox" + h.ToString();
          ch.BackColor = Color.White;
          ch.ForeColor = Color.Black;
          ch.Height = (int)FpSpread1.ActiveSheet.Rows[FpSpread1.ActiveSheet.ActiveRowIndex].Height;
          ch.Width = (int)FpSpread1.ActiveSheet.Columns[FpSpread1.ActiveSheet.ActiveColumnIndex].Width;
          ch.Text = cb.Name;
          ch.Left = 50;
          ch.Top = 75;
          FpSpread1.AddControl(ch, FpSpread1.ActiveSheetIndex, FpSpread1.ActiveSheet.ActiveRowIndex, FpSpread1.ActiveSheet.ActiveColumnIndex);
          ListBox1.Items.Add("Added: " + ch.Name);
          h += 1;
          break;

      }
    }

  }
}