﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using FarPoint.Win.Spread;

namespace SpreadWinDemo.Filtering
{
  public partial class Filtering : Form
  {
    public Filtering()
    {
      InitializeComponent();
      this.Load += new EventHandler(Filtering_Load);
      chkAutoFilter.Checked = fpSpread1.ActiveSheet.AutoFilter;
    }

    void Filtering_Load(object sender, EventArgs e)
    {
      for (int i = 0; i < fpSpread1.ActiveSheet.ColumnCount; i++)
      {
        fpSpread1.ActiveSheet.Columns[i].AllowAutoFilter = true;
      }
      comboBox1.SelectedIndex = 0;
    }

    private void comboBox1_SelectedIndexChanged(object sender, EventArgs e)
    {
      switch (comboBox1.SelectedIndex)
      {
        case 0:
          fpSpread1.ActiveSheet.AutoFilterMode = AutoFilterMode.EnhancedContextMenu;
          break;
        case 1:
          fpSpread1.ActiveSheet.AutoFilterMode = AutoFilterMode.FilterBar;
          break;
        case 2:
          fpSpread1.ActiveSheet.AutoFilterMode = AutoFilterMode.FilterGadget;
          break;
      }
    }

    private void chkAutoFilter_CheckedChanged(object sender, EventArgs e)
    {
      fpSpread1.ActiveSheet.AutoFilter = chkAutoFilter.Checked;
    }
  }
}
