﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SpreadWinDemo.FreezingRowsColumns
{
  public partial class FreezingRowsColumns : Form
  {
    public FreezingRowsColumns()
    {
      InitializeComponent();
    }

    private void SetFreezeRowCount_Click(object sender, EventArgs e)
    {
      try
      {
        int value;
        if (int.TryParse(this.lrCount.Text, out value))
        {
          this.fpSpread1.ActiveSheet.FrozenRowCount = value;
        }
      }
      catch (Exception ex)
      {

        MessageBox.Show(ex.Message);
      }

    }
    private void SetFreezeColumnCount_Click(object sender, EventArgs e)
    {
      try
      {
        int value;
        if (int.TryParse(this.lcCount.Text, out value))
        {
          this.fpSpread1.ActiveSheet.FrozenColumnCount = value;
        }
      }
      catch (Exception ex)
      {

        MessageBox.Show(ex.Message);
      }

    }

    private void SetTrailingRowCount_Click(object sender, EventArgs e)
    {
      try
      {
        int value;
        if (int.TryParse(this.trCount.Text, out value))
        {
          this.fpSpread1.ActiveSheet.FrozenTrailingRowCount = value;
        }
      }
      catch (Exception ex)
      {

        MessageBox.Show(ex.Message);
      }

    }

    private void SetTrailingColumnCount_Click(object sender, EventArgs e)
    {
      try
      {
        int value;
        if (int.TryParse(this.tcCount.Text, out value))
        {
          this.fpSpread1.ActiveSheet.FrozenTrailingColumnCount = value;
        }
      }
      catch (Exception ex)
      {

        MessageBox.Show(ex.Message);
      }

    }
  }
}
