using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;


namespace SpreadWinDemo
{
  /// <summary>
  /// Summary description for Form1.
  /// </summary>
  public partial class Form1 : System.Windows.Forms.Form
  {

    public Form1()
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();

      //
      // TODO: Add any constructor code after InitializeComponent call
      //


      SpreadWinDemo.AutoComplete.AutoComplete ac = new SpreadWinDemo.AutoComplete.AutoComplete();
      ac.MdiParent = this;
      ac.WindowState = FormWindowState.Maximized;
      ac.Show();
    }
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main()
    {
      Application.Run(new Form1());
    }

    private void menuItem3_Click(object sender, System.EventArgs e)
    {
      //Close project
      Application.Exit();
    }

    private void menuItem4_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.Borders.Borders b2 = new SpreadWinDemo.Borders.Borders();
      b2.MdiParent = this;
      b2.WindowState = FormWindowState.Maximized;
      b2.BackColor = Color.White;
      b2.Show();
    }

    private void menuItem5_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.CellTypes.CellTypes c2 = new SpreadWinDemo.CellTypes.CellTypes();
      c2.MdiParent = this;
      c2.WindowState = FormWindowState.Maximized;
      c2.BackColor = Color.White;
      c2.Show();
    }

    private void menuItem6_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
            Features.Databinding b = new Features.Databinding();
      b.MdiParent = this;
      b.WindowState = FormWindowState.Maximized;
      b.BackColor = Color.White;
      b.Show();
    }

    private void menuItem8_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.Formulas.Formulas fo = new SpreadWinDemo.Formulas.Formulas();
      fo.MdiParent = this;
      fo.WindowState = FormWindowState.Maximized;
      fo.BackColor = Color.White;
      fo.Show();
    }

    private void menuItem9_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.GetValues.GetValues gv = new SpreadWinDemo.GetValues.GetValues();
      gv.MdiParent = this;
      gv.WindowState = FormWindowState.Maximized;
      gv.BackColor = Color.White;
      gv.Show();
    }

    private void menuItem11_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.Hierarchy.Hierarchy hi = new SpreadWinDemo.Hierarchy.Hierarchy();
      hi.MdiParent = this;
      hi.WindowState = FormWindowState.Maximized;
      hi.BackColor = Color.White;
      hi.Show();
    }

    private void menuItem12_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.ImportExportExcel.ImportExportExcel ie = new SpreadWinDemo.ImportExportExcel.ImportExportExcel();
      ie.MdiParent = this;
      ie.WindowState = FormWindowState.Maximized;
      ie.BackColor = Color.White;
      ie.Show();
    }

    private void menuItem13_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.Merging.Merging merge = new SpreadWinDemo.Merging.Merging();
      merge.MdiParent = this;
      merge.WindowState = FormWindowState.Maximized;
      merge.BackColor = Color.White;
      merge.Show();
    }

    private void menuItem14_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.MultipleHeaders.MultipleHeaders mh = new SpreadWinDemo.MultipleHeaders.MultipleHeaders();
      mh.MdiParent = this;
      mh.WindowState = FormWindowState.Maximized;
      mh.BackColor = Color.White;
      mh.Show();
    }

    private void menuItem15_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.OperationModes.OperationModes om = new SpreadWinDemo.OperationModes.OperationModes();
      om.MdiParent = this;
      om.WindowState = FormWindowState.Maximized;
      om.BackColor = Color.White;
      om.Show();
    }

    private void menuItem19_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.CellSpans.CellSpans sp = new SpreadWinDemo.CellSpans.CellSpans();
      sp.MdiParent = this;
      sp.WindowState = FormWindowState.Maximized;
      sp.BackColor = Color.White;
      sp.Show();
    }

    private void menuItem16_Click(object sender, System.EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.Printing.Printing print = new SpreadWinDemo.Printing.Printing();
      print.MdiParent = this;
      print.WindowState = FormWindowState.Maximized;
      print.BackColor = Color.White;
      print.Show();
    }
    private void menuItem24_Click(object sender, EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.Filtering.Filtering flt = new SpreadWinDemo.Filtering.Filtering();
      flt.MdiParent = this;
      flt.WindowState = FormWindowState.Maximized;
      flt.Show();
    }
    private void menuItem27_Click(object sender, EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.ConditionalFormat.ConditionalFormat cf = new SpreadWinDemo.ConditionalFormat.ConditionalFormat();
      cf.MdiParent = this;
      cf.WindowState = FormWindowState.Maximized;
      cf.Show();
    }
    private void CloseChildren()
    {

      foreach (System.Windows.Forms.Form f in this.MdiChildren)
      {
        f.Close();
      }


    }

    private void menuItem45_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.ChildControls.ChildControls dd = new SpreadWinDemo.ChildControls.ChildControls();
      CloseChildren();
      dd.MdiParent = this;
      dd.WindowState = FormWindowState.Maximized;
      dd.Show();
    }


    private void menuItem28_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.DragDrop.DragDrop dd = new SpreadWinDemo.DragDrop.DragDrop();
      CloseChildren();
      dd.MdiParent = this;
      dd.WindowState = FormWindowState.Maximized;
      dd.Show();
    }

    private void menuItem29_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.DragFill.DragFill df = new SpreadWinDemo.DragFill.DragFill();
      CloseChildren();
      df.MdiParent = this;
      df.WindowState = FormWindowState.Maximized;
      df.Show();
    }

    private void menuItem31_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.FreezingRowsColumns.FreezingRowsColumns frc = new SpreadWinDemo.FreezingRowsColumns.FreezingRowsColumns();
      CloseChildren();
      frc.MdiParent = this;
      frc.WindowState = FormWindowState.Maximized;
      frc.Show();
    }

    private void menuItem32_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.MoveRowCol.MoveRowCol mrc = new SpreadWinDemo.MoveRowCol.MoveRowCol();
      CloseChildren();
      mrc.MdiParent = this;
      mrc.WindowState = FormWindowState.Maximized;
      mrc.Show();
    }

    private void menuItem33_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.Notes.Notes n = new SpreadWinDemo.Notes.Notes();
      CloseChildren();
      n.MdiParent = this;
      n.WindowState = FormWindowState.Maximized;
      n.Show();
    }

    private void menuItem7_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.RangeGroup.RangeGroup n = new SpreadWinDemo.RangeGroup.RangeGroup();
      CloseChildren();
      n.MdiParent = this;
      n.WindowState = FormWindowState.Maximized;
      n.Show();
    }

    private void menuItem23_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.Search.Search n = new SpreadWinDemo.Search.Search();
      CloseChildren();
      n.MdiParent = this;
      n.WindowState = FormWindowState.Maximized;
      n.Show();
    }

    private void menuItem34_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.Shapes.Shapes sh = new SpreadWinDemo.Shapes.Shapes();
      CloseChildren();
      sh.MdiParent = this;
      sh.WindowState = FormWindowState.Maximized;
      sh.Show();
    }

    private void menuItem18_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.Sort.Sort sh = new SpreadWinDemo.Sort.Sort();
      CloseChildren();
      sh.MdiParent = this;
      sh.WindowState = FormWindowState.Maximized;
      sh.Show();
    }

    private void menuItem36_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.SparkLineForm.SparkLineForm sh = new SpreadWinDemo.SparkLineForm.SparkLineForm();
      CloseChildren();
      sh.MdiParent = this;
      sh.WindowState = FormWindowState.Maximized;
      sh.Show();
    }

    private void menuItem37_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.SpreadChartDemo.SpreadChartDemo sh = new SpreadWinDemo.SpreadChartDemo.SpreadChartDemo();
      CloseChildren();
      sh.MdiParent = this;
      sh.WindowState = FormWindowState.Maximized;
      sh.Show();
    }

    private void menuItem10_Click(object sender, EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.Grouping.Grouping grp = new SpreadWinDemo.Grouping.Grouping();
      grp.MdiParent = this;
      grp.WindowState = FormWindowState.Maximized;
      grp.Show();
    }

    private void menuItem22_Click(object sender, EventArgs e)
    {

      SpreadWinDemo.AutoComplete.AutoComplete ac = new SpreadWinDemo.AutoComplete.AutoComplete();
      ac.MdiParent = this;
      ac.WindowState = FormWindowState.Maximized;
      ac.Show();
    }

    private void menuItem17_Click(object sender, EventArgs e)
    {
      SpreadWinDemo.CameraShapeForm.CameraShapeForm cs = new SpreadWinDemo.CameraShapeForm.CameraShapeForm();
      CloseChildren();
      cs.MdiParent = this;
      cs.WindowState = FormWindowState.Maximized;
      cs.Show();
    }

    private void menuItem20_Click(object sender, EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.DataValidation.DataValidation b = new SpreadWinDemo.DataValidation.DataValidation();
      b.MdiParent = this;
      b.WindowState = FormWindowState.Maximized;
      b.BackColor = Color.White;
      b.Show();
    }

    private void menuItem21_Click(object sender, EventArgs e)
    {
      CloseChildren();
      SpreadWinDemo.ProtectedWorkBook.ProtectedWorkBook b = new SpreadWinDemo.ProtectedWorkBook.ProtectedWorkBook();
      b.MdiParent = this;
      b.WindowState = FormWindowState.Maximized;
      b.BackColor = Color.White;
      b.Show();
    }

    private void menuItem25_Click(object sender, EventArgs e)
    {
       CloseChildren();
      SpreadWinDemo.CellValidator.CellValidator b = new SpreadWinDemo.CellValidator.CellValidator();
      b.MdiParent = this;
      b.WindowState = FormWindowState.Maximized;
      b.BackColor = Color.White;
      b.Show();
    }

    private void menuItem26_Click(object sender, EventArgs e)
    {
      
    }
  }
}
