using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;
using FarPoint.Win.Spread.Model;
using System.IO;

namespace SpreadWinDemo.DragDrop
{



  public partial class DragDrop : Form
  {
    string s;
    FarPoint.Win.Spread.Model.CellRange cr;
        System.Data.DataSet myDataSet = new System.Data.DataSet();
        public DragDrop()
    {
      InitializeComponent();
    }

        public void InitData()
        {
            System.Data.DataTable fpnames;
            System.Data.DataTable fpclass;
            System.Data.DataTable fpgrades;
            fpnames = myDataSet.Tables.Add("Students");
            fpnames.Columns.AddRange(new System.Data.DataColumn[] { new System.Data.DataColumn("LastName", Type.GetType("System.String")), new System.Data.DataColumn("FirstName", Type.GetType("System.String")), new System.Data.DataColumn("id", Type.GetType("System.Int32")) });
            fpnames.Rows.Add(new Object[] { "Jane", "Mary", 0 });
            fpnames.Rows.Add(new Object[] { "Rodglet", "Jonnny", 1 });
            fpnames.Rows.Add(new Object[] { "Steris", "Pat", 2 });
            fpclass = myDataSet.Tables.Add("Class");
            fpclass.Columns.AddRange(new System.Data.DataColumn[] { new System.Data.DataColumn("Subject", Type.GetType("System.String")), new System.Data.DataColumn("owner", Type.GetType("System.Int32")), new System.Data.DataColumn("owner-subject", Type.GetType("System.String")) });
            //First Student
            fpclass.Rows.Add(new Object[] { "Math", 0, "0-Math" });
            fpclass.Rows.Add(new Object[] { "English", 0, "0-English" });
            fpclass.Rows.Add(new Object[] { "History", 0, "0-History" });
            fpclass.Rows.Add(new Object[] { "Music", 0, "0-Music" });
            fpclass.Rows.Add(new Object[] { "Science", 0, "0-Science" });
            //Second Student
            fpclass.Rows.Add(new Object[] { "Math", 1, "1-Math" });
            fpclass.Rows.Add(new Object[] { "English", 1, "1-English" });
            fpclass.Rows.Add(new Object[] { "History", 1, "1-History" });
            fpclass.Rows.Add(new Object[] { "Music", 1, "1-Music" });
            fpclass.Rows.Add(new Object[] { "Science", 1, "1-Science" });
            //Third Student
            fpclass.Rows.Add(new Object[] { "Math", 2, "2-Math" });
            fpclass.Rows.Add(new Object[] { "English", 2, "2-English" });
            fpclass.Rows.Add(new Object[] { "History", 2, "2-History" });
            fpclass.Rows.Add(new Object[] { "Music", 2, "2-Music" });
            fpclass.Rows.Add(new Object[] { "Science", 2, "2-Science" });

            fpgrades = myDataSet.Tables.Add("Grades");
            fpgrades.Columns.AddRange(new System.Data.DataColumn[] { new System.Data.DataColumn("Week 1", Type.GetType("System.String")), new System.Data.DataColumn("Week 2", Type.GetType("System.String")), new System.Data.DataColumn("Week 3", Type.GetType("System.String")), new System.Data.DataColumn("Week 4", Type.GetType("System.String")), new System.Data.DataColumn("Week 5", Type.GetType("System.String")), new System.Data.DataColumn("Week 6", Type.GetType("System.String")), new System.Data.DataColumn("Week 7", Type.GetType("System.String")), new System.Data.DataColumn("Subject", Type.GetType("System.String")), new System.Data.DataColumn("owner-subject", Type.GetType("System.String")) });
            //First Student
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Math", "0-Math" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "English", "0-English" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "History", "0-History" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Music", "0-Music" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Science", "0-Science" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Math", "1-Math" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "English", "1-English" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "History", "1-History" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Music", "1-Music" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Science", "1-Science" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Math", "2-Math" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "English", "2-English" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "History", "2-History" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Music", "2-Music" });
            fpgrades.Rows.Add(new Object[] { "76", "80", "85", "89", "90", "93", "99", "Science", "2-Science" });

            //Set the relations
            myDataSet.Relations.Add("Class", fpnames.Columns["id"], fpclass.Columns["owner"]);
            myDataSet.Relations.Add("Grades", fpclass.Columns["owner-subject"], fpgrades.Columns["owner-subject"]);
        }

        private void dragDrop_Load(object sender, EventArgs e)
    {
            //string dbPath = string.Empty;
            //string fileName = "\\fpnorthwinds.mdb";
            //RegistryKey regKey = Registry.ClassesRoot.OpenSubKey("FarPoint.Win.Spread\\Common7");
            //if (regKey != null)
            //  dbPath = (string)regKey.GetValue("v" + GCVersionUtil.ProductVersion);
            //if (!File.Exists(dbPath + fileName))
            //  dbPath = Environment.GetFolderPath(Environment.SpecialFolder.ProgramFiles) + GCVersionUtil.SPREAD_INSTALLATION_FOLDER + "\\Common\\";
            //if (!File.Exists(dbPath + fileName))
            //  dbPath = "Data\\";
            //dbPath += fileName;

            //string conStr = "Provider=Microsoft.JET.OLEDB.4.0;data source= " + dbPath;
            //string sqlStr = "Select * from Customers";
            //System.Data.OleDb.OleDbConnection conn = new System.Data.OleDb.OleDbConnection(conStr);
            //DataSet ds = new DataSet();
            //System.Data.OleDb.OleDbDataAdapter da = new System.Data.OleDb.OleDbDataAdapter(sqlStr, conn);
            //da.Fill(ds);
            //FpSpread1.ActiveSheet.DataSource = ds;
            InitData();
            FpSpread1.Sheets[0].DataSource = myDataSet;
            FpSpread1.Sheets[0].DataMember = "Students";
            FpSpread1.AllowDragDrop = true;
      FpSpread2.AllowDrop = true;
    }

    private void FpSpread2_DragDrop(object sender, DragEventArgs e)
    {
      int r, c, rc, cc;
      FarPoint.Win.Spread.Model.CellRange sel;
      r = cr.Row;
      c = cr.Column;
      rc = cr.RowCount;
      cc = cr.ColumnCount;
      sel = FpSpread2.ActiveSheet.GetSelection(0);
      if (sel != null)
      {
      FpSpread2.ActiveSheet.SetClip(sel.Row, sel.Column, sel.RowCount, sel.ColumnCount, s);
      FpSpread1.ActiveSheet.RemoveSelection(cr.Row, cr.Column, cr.RowCount, cr.ColumnCount);
    }
    }

    private void FpSpread2_DragEnter(object sender, DragEventArgs e)
    {
      if (e.Data.GetDataPresent(DataFormats.Text))
      {
        e.Effect = DragDropEffects.Move;
      }
    }

    private void FpSpread1_MouseDown(object sender, MouseEventArgs e)
    {
      if ((e.Button == MouseButtons.Right) && s != null)
      {
        FpSpread1.DoDragDrop(s, (DragDropEffects.Copy | DragDropEffects.Move));
      }
    }

    private void FpSpread1_MouseUp(object sender, MouseEventArgs e)
    {
      try
      {
        cr = FpSpread1.ActiveSheet.GetSelection(0);
        if (cr == null)
          return;
        s = FpSpread1.ActiveSheet.GetClip(cr.Row, cr.Column, cr.RowCount, cr.ColumnCount);
      }
      catch (Exception)
      {
        MessageBox.Show("You didn\'t make a selection!!");
        return;
      }
      TextBox1.Text = ("Row["
                  + (cr.Row.ToString() + ("]" + (" ," + ("Col["
                  + (cr.Column.ToString() + "]"))))));
      TextBox2.Text = ("RowCount["
                  + (cr.RowCount + ("]" + (" ," + ("ColumnCount["
                  + (cr.ColumnCount + "]"))))));
      Label4.Text = ("The row and columns are 0-based.  The selection above represents the " + "starting row, starting column, the number of rows selected and the number of columns selected.");

    }

    private void FpSpread2_DragOver(object sender, DragEventArgs e)
    {
      int r, c, rc, cc;
      Point p;
      FarPoint.Win.Spread.Model.CellRange range;
      FarPoint.Win.Spread.Model.CellRange sel;
      r = cr.Row;
      c = cr.Column;
      rc = cr.RowCount;
      cc = cr.ColumnCount;
      p = FpSpread2.PointToClient(new Point(e.X, e.Y));
      range = FpSpread2.GetCellFromPixel(0, 0, p.X, p.Y);
      if (((range.ColumnCount != -1)
                  && (range.RowCount != -1)))
      {
        sel = FpSpread2.ActiveSheet.GetSelection(0);
        if (!(sel == null))
        {
          FpSpread2.ActiveSheet.RemoveSelection(sel.Row, sel.Column, sel.RowCount, sel.ColumnCount);
        }
        if (rc == -1)
          range.Row = -1;
        if (cc == -1)
          range.Column = -1;
        FpSpread2.ActiveSheet.AddSelection(range.Row, range.Column, rc, cc);
      }
    }

    private void Button1_Click(object sender, EventArgs e)
    {
      FpSpread2.Reset();
      FpSpread2.AllowDrop = true;
    }

  }//end class
}//end namespace
