using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace SpreadWinDemo
{
  /// <summary>
  /// Summary description for PageSetup.
  /// </summary>
  public class PageSetup : System.Windows.Forms.Form
  {
    private System.Windows.Forms.GroupBox groupBox1;
    private System.Windows.Forms.PictureBox pictureBox1;
    private System.Windows.Forms.RadioButton radioButton1;
    private System.Windows.Forms.PictureBox pictureBox2;
    private System.Windows.Forms.RadioButton radioButton2;
    private System.Windows.Forms.GroupBox groupBox2;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.Label label2;
    private System.Windows.Forms.TextBox textBox1;
    private System.Windows.Forms.TextBox textBox2;
    private System.Windows.Forms.Label label3;
    private System.Windows.Forms.Label label4;
    private System.Windows.Forms.TextBox textBox3;
    private System.Windows.Forms.TextBox textBox4;
    private System.Windows.Forms.GroupBox groupBox3;
    private System.Windows.Forms.Button button1;
    private System.Windows.Forms.Button button2;
    private System.Windows.Forms.Button button3;

    private SpreadWinDemo.headerfooter hf = new headerfooter();

    /// <summary>
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.Container components = null;

    public PageSetup()
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();

      //
      // TODO: Add any constructor code after InitializeComponent call
      //
    }

    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    protected override void Dispose(bool disposing)
    {
      if (disposing)
      {
        if (components != null)
        {
          components.Dispose();
        }
      }
      base.Dispose(disposing);
    }

    #region Windows Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
      this.groupBox1 = new System.Windows.Forms.GroupBox();
      this.radioButton2 = new System.Windows.Forms.RadioButton();
      this.pictureBox2 = new System.Windows.Forms.PictureBox();
      this.radioButton1 = new System.Windows.Forms.RadioButton();
      this.pictureBox1 = new System.Windows.Forms.PictureBox();
      this.groupBox2 = new System.Windows.Forms.GroupBox();
      this.textBox4 = new System.Windows.Forms.TextBox();
      this.textBox3 = new System.Windows.Forms.TextBox();
      this.label4 = new System.Windows.Forms.Label();
      this.label3 = new System.Windows.Forms.Label();
      this.textBox2 = new System.Windows.Forms.TextBox();
      this.textBox1 = new System.Windows.Forms.TextBox();
      this.label2 = new System.Windows.Forms.Label();
      this.label1 = new System.Windows.Forms.Label();
      this.groupBox3 = new System.Windows.Forms.GroupBox();
      this.button3 = new System.Windows.Forms.Button();
      this.button1 = new System.Windows.Forms.Button();
      this.button2 = new System.Windows.Forms.Button();
      this.groupBox1.SuspendLayout();
      ((System.ComponentModel.ISupportInitialize)(this.pictureBox2)).BeginInit();
      ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
      this.groupBox2.SuspendLayout();
      this.groupBox3.SuspendLayout();
      this.SuspendLayout();
      // 
      // groupBox1
      // 
      this.groupBox1.Controls.Add(this.radioButton2);
      this.groupBox1.Controls.Add(this.radioButton1);
      this.groupBox1.Controls.Add(this.pictureBox1);
      this.groupBox1.Location = new System.Drawing.Point(168, 120);
      this.groupBox1.Name = "groupBox1";
      this.groupBox1.Size = new System.Drawing.Size(355, 74);
      this.groupBox1.TabIndex = 0;
      this.groupBox1.TabStop = false;
      this.groupBox1.Text = "Page Orientation";
      // 
      // radioButton2
      // 
      this.radioButton2.Location = new System.Drawing.Point(240, 28);
      this.radioButton2.Name = "radioButton2";
      this.radioButton2.Size = new System.Drawing.Size(96, 18);
      this.radioButton2.TabIndex = 3;
      this.radioButton2.Text = "Landscape";
      // 
      // pictureBox2
      // 
      this.pictureBox2.Location = new System.Drawing.Point(224, 87);
      this.pictureBox2.Name = "pictureBox2";
      this.pictureBox2.Size = new System.Drawing.Size(39, 27);
      this.pictureBox2.TabIndex = 2;
      this.pictureBox2.TabStop = false;
      // 
      // radioButton1
      // 
      this.radioButton1.Location = new System.Drawing.Point(77, 28);
      this.radioButton1.Name = "radioButton1";
      this.radioButton1.Size = new System.Drawing.Size(86, 18);
      this.radioButton1.TabIndex = 1;
      this.radioButton1.Text = "Portrait";
      // 
      // pictureBox1
      // 
      this.pictureBox1.Location = new System.Drawing.Point(19, 28);
      this.pictureBox1.Name = "pictureBox1";
      this.pictureBox1.Size = new System.Drawing.Size(39, 27);
      this.pictureBox1.TabIndex = 0;
      this.pictureBox1.TabStop = false;
      // 
      // groupBox2
      // 
      this.groupBox2.Controls.Add(this.textBox4);
      this.groupBox2.Controls.Add(this.textBox3);
      this.groupBox2.Controls.Add(this.label4);
      this.groupBox2.Controls.Add(this.label3);
      this.groupBox2.Controls.Add(this.textBox2);
      this.groupBox2.Controls.Add(this.textBox1);
      this.groupBox2.Controls.Add(this.label2);
      this.groupBox2.Controls.Add(this.label1);
      this.groupBox2.Location = new System.Drawing.Point(168, 212);
      this.groupBox2.Name = "groupBox2";
      this.groupBox2.Size = new System.Drawing.Size(355, 92);
      this.groupBox2.TabIndex = 1;
      this.groupBox2.TabStop = false;
      this.groupBox2.Text = "Page Margins (pixels)";
      // 
      // textBox4
      // 
      this.textBox4.Location = new System.Drawing.Point(278, 55);
      this.textBox4.Name = "textBox4";
      this.textBox4.Size = new System.Drawing.Size(58, 22);
      this.textBox4.TabIndex = 7;
      this.textBox4.Text = "textBox4";
      this.textBox4.Validating += new System.ComponentModel.CancelEventHandler(this.textBox4_Validating);
      // 
      // textBox3
      // 
      this.textBox3.Location = new System.Drawing.Point(278, 18);
      this.textBox3.Name = "textBox3";
      this.textBox3.Size = new System.Drawing.Size(58, 22);
      this.textBox3.TabIndex = 6;
      this.textBox3.Text = "textBox3";
      this.textBox3.Validating += new System.ComponentModel.CancelEventHandler(this.textBox3_Validating);
      // 
      // label4
      // 
      this.label4.Location = new System.Drawing.Point(192, 55);
      this.label4.Name = "label4";
      this.label4.Size = new System.Drawing.Size(67, 19);
      this.label4.TabIndex = 5;
      this.label4.Text = "Bottom";
      // 
      // label3
      // 
      this.label3.Location = new System.Drawing.Point(202, 18);
      this.label3.Name = "label3";
      this.label3.Size = new System.Drawing.Size(57, 19);
      this.label3.TabIndex = 4;
      this.label3.Text = "Top";
      // 
      // textBox2
      // 
      this.textBox2.Location = new System.Drawing.Point(106, 55);
      this.textBox2.Name = "textBox2";
      this.textBox2.Size = new System.Drawing.Size(67, 22);
      this.textBox2.TabIndex = 3;
      this.textBox2.Text = "textBox2";
      this.textBox2.Validating += new System.ComponentModel.CancelEventHandler(this.textBox2_Validating);
      // 
      // textBox1
      // 
      this.textBox1.Location = new System.Drawing.Point(106, 18);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new System.Drawing.Size(57, 22);
      this.textBox1.TabIndex = 2;
      this.textBox1.Text = "textBox1";
      this.textBox1.Validating += new System.ComponentModel.CancelEventHandler(this.textBox1_Validating);
      // 
      // label2
      // 
      this.label2.Location = new System.Drawing.Point(19, 55);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(77, 19);
      this.label2.TabIndex = 1;
      this.label2.Text = "Right";
      // 
      // label1
      // 
      this.label1.Location = new System.Drawing.Point(19, 18);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(67, 19);
      this.label1.TabIndex = 0;
      this.label1.Text = "Left";
      // 
      // groupBox3
      // 
      this.groupBox3.Controls.Add(this.button3);
      this.groupBox3.Location = new System.Drawing.Point(168, 323);
      this.groupBox3.Name = "groupBox3";
      this.groupBox3.Size = new System.Drawing.Size(355, 92);
      this.groupBox3.TabIndex = 2;
      this.groupBox3.TabStop = false;
      this.groupBox3.Text = "Header/Footer Display";
      // 
      // button3
      // 
      this.button3.Location = new System.Drawing.Point(48, 37);
      this.button3.Name = "button3";
      this.button3.Size = new System.Drawing.Size(250, 28);
      this.button3.TabIndex = 0;
      this.button3.Text = "Change Header/Footer Attributes";
      this.button3.Click += new System.EventHandler(this.button3_Click);
      // 
      // button1
      // 
      this.button1.Location = new System.Drawing.Point(254, 434);
      this.button1.Name = "button1";
      this.button1.Size = new System.Drawing.Size(77, 27);
      this.button1.TabIndex = 3;
      this.button1.Text = "OK";
      this.button1.Click += new System.EventHandler(this.button1_Click);
      // 
      // button2
      // 
      this.button2.Location = new System.Drawing.Point(369, 434);
      this.button2.Name = "button2";
      this.button2.Size = new System.Drawing.Size(87, 27);
      this.button2.TabIndex = 4;
      this.button2.Text = "Cancel";
      this.button2.Click += new System.EventHandler(this.button2_Click);
      // 
      // PageSetup
      // 
      this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
      this.BackColor = System.Drawing.Color.White;
      this.ClientSize = new System.Drawing.Size(733, 532);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.pictureBox2);
      this.Controls.Add(this.button1);
      this.Controls.Add(this.groupBox3);
      this.Controls.Add(this.groupBox2);
      this.Controls.Add(this.groupBox1);
      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
      this.Name = "PageSetup";
      this.Text = "PageSetup";
      this.Load += new System.EventHandler(this.PageSetup_Load);
      this.groupBox1.ResumeLayout(false);
      ((System.ComponentModel.ISupportInitialize)(this.pictureBox2)).EndInit();
      ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
      this.groupBox2.ResumeLayout(false);
      this.groupBox2.PerformLayout();
      this.groupBox3.ResumeLayout(false);
      this.ResumeLayout(false);

    }
    #endregion
    public bool IsNumeric(object o)
    {
      if (o is short ||
        o is int ||
        o is long ||
        o is float ||
        o is double ||
        o is decimal)
        return true;
      if (o is string)
      {
        try
        {
          double d = double.Parse((string)o, System.Globalization.CultureInfo.InvariantCulture);
          return true;
        }
        catch (FormatException)
        {
        }
        catch (OverflowException)
        {
        }
      }
      return false;
    }
    private void textBox1_Validating(object sender, System.ComponentModel.CancelEventArgs e)
    {
      if (!IsNumeric(textBox1.Text))
      {
        MessageBox.Show("Needs to be a Number");
        e.Cancel = true;
      }
    }

    private void textBox2_Validating(object sender, System.ComponentModel.CancelEventArgs e)
    {
      if (!IsNumeric(textBox2.Text))
      {
        MessageBox.Show("Needs to be a Number");
        e.Cancel = true;
      }
    }

    private void textBox3_Validating(object sender, System.ComponentModel.CancelEventArgs e)
    {
      if (!IsNumeric(textBox3.Text))
      {
        MessageBox.Show("Needs to be a Number");
        e.Cancel = true;
      }
    }

    private void textBox4_Validating(object sender, System.ComponentModel.CancelEventArgs e)
    {
      if (!IsNumeric(textBox4.Text))
      {
        MessageBox.Show("Needs to be a Number");
        e.Cancel = true;
      }
    }

    private void PageSetup_Load(object sender, System.EventArgs e)
    {
      FarPoint.Win.Spread.PrintMargin pm = new FarPoint.Win.Spread.PrintMargin();
      if (Module1.pi.Orientation == FarPoint.Win.Spread.PrintOrientation.Landscape)
      {
        radioButton2.Checked = true;
      }
      else
      {
        radioButton1.Checked = true;
      }
      pm = Module1.pi.Margin;
      textBox1.Text = (pm.Left).ToString();
      textBox2.Text = pm.Right.ToString();
      textBox3.Text = pm.Top.ToString();
      textBox4.Text = pm.Bottom.ToString();
      pm.Header = 0;
      pm.Footer = 0;
    }

    private void button2_Click(object sender, System.EventArgs e)
    {
      this.Close();
    }

    private void button1_Click(object sender, System.EventArgs e)
    {
      FarPoint.Win.Spread.PrintMargin pm = new FarPoint.Win.Spread.PrintMargin();
      if (radioButton2.Checked == true)
      {
        Module1.pi.Orientation = FarPoint.Win.Spread.PrintOrientation.Landscape;
      }
      else
      {
        Module1.pi.Orientation = FarPoint.Win.Spread.PrintOrientation.Portrait;
      }
      if ((textBox1.Text == ""))
      {
        textBox1.Text = "0";
      }
      else
      {
        pm.Left = Int32.Parse(textBox1.Text);
      }
      if ((textBox2.Text == ""))
      {
        textBox2.Text = "0";
      }
      else
      {
        pm.Right = Int32.Parse(textBox2.Text);
      }
      if ((textBox3.Text == ""))
      {
        textBox3.Text = "0";
      }
      else
      {
        pm.Top = Int32.Parse(textBox3.Text);
      }
      if ((textBox4.Text == ""))
      {
        textBox4.Text = "0";
      }
      else
      {
        pm.Bottom = Int32.Parse(textBox4.Text);
      }


      Module1.pi.Margin = pm;
      this.Close();
    }

    private void button3_Click(object sender, System.EventArgs e)
    {
      if (hf.IsDisposed)
      {
        hf = new headerfooter();
      }
      hf.ShowDialog();
      hf.BringToFront();
    }
  }
}
