using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Drawing.Printing;
namespace SpreadWinDemo
{
  /// <summary>
  /// Summary description for PrintOpts.
  /// </summary>
  public class PrintOpts : System.Windows.Forms.Form
  {
    private System.Windows.Forms.GroupBox groupBox1;
    private System.Windows.Forms.GroupBox groupBox2;
    private System.Windows.Forms.RadioButton radioButton1;
    private System.Windows.Forms.RadioButton radioButton2;
    private System.Windows.Forms.RadioButton radioButton3;
    private System.Windows.Forms.RadioButton radioButton4;
    private System.Windows.Forms.TextBox textBox1;
    private System.Windows.Forms.TextBox textBox2;
    private System.Windows.Forms.Label label1;
    private System.Windows.Forms.Button button1;
    private System.Windows.Forms.CheckBox checkBox1;
    private System.Windows.Forms.CheckBox checkBox2;
    private System.Windows.Forms.CheckBox checkBox3;
    private System.Windows.Forms.CheckBox checkBox4;
    private System.Windows.Forms.CheckBox checkBox5;
    private System.Windows.Forms.CheckBox checkBox6;
    private System.Windows.Forms.CheckBox checkBox7;
    private System.Windows.Forms.CheckBox checkBox8;
    private System.Windows.Forms.Button button2;
    private System.Windows.Forms.Button button3;
    private System.Windows.Forms.Button button4;
    private Button button5;
    private ComboBox cbDuplex;
    private Label label2;
    private CheckBox checkBox9;


    /// <summary>
    /// Required designer variable.
    /// </summary>
    private System.ComponentModel.Container components = null;

    public PrintOpts()
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();

      //
      // TODO: Add any constructor code after InitializeComponent call
      //
    }

    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    protected override void Dispose(bool disposing)
    {
      if (disposing)
      {
        if (components != null)
        {
          components.Dispose();
        }
      }
      base.Dispose(disposing);
    }

    public SpreadWinDemo.Printing.Printing printingfrm;
    private SpreadWinDemo.PageSetup pagesetup = new PageSetup();

    public void StartPage(SpreadWinDemo.Printing.Printing printform)
    {
      printingfrm = printform;
      this.Show();
      this.BringToFront();
    }
    #region Windows Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
      this.groupBox1 = new System.Windows.Forms.GroupBox();
      this.button1 = new System.Windows.Forms.Button();
      this.label1 = new System.Windows.Forms.Label();
      this.textBox2 = new System.Windows.Forms.TextBox();
      this.textBox1 = new System.Windows.Forms.TextBox();
      this.radioButton4 = new System.Windows.Forms.RadioButton();
      this.radioButton3 = new System.Windows.Forms.RadioButton();
      this.radioButton2 = new System.Windows.Forms.RadioButton();
      this.radioButton1 = new System.Windows.Forms.RadioButton();
      this.groupBox2 = new System.Windows.Forms.GroupBox();
      this.cbDuplex = new System.Windows.Forms.ComboBox();
      this.label2 = new System.Windows.Forms.Label();
      this.checkBox8 = new System.Windows.Forms.CheckBox();
      this.checkBox7 = new System.Windows.Forms.CheckBox();
      this.checkBox6 = new System.Windows.Forms.CheckBox();
      this.checkBox5 = new System.Windows.Forms.CheckBox();
      this.checkBox4 = new System.Windows.Forms.CheckBox();
      this.checkBox3 = new System.Windows.Forms.CheckBox();
      this.checkBox2 = new System.Windows.Forms.CheckBox();
      this.checkBox1 = new System.Windows.Forms.CheckBox();
      this.button2 = new System.Windows.Forms.Button();
      this.button3 = new System.Windows.Forms.Button();
      this.button4 = new System.Windows.Forms.Button();
      this.button5 = new System.Windows.Forms.Button();
      this.checkBox9 = new System.Windows.Forms.CheckBox();
      this.groupBox1.SuspendLayout();
      this.groupBox2.SuspendLayout();
      this.SuspendLayout();
      // 
      // groupBox1
      // 
      this.groupBox1.Controls.Add(this.button1);
      this.groupBox1.Controls.Add(this.label1);
      this.groupBox1.Controls.Add(this.textBox2);
      this.groupBox1.Controls.Add(this.textBox1);
      this.groupBox1.Controls.Add(this.radioButton4);
      this.groupBox1.Controls.Add(this.radioButton3);
      this.groupBox1.Controls.Add(this.radioButton2);
      this.groupBox1.Controls.Add(this.radioButton1);
      this.groupBox1.Location = new System.Drawing.Point(10, 28);
      this.groupBox1.Name = "groupBox1";
      this.groupBox1.Size = new System.Drawing.Size(224, 204);
      this.groupBox1.TabIndex = 0;
      this.groupBox1.TabStop = false;
      this.groupBox1.Text = "Page Range";
      // 
      // button1
      // 
      this.button1.Location = new System.Drawing.Point(134, 28);
      this.button1.Name = "button1";
      this.button1.Size = new System.Drawing.Size(77, 37);
      this.button1.TabIndex = 7;
      this.button1.Text = "Setup";
      this.button1.Click += new System.EventHandler(this.button1_Click);
      // 
      // label1
      // 
      this.label1.Location = new System.Drawing.Point(134, 157);
      this.label1.Name = "label1";
      this.label1.Size = new System.Drawing.Size(29, 18);
      this.label1.TabIndex = 6;
      this.label1.Text = "to";
      // 
      // textBox2
      // 
      this.textBox2.Location = new System.Drawing.Point(173, 157);
      this.textBox2.Name = "textBox2";
      this.textBox2.Size = new System.Drawing.Size(38, 20);
      this.textBox2.TabIndex = 5;
      this.textBox2.Text = "1";
      // 
      // textBox1
      // 
      this.textBox1.Location = new System.Drawing.Point(86, 157);
      this.textBox1.Name = "textBox1";
      this.textBox1.Size = new System.Drawing.Size(39, 20);
      this.textBox1.TabIndex = 4;
      this.textBox1.Text = "1";
      // 
      // radioButton4
      // 
      this.radioButton4.Location = new System.Drawing.Point(10, 157);
      this.radioButton4.Name = "radioButton4";
      this.radioButton4.Size = new System.Drawing.Size(67, 18);
      this.radioButton4.TabIndex = 3;
      this.radioButton4.Text = "Pages";
      // 
      // radioButton3
      // 
      this.radioButton3.Location = new System.Drawing.Point(10, 111);
      this.radioButton3.Name = "radioButton3";
      this.radioButton3.Size = new System.Drawing.Size(115, 27);
      this.radioButton3.TabIndex = 2;
      this.radioButton3.Text = "Current Page";
      // 
      // radioButton2
      // 
      this.radioButton2.Location = new System.Drawing.Point(10, 74);
      this.radioButton2.Name = "radioButton2";
      this.radioButton2.Size = new System.Drawing.Size(115, 18);
      this.radioButton2.TabIndex = 1;
      this.radioButton2.Text = "Selected Cells";
      // 
      // radioButton1
      // 
      this.radioButton1.Location = new System.Drawing.Point(10, 37);
      this.radioButton1.Name = "radioButton1";
      this.radioButton1.Size = new System.Drawing.Size(57, 18);
      this.radioButton1.TabIndex = 0;
      this.radioButton1.Text = "All";
      // 
      // groupBox2
      // 
      this.groupBox2.Controls.Add(this.checkBox9);
      this.groupBox2.Controls.Add(this.cbDuplex);
      this.groupBox2.Controls.Add(this.label2);
      this.groupBox2.Controls.Add(this.checkBox8);
      this.groupBox2.Controls.Add(this.checkBox7);
      this.groupBox2.Controls.Add(this.checkBox6);
      this.groupBox2.Controls.Add(this.checkBox5);
      this.groupBox2.Controls.Add(this.checkBox4);
      this.groupBox2.Controls.Add(this.checkBox3);
      this.groupBox2.Controls.Add(this.checkBox2);
      this.groupBox2.Controls.Add(this.checkBox1);
      this.groupBox2.Location = new System.Drawing.Point(240, 28);
      this.groupBox2.Name = "groupBox2";
      this.groupBox2.Size = new System.Drawing.Size(336, 204);
      this.groupBox2.TabIndex = 1;
      this.groupBox2.TabStop = false;
      this.groupBox2.Text = "Print Options";
      // 
      // cbDuplex
      // 
      this.cbDuplex.FormattingEnabled = true;
      this.cbDuplex.Items.AddRange(new object[] {
            "Default",
            "Horizontal",
            "Simplex",
            "Vertical"});
      this.cbDuplex.Location = new System.Drawing.Point(61, 170);
      this.cbDuplex.Name = "cbDuplex";
      this.cbDuplex.Size = new System.Drawing.Size(92, 21);
      this.cbDuplex.TabIndex = 9;
      // 
      // label2
      // 
      this.label2.AutoSize = true;
      this.label2.Location = new System.Drawing.Point(15, 173);
      this.label2.Name = "label2";
      this.label2.Size = new System.Drawing.Size(40, 13);
      this.label2.TabIndex = 8;
      this.label2.Text = "Duplex";
      // 
      // checkBox8
      // 
      this.checkBox8.Location = new System.Drawing.Point(172, 129);
      this.checkBox8.Name = "checkBox8";
      this.checkBox8.Size = new System.Drawing.Size(144, 28);
      this.checkBox8.TabIndex = 7;
      this.checkBox8.Text = "Best Fit Rows/Cols";
      // 
      // checkBox7
      // 
      this.checkBox7.Location = new System.Drawing.Point(172, 93);
      this.checkBox7.Name = "checkBox7";
      this.checkBox7.Size = new System.Drawing.Size(144, 27);
      this.checkBox7.TabIndex = 6;
      this.checkBox7.Text = "Data Cells Only";
      // 
      // checkBox6
      // 
      this.checkBox6.Location = new System.Drawing.Point(172, 56);
      this.checkBox6.Name = "checkBox6";
      this.checkBox6.Size = new System.Drawing.Size(144, 27);
      this.checkBox6.TabIndex = 5;
      this.checkBox6.Text = "Color";
      // 
      // checkBox5
      // 
      this.checkBox5.Location = new System.Drawing.Point(172, 19);
      this.checkBox5.Name = "checkBox5";
      this.checkBox5.Size = new System.Drawing.Size(144, 27);
      this.checkBox5.TabIndex = 4;
      this.checkBox5.Text = "Shadow";
      // 
      // checkBox4
      // 
      this.checkBox4.Location = new System.Drawing.Point(18, 129);
      this.checkBox4.Name = "checkBox4";
      this.checkBox4.Size = new System.Drawing.Size(135, 28);
      this.checkBox4.TabIndex = 3;
      this.checkBox4.Text = "Border";
      // 
      // checkBox3
      // 
      this.checkBox3.Location = new System.Drawing.Point(18, 93);
      this.checkBox3.Name = "checkBox3";
      this.checkBox3.Size = new System.Drawing.Size(135, 27);
      this.checkBox3.TabIndex = 2;
      this.checkBox3.Text = "Grid Lines";
      // 
      // checkBox2
      // 
      this.checkBox2.Location = new System.Drawing.Point(18, 56);
      this.checkBox2.Name = "checkBox2";
      this.checkBox2.Size = new System.Drawing.Size(135, 27);
      this.checkBox2.TabIndex = 1;
      this.checkBox2.Text = "Row Headers";
      this.checkBox2.Validating += new System.ComponentModel.CancelEventHandler(this.checkBox2_Validating);
      // 
      // checkBox1
      // 
      this.checkBox1.Location = new System.Drawing.Point(18, 19);
      this.checkBox1.Name = "checkBox1";
      this.checkBox1.Size = new System.Drawing.Size(135, 27);
      this.checkBox1.TabIndex = 0;
      this.checkBox1.Text = "Column Headers";
      this.checkBox1.Validating += new System.ComponentModel.CancelEventHandler(this.checkBox1_Validating);
      // 
      // button2
      // 
      this.button2.Location = new System.Drawing.Point(7, 248);
      this.button2.Name = "button2";
      this.button2.Size = new System.Drawing.Size(101, 37);
      this.button2.TabIndex = 2;
      this.button2.Text = "Print";
      this.button2.Click += new System.EventHandler(this.button2_Click);
      // 
      // button3
      // 
      this.button3.Location = new System.Drawing.Point(155, 248);
      this.button3.Name = "button3";
      this.button3.Size = new System.Drawing.Size(103, 37);
      this.button3.TabIndex = 3;
      this.button3.Text = "Cancel";
      this.button3.Click += new System.EventHandler(this.button3_Click);
      // 
      // button4
      // 
      this.button4.Location = new System.Drawing.Point(316, 248);
      this.button4.Name = "button4";
      this.button4.Size = new System.Drawing.Size(110, 37);
      this.button4.TabIndex = 4;
      this.button4.Text = "Preview";
      this.button4.Click += new System.EventHandler(this.button4_Click);
      // 
      // button5
      // 
      this.button5.Location = new System.Drawing.Point(476, 248);
      this.button5.Name = "button5";
      this.button5.Size = new System.Drawing.Size(110, 37);
      this.button5.TabIndex = 5;
      this.button5.Text = "EnhancePreview";
      this.button5.Click += new System.EventHandler(this.button5_Click);
      // 
      // checkBox9
      // 
      this.checkBox9.AutoSize = true;
      this.checkBox9.Location = new System.Drawing.Point(172, 170);
      this.checkBox9.Name = "checkBox9";
      this.checkBox9.Size = new System.Drawing.Size(137, 17);
      this.checkBox9.TabIndex = 10;
      this.checkBox9.Text = "ShowPageSetupButton";
      this.checkBox9.UseVisualStyleBackColor = true;
      // 
      // PrintOpts
      // 
      this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
      this.BackColor = System.Drawing.Color.White;
      this.ClientSize = new System.Drawing.Size(651, 378);
      this.Controls.Add(this.button5);
      this.Controls.Add(this.button4);
      this.Controls.Add(this.button3);
      this.Controls.Add(this.button2);
      this.Controls.Add(this.groupBox2);
      this.Controls.Add(this.groupBox1);
      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
      this.Name = "PrintOpts";
      this.Text = "PrintOpts";
      this.Load += new System.EventHandler(this.PrintOpts_Load);
      this.groupBox1.ResumeLayout(false);
      this.groupBox1.PerformLayout();
      this.groupBox2.ResumeLayout(false);
      this.groupBox2.PerformLayout();
      this.ResumeLayout(false);

    }
    #endregion

    private void PrintOpts_Load(object sender, System.EventArgs e)
    {
      switch (Module1.pi.PrintType)
      {
        case (FarPoint.Win.Spread.PrintType.All):
          radioButton1.Checked = true;
          break;
        case (FarPoint.Win.Spread.PrintType.CellRange):
          radioButton2.Checked = true;
          break;
        case (FarPoint.Win.Spread.PrintType.CurrentPage):
          radioButton3.Checked = true;
          break;
        case (FarPoint.Win.Spread.PrintType.PageRange):
          radioButton4.Checked = true;
          break;
      }
      checkBox1.Checked = Module1.pi.ShowColumnHeaders;
      checkBox2.Checked = Module1.pi.ShowRowHeaders;
      checkBox3.Checked = Module1.pi.ShowGrid;
      checkBox4.Checked = Module1.pi.ShowBorder;
      checkBox5.Checked = Module1.pi.ShowShadows;
      checkBox6.Checked = Module1.pi.ShowColor;
      checkBox7.Checked = Module1.pi.UseMax;
      checkBox8.Checked = Module1.pi.BestFitCols;

      if (Module1.pi.PageStart != -1)
      {
        textBox2.Text = Module1.pi.PageStart.ToString();
        textBox1.Text = Module1.pi.PageEnd.ToString();
      }
      else
      {
        textBox2.Text = "";
        textBox1.Text = "";
      }

    }

    public bool IsNumeric(object o)
    {
      if (o is short ||
        o is int ||
        o is long ||
        o is float ||
        o is double ||
        o is decimal)
        return true;
      if (o is string)
      {
        try
        {
          double d = double.Parse((string)o, System.Globalization.CultureInfo.InvariantCulture);
          return true;
        }
        catch (FormatException)
        {
        }
        catch (OverflowException)
        {
        }
      }
      return false;
    }


    private void button1_Click(object sender, System.EventArgs e)
    {
      if (pagesetup.IsDisposed)
      {
        pagesetup = new PageSetup();
      }
      pagesetup.ShowDialog();
    }

    private void checkBox1_Validating(object sender, System.ComponentModel.CancelEventArgs e)
    {
      radioButton4.Checked = true;
    }

    private void checkBox2_Validating(object sender, System.ComponentModel.CancelEventArgs e)
    {
      radioButton4.Checked = true;
    }

    private void button3_Click(object sender, System.EventArgs e)
    {
      this.Close();
    }

    private void button2_Click(object sender, System.EventArgs e)
    {
      printsheet(false);
    }
    Duplex[] list_Duplex = new[] { Duplex.Default, Duplex.Horizontal, Duplex.Simplex, Duplex.Vertical };
    public void printsheet(bool print, bool showEnhancePreview = false)
    {
      if (radioButton1.Checked == true)
      {
        Module1.pi.PrintType = FarPoint.Win.Spread.PrintType.All;
      }
      if (radioButton2.Checked == true)
      {
        Module1.pi.PrintType = FarPoint.Win.Spread.PrintType.CellRange;
      }
      if (radioButton3.Checked == true)
      {
        Module1.pi.PrintType = FarPoint.Win.Spread.PrintType.CurrentPage;
      }
      if (radioButton4.Checked == true)
      {
        Module1.pi.PrintType = FarPoint.Win.Spread.PrintType.PageRange;
        int startPage = 0;
        int endPage = 0;
        if (!Int32.TryParse(textBox1.Text, out startPage) || startPage < 1)
        {
          MessageBox.Show("The print page number is incorrected");
          textBox1.Focus();
          textBox1.SelectAll();
          return;
        }
        else if (!Int32.TryParse(textBox2.Text, out endPage) || endPage < 1)
        {
          MessageBox.Show("The print page number is incorrected");
          textBox2.Focus();
          textBox2.SelectAll();
          return;
        }
        Module1.pi.PageStart = Math.Min(startPage, endPage);
        Module1.pi.PageEnd = Math.Max(startPage, endPage);
      }
      Module1.pi.ShowColumnHeaders = checkBox1.Checked;
      Module1.pi.ShowRowHeaders = checkBox2.Checked;
      Module1.pi.ShowGrid = checkBox3.Checked;
      Module1.pi.ShowBorder = checkBox4.Checked;
      Module1.pi.ShowShadows = checkBox5.Checked;
      Module1.pi.ShowColor = checkBox6.Checked;
      Module1.pi.UseMax = checkBox7.Checked;
      Module1.pi.BestFitCols = checkBox8.Checked;
      Module1.pi.ShowPageSetupButton = checkBox9.Checked;
      Module1.pi.Preview = print;
      Module1.pi.EnhancePreview = showEnhancePreview;
      if (cbDuplex.SelectedIndex >= 0)
      {
        Module1.pi.Duplex = list_Duplex[cbDuplex.SelectedIndex];
      }

      printingfrm.FpSpread1.Sheets[0].PrintInfo = Module1.pi;
      printingfrm.FpSpread1.PrintSheet(0);
      this.Close();
    }

    private void button4_Click(object sender, System.EventArgs e)
    {
      printsheet(true);
    }

    private void button5_Click(object sender, EventArgs e)
    {
      printsheet(true, true);
    }
  }
}
