using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using FarPoint.Win.Spread.CellType;
using FarPoint.Win;
using FarPoint.Win.Spread;
using GrapeCity.Win.Spread.InputMan.CellType;
using System.Data;
using GrapeCity.Win.Spread.InputMan.CellType.Fields;

namespace SpreadWinDemo.CellTypes
{
  /// <summary>
  /// Summary description for celltypes.
  /// </summary>
  public class CellTypes : System.Windows.Forms.Form
  {
    private FarPoint.Win.Spread.FpSpread FpSpread1;
    private FarPoint.Win.Spread.SheetView ButtonSheet;
    private FarPoint.Win.Spread.SheetView BarCodeSheet;
    private FarPoint.Win.Spread.SheetView ComboBoxSheet;
    private FarPoint.Win.Spread.SheetView CurrencySheet;
    private FarPoint.Win.Spread.SheetView NumberSheet;
    private FarPoint.Win.Spread.SheetView PercentSheet;
    private FarPoint.Win.Spread.SheetView ProgressSheet;
    private FarPoint.Win.Spread.SheetView MultiOptionSheet;
    private FarPoint.Win.Spread.SheetView DateTimeSheet;
    private FarPoint.Win.Spread.SheetView ListBoxSheet;
    private FarPoint.Win.Spread.SheetView MultiColumnComboSheet;
    private FarPoint.Win.Spread.SheetView RegularExpressionSheet;
    private FarPoint.Win.Spread.SheetView MaskSheet;
    private FarPoint.Win.Spread.SheetView RichText;
    private FarPoint.Win.Spread.SheetView GeneralSheet;
    private FarPoint.Win.Spread.SheetView CheckBoxSheet;
    private FarPoint.Win.Spread.SheetView ColorPickerSheet;
    private FarPoint.Win.Spread.SheetView TextSheet;
    private FarPoint.Win.Spread.SheetView SliderSheet;
    private FarPoint.Win.Spread.SheetView HyperLinkSheet;
    private System.Windows.Forms.Timer progTimer;
    private Label Label2;
    private Label Label1;
    private FarPoint.Win.Spread.SheetView GCDateTimeCellType;
    private FarPoint.Win.Spread.SheetView GCNumberCellType;
    private FarPoint.Win.Spread.SheetView GCTextBoxCellType;
    private IContainer components;
    private SheetView GcComboBoxCellTypeSheet;
    private SheetView GcMaskCellTypeSheet;
    private SheetView GcCharMaskCellTypeSheet;
    private SheetView GcTimeSpanCellTypeSheet;
    public CellTypes()
    {
      //
      // Required for Windows Form Designer support
      //
      InitializeComponent();
      //
      // TODO: Add any constructor code after InitializeComponent call
      //

      GcComboBoxCellTypeSheet = new SheetView("GcComboBoxCellType");
      GcMaskCellTypeSheet = new SheetView("GcMaskCellType");
      GcCharMaskCellTypeSheet = new SheetView("GcCharMaskCellType");
      GcTimeSpanCellTypeSheet = new SheetView("GcTimeSpanCellType");
      this.FpSpread1.Sheets.Add(GcComboBoxCellTypeSheet);
      this.FpSpread1.Sheets.Add(GcMaskCellTypeSheet);
      this.FpSpread1.Sheets.Add(GcCharMaskCellTypeSheet);
      this.FpSpread1.Sheets.Add(GcTimeSpanCellTypeSheet);

    } 

    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    protected override void Dispose(bool disposing)
    {
      if (disposing)
      {
        if (components != null)
        {
          components.Dispose();
        }
      }
      base.Dispose(disposing);
    }

    #region Windows Form Designer generated code
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    private void InitializeComponent()
    {
            this.components = new System.ComponentModel.Container();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo1 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo2 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo3 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo4 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo5 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo6 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo7 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo8 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo9 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo10 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo11 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo12 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo13 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo14 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo15 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo16 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo17 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo18 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo19 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            FarPoint.Win.Spread.NoPrinterPrintInfo noPrinterPrintInfo20 = new FarPoint.Win.Spread.NoPrinterPrintInfo();
            GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType gcDateTimeCellType1 = new GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearFieldInfo dateYearFieldInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthFieldInfo dateMonthFieldInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayFieldInfo dateDayFieldInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo3 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateHourFieldInfo dateHourFieldInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateHourFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo4 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMinuteFieldInfo dateMinuteFieldInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMinuteFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo5 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateSecondFieldInfo dateSecondFieldInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateSecondFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo dropDownButtonInfo1 = new GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo();
            GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType gcDateTimeCellType2 = new GrapeCity.Win.Spread.InputMan.CellType.GcDateTimeCellType();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearFieldInfo dateYearFieldInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateYearFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo6 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthFieldInfo dateMonthFieldInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMonthFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo7 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayFieldInfo dateDayFieldInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateDayFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo8 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateHourFieldInfo dateHourFieldInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateHourFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo9 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMinuteFieldInfo dateMinuteFieldInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateMinuteFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo dateLiteralFieldInfo10 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateLiteralFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.Fields.DateSecondFieldInfo dateSecondFieldInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateSecondFieldInfo();
            GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo dropDownButtonInfo2 = new GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo();
            GrapeCity.Win.Spread.InputMan.CellType.GcNumberCellType gcNumberCellType1 = new GrapeCity.Win.Spread.InputMan.CellType.GcNumberCellType();
            GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo dropDownButtonInfo3 = new GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo();
            GrapeCity.Win.Spread.InputMan.CellType.GcNumberCellType gcNumberCellType2 = new GrapeCity.Win.Spread.InputMan.CellType.GcNumberCellType();
            GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo dropDownButtonInfo4 = new GrapeCity.Win.Spread.InputMan.CellType.DropDownButtonInfo();
            GrapeCity.Win.Spread.InputMan.CellType.GcTextBoxCellType gcTextBoxCellType1 = new GrapeCity.Win.Spread.InputMan.CellType.GcTextBoxCellType();
            GrapeCity.Win.Spread.InputMan.CellType.GcTextBoxCellType gcTextBoxCellType2 = new GrapeCity.Win.Spread.InputMan.CellType.GcTextBoxCellType();
            this.FpSpread1 = new FarPoint.Win.Spread.FpSpread();
            this.BarCodeSheet = new FarPoint.Win.Spread.SheetView();
            this.ButtonSheet = new FarPoint.Win.Spread.SheetView();
            this.CheckBoxSheet = new FarPoint.Win.Spread.SheetView();
            this.ColorPickerSheet = new FarPoint.Win.Spread.SheetView();
            this.ComboBoxSheet = new FarPoint.Win.Spread.SheetView();
            this.CurrencySheet = new FarPoint.Win.Spread.SheetView();
            this.DateTimeSheet = new FarPoint.Win.Spread.SheetView();
            this.GeneralSheet = new FarPoint.Win.Spread.SheetView();
            this.HyperLinkSheet = new FarPoint.Win.Spread.SheetView();
            this.ListBoxSheet = new FarPoint.Win.Spread.SheetView();
            this.MaskSheet = new FarPoint.Win.Spread.SheetView();
            this.MultiColumnComboSheet = new FarPoint.Win.Spread.SheetView();
            this.MultiOptionSheet = new FarPoint.Win.Spread.SheetView();
            this.NumberSheet = new FarPoint.Win.Spread.SheetView();
            this.PercentSheet = new FarPoint.Win.Spread.SheetView();
            this.ProgressSheet = new FarPoint.Win.Spread.SheetView();
            this.RegularExpressionSheet = new FarPoint.Win.Spread.SheetView();
            this.RichText = new FarPoint.Win.Spread.SheetView();
            this.SliderSheet = new FarPoint.Win.Spread.SheetView();
            this.TextSheet = new FarPoint.Win.Spread.SheetView();
            this.Label2 = new System.Windows.Forms.Label();
            this.Label1 = new System.Windows.Forms.Label();
            this.progTimer = new System.Windows.Forms.Timer(this.components);
            this.GCDateTimeCellType = new FarPoint.Win.Spread.SheetView();
            this.GCNumberCellType = new FarPoint.Win.Spread.SheetView();
            this.GCTextBoxCellType = new FarPoint.Win.Spread.SheetView();
            ((System.ComponentModel.ISupportInitialize)(this.FpSpread1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.BarCodeSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ButtonSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.CheckBoxSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ColorPickerSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ComboBoxSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.CurrencySheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.DateTimeSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.GeneralSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.HyperLinkSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ListBoxSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.MaskSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.MultiColumnComboSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.MultiOptionSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.NumberSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.PercentSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.RegularExpressionSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.RichText)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.SliderSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.TextSheet)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.GCDateTimeCellType)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.GCNumberCellType)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.GCTextBoxCellType)).BeginInit();
            this.SuspendLayout();
            // 
            // FpSpread1
            // 
            this.FpSpread1.AccessibleDescription = "FpSpread1, GCTextBoxCellType, Row 3, Column 2, ";
            this.FpSpread1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.FpSpread1.HorizontalScrollBarPolicy = FarPoint.Win.Spread.ScrollBarPolicy.Never;
            this.FpSpread1.Location = new System.Drawing.Point(0, 0);
            this.FpSpread1.Name = "FpSpread1";
            this.FpSpread1.Sheets.AddRange(new FarPoint.Win.Spread.SheetView[] {
            this.BarCodeSheet,
            this.ButtonSheet,
            this.CheckBoxSheet,
            this.ColorPickerSheet,
            this.ComboBoxSheet,
            this.CurrencySheet,
            this.DateTimeSheet,
            this.GeneralSheet,
            this.HyperLinkSheet,
            this.ListBoxSheet,
            this.MaskSheet,
            this.MultiColumnComboSheet,
            this.MultiOptionSheet,
            this.NumberSheet,
            this.PercentSheet,
            this.ProgressSheet,
            this.RegularExpressionSheet,
            this.RichText,
            this.SliderSheet,
            this.TextSheet,
            this.GCDateTimeCellType,
            this.GCNumberCellType,
            this.GCTextBoxCellType});
            this.FpSpread1.Size = new System.Drawing.Size(709, 611);
            this.FpSpread1.TabIndex = 0;
            this.FpSpread1.TabStripRatio = 0.8D;
            this.FpSpread1.EditModeOn += new System.EventHandler(this.FpSpread1_EditModeOn);
            this.FpSpread1.ActiveSheetChanging += new FarPoint.Win.Spread.ActiveSheetChangingEventHandler(this.FpSpread1_ActiveSheetChanging);
            this.FpSpread1.ActiveSheetChanged += new System.EventHandler(this.FpSpread1_ActiveSheetChanged);
            this.FpSpread1.ButtonClicked += new FarPoint.Win.Spread.EditorNotifyEventHandler(this.FpSpread1_ButtonClicked);
            this.FpSpread1.ComboCloseUp += new FarPoint.Win.Spread.EditorNotifyEventHandler(this.FpSpread1_ComboCloseUp);
            this.FpSpread1.EditChange += new FarPoint.Win.Spread.EditorNotifyEventHandler(this.FpSpread1_EditChange);
            this.FpSpread1.Error += new FarPoint.Win.Spread.ErrorEventHandler(this.FpSpread1_Error);
            this.FpSpread1.SubEditorOpening += new FarPoint.Win.Spread.SubEditorOpeningEventHandler(this.FpSpread1_SubEditorOpening);
            this.FpSpread1.ActiveSheetIndex = 22;
            // 
            // BarCodeSheet
            // 
            this.BarCodeSheet.Reset();
            this.BarCodeSheet.SheetName = "BarCode";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.BarCodeSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo1.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo1.HardMarginX = 0F;
            noPrinterPrintInfo1.HardMarginY = 0F;
            noPrinterPrintInfo1.SupportColor = true;
            this.BarCodeSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo1;
            this.BarCodeSheet.PrintInfo.ZoomFactor = 1F;
            this.BarCodeSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // ButtonSheet
            // 
            this.ButtonSheet.Reset();
            this.ButtonSheet.SheetName = "Button";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.ButtonSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo2.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo2.HardMarginX = 0F;
            noPrinterPrintInfo2.HardMarginY = 0F;
            noPrinterPrintInfo2.SupportColor = true;
            this.ButtonSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo2;
            this.ButtonSheet.PrintInfo.ZoomFactor = 1F;
            this.ButtonSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // CheckBoxSheet
            // 
            this.CheckBoxSheet.Reset();
            this.CheckBoxSheet.SheetName = "CheckBox";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.CheckBoxSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo3.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo3.HardMarginX = 0F;
            noPrinterPrintInfo3.HardMarginY = 0F;
            noPrinterPrintInfo3.SupportColor = true;
            this.CheckBoxSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo3;
            this.CheckBoxSheet.PrintInfo.ZoomFactor = 1F;
            this.CheckBoxSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // ColorPickerSheet
            // 
            this.ColorPickerSheet.Reset();
            this.ColorPickerSheet.SheetName = "ColorPicker";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.ColorPickerSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo4.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo4.HardMarginX = 0F;
            noPrinterPrintInfo4.HardMarginY = 0F;
            noPrinterPrintInfo4.SupportColor = true;
            this.ColorPickerSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo4;
            this.ColorPickerSheet.PrintInfo.ZoomFactor = 1F;
            this.ColorPickerSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // ComboBoxSheet
            // 
            this.ComboBoxSheet.Reset();
            this.ComboBoxSheet.SheetName = "ComboBox";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.ComboBoxSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo5.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo5.HardMarginX = 0F;
            noPrinterPrintInfo5.HardMarginY = 0F;
            noPrinterPrintInfo5.SupportColor = true;
            this.ComboBoxSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo5;
            this.ComboBoxSheet.PrintInfo.ZoomFactor = 1F;
            this.ComboBoxSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // CurrencySheet
            // 
            this.CurrencySheet.Reset();
            this.CurrencySheet.SheetName = "Currency";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.CurrencySheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo6.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo6.HardMarginX = 0F;
            noPrinterPrintInfo6.HardMarginY = 0F;
            noPrinterPrintInfo6.SupportColor = true;
            this.CurrencySheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo6;
            this.CurrencySheet.PrintInfo.ZoomFactor = 1F;
            this.CurrencySheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // DateTimeSheet
            // 
            this.DateTimeSheet.Reset();
            this.DateTimeSheet.SheetName = "DateTime";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.DateTimeSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo7.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo7.HardMarginX = 0F;
            noPrinterPrintInfo7.HardMarginY = 0F;
            noPrinterPrintInfo7.SupportColor = true;
            this.DateTimeSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo7;
            this.DateTimeSheet.PrintInfo.ZoomFactor = 1F;
            this.DateTimeSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // GeneralSheet
            // 
            this.GeneralSheet.Reset();
            this.GeneralSheet.SheetName = "General";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.GeneralSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo8.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo8.HardMarginX = 0F;
            noPrinterPrintInfo8.HardMarginY = 0F;
            noPrinterPrintInfo8.SupportColor = true;
            this.GeneralSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo8;
            this.GeneralSheet.PrintInfo.ZoomFactor = 1F;
            this.GeneralSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // HyperLinkSheet
            // 
            this.HyperLinkSheet.Reset();
            this.HyperLinkSheet.SheetName = "HyperLink";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.HyperLinkSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            this.HyperLinkSheet.Columns.Get(3).Width = 101F;
            noPrinterPrintInfo9.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo9.HardMarginX = 0F;
            noPrinterPrintInfo9.HardMarginY = 0F;
            noPrinterPrintInfo9.SupportColor = true;
            this.HyperLinkSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo9;
            this.HyperLinkSheet.PrintInfo.ZoomFactor = 1F;
            this.HyperLinkSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // ListBoxSheet
            // 
            this.ListBoxSheet.Reset();
            this.ListBoxSheet.SheetName = "ListBox";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.ListBoxSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo10.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo10.HardMarginX = 0F;
            noPrinterPrintInfo10.HardMarginY = 0F;
            noPrinterPrintInfo10.SupportColor = true;
            this.ListBoxSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo10;
            this.ListBoxSheet.PrintInfo.ZoomFactor = 1F;
            this.ListBoxSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // MaskSheet
            // 
            this.MaskSheet.Reset();
            this.MaskSheet.SheetName = "Mask";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.MaskSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo11.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo11.HardMarginX = 0F;
            noPrinterPrintInfo11.HardMarginY = 0F;
            noPrinterPrintInfo11.SupportColor = true;
            this.MaskSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo11;
            this.MaskSheet.PrintInfo.ZoomFactor = 1F;
            this.MaskSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // MultiColumnComboSheet
            // 
            this.MultiColumnComboSheet.Reset();
            this.MultiColumnComboSheet.SheetName = "MultiColumnComboBox";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.MultiColumnComboSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo12.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo12.HardMarginX = 0F;
            noPrinterPrintInfo12.HardMarginY = 0F;
            noPrinterPrintInfo12.SupportColor = true;
            this.MultiColumnComboSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo12;
            this.MultiColumnComboSheet.PrintInfo.ZoomFactor = 1F;
            this.MultiColumnComboSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // MultiOptionSheet
            // 
            this.MultiOptionSheet.Reset();
            this.MultiOptionSheet.SheetName = "MultiOption";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.MultiOptionSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo13.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo13.HardMarginX = 0F;
            noPrinterPrintInfo13.HardMarginY = 0F;
            noPrinterPrintInfo13.SupportColor = true;
            this.MultiOptionSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo13;
            this.MultiOptionSheet.PrintInfo.ZoomFactor = 1F;
            this.MultiOptionSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // NumberSheet
            // 
            this.NumberSheet.Reset();
            this.NumberSheet.SheetName = "Number";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.NumberSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo14.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo14.HardMarginX = 0F;
            noPrinterPrintInfo14.HardMarginY = 0F;
            noPrinterPrintInfo14.SupportColor = true;
            this.NumberSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo14;
            this.NumberSheet.PrintInfo.ZoomFactor = 1F;
            this.NumberSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // PercentSheet
            // 
            this.PercentSheet.Reset();
            this.PercentSheet.SheetName = "Percent";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.PercentSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo15.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo15.HardMarginX = 0F;
            noPrinterPrintInfo15.HardMarginY = 0F;
            noPrinterPrintInfo15.SupportColor = true;
            this.PercentSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo15;
            this.PercentSheet.PrintInfo.ZoomFactor = 1F;
            this.PercentSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // ProgressSheet
            // 
            this.ProgressSheet.Reset();
            this.ProgressSheet.SheetName = "Progress";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.ProgressSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo16.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo16.HardMarginX = 0F;
            noPrinterPrintInfo16.HardMarginY = 0F;
            noPrinterPrintInfo16.SupportColor = true;
            this.ProgressSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo16;
            this.ProgressSheet.PrintInfo.ZoomFactor = 1F;
            this.ProgressSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // RegularExpressionSheet
            // 
            this.RegularExpressionSheet.Reset();
            this.RegularExpressionSheet.SheetName = "RegularExpression";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.RegularExpressionSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo17.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo17.HardMarginX = 0F;
            noPrinterPrintInfo17.HardMarginY = 0F;
            noPrinterPrintInfo17.SupportColor = true;
            this.RegularExpressionSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo17;
            this.RegularExpressionSheet.PrintInfo.ZoomFactor = 1F;
            this.RegularExpressionSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // RichText
            // 
            this.RichText.Reset();
            this.RichText.SheetName = "RichText";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.RichText.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo18.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo18.HardMarginX = 0F;
            noPrinterPrintInfo18.HardMarginY = 0F;
            noPrinterPrintInfo18.SupportColor = true;
            this.RichText.PrintInfo.NoPrinterSetting = noPrinterPrintInfo18;
            this.RichText.PrintInfo.ZoomFactor = 1F;
            this.RichText.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // SliderSheet
            // 
            this.SliderSheet.Reset();
            this.SliderSheet.SheetName = "Slider";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.SliderSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo19.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo19.HardMarginX = 0F;
            noPrinterPrintInfo19.HardMarginY = 0F;
            noPrinterPrintInfo19.SupportColor = true;
            this.SliderSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo19;
            this.SliderSheet.PrintInfo.ZoomFactor = 1F;
            this.SliderSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // TextSheet
            // 
            this.TextSheet.Reset();
            this.TextSheet.SheetName = "Text";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.TextSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            noPrinterPrintInfo20.Bounds = new System.Drawing.Rectangle(0, 0, 816, 11);
            noPrinterPrintInfo20.HardMarginX = 0F;
            noPrinterPrintInfo20.HardMarginY = 0F;
            noPrinterPrintInfo20.SupportColor = true;
            this.TextSheet.PrintInfo.NoPrinterSetting = noPrinterPrintInfo20;
            this.TextSheet.PrintInfo.ZoomFactor = 1F;
            this.TextSheet.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // Label2
            // 
            this.Label2.Location = new System.Drawing.Point(0, 0);
            this.Label2.Name = "Label2";
            this.Label2.Size = new System.Drawing.Size(100, 23);
            this.Label2.TabIndex = 0;
            // 
            // Label1
            // 
            this.Label1.Location = new System.Drawing.Point(0, 0);
            this.Label1.Name = "Label1";
            this.Label1.Size = new System.Drawing.Size(100, 23);
            this.Label1.TabIndex = 0;
            // 
            // GCDateTimeCellType
            // 
            this.GCDateTimeCellType.Reset();
            this.GCDateTimeCellType.SheetName = "GCDateTimeCellType";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.GCDateTimeCellType.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            this.GCDateTimeCellType.ActiveColumnIndex = 2;
            this.GCDateTimeCellType.ActiveRowIndex = 3;
            this.GCDateTimeCellType.Cells.Get(1, 1).ParseFormatString = "G";
            this.GCDateTimeCellType.Cells.Get(1, 1).Value = "GCDateTimeCellType";
            gcDateTimeCellType1.ClearCollection = true;
            gcDateTimeCellType1.DropDown.ShowShadow = true;
            dateLiteralFieldInfo1.Text = "/";
            dateLiteralFieldInfo2.Text = "/";
            dateLiteralFieldInfo4.Text = ":";
            dateLiteralFieldInfo5.Text = ":";
            gcDateTimeCellType1.Fields.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateFieldInfo[] {
            dateYearFieldInfo1,
            dateLiteralFieldInfo1,
            dateMonthFieldInfo1,
            dateLiteralFieldInfo2,
            dateDayFieldInfo1,
            dateLiteralFieldInfo3,
            dateHourFieldInfo1,
            dateLiteralFieldInfo4,
            dateMinuteFieldInfo1,
            dateLiteralFieldInfo5,
            dateSecondFieldInfo1});
            gcDateTimeCellType1.ShortcutKeys.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry[] {
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F2, "ShortcutClear"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F5, "SetNow"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Return))), "ApplyRecommendedValue")});
            gcDateTimeCellType1.SideButtons.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.SideButtonBaseInfo[] {
            dropDownButtonInfo1});
            this.GCDateTimeCellType.Cells.Get(1, 2).CellType = gcDateTimeCellType1;
            gcDateTimeCellType2.ClearCollection = true;
            gcDateTimeCellType2.DropDown.AllowResize = true;
            gcDateTimeCellType2.DropDown.ClosingAnimation = GrapeCity.Win.Spread.InputMan.CellType.DropDownAnimation.Fade;
            gcDateTimeCellType2.DropDown.ShowShadow = true;
            gcDateTimeCellType2.DropDownCalendar.BackColor = System.Drawing.SystemColors.Menu;
            gcDateTimeCellType2.DropDownCalendar.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            dateLiteralFieldInfo6.Text = "/";
            dateLiteralFieldInfo7.Text = "/";
            dateLiteralFieldInfo9.Text = ":";
            dateLiteralFieldInfo10.Text = ":";
            gcDateTimeCellType2.Fields.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.Fields.DateFieldInfo[] {
            dateYearFieldInfo2,
            dateLiteralFieldInfo6,
            dateMonthFieldInfo2,
            dateLiteralFieldInfo7,
            dateDayFieldInfo2,
            dateLiteralFieldInfo8,
            dateHourFieldInfo2,
            dateLiteralFieldInfo9,
            dateMinuteFieldInfo2,
            dateLiteralFieldInfo10,
            dateSecondFieldInfo2});
            gcDateTimeCellType2.PromptChar = '$';
            gcDateTimeCellType2.ShortcutKeys.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry[] {
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F2, "ShortcutClear"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F5, "SetNow"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Return))), "ApplyRecommendedValue")});
            gcDateTimeCellType2.SideButtons.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.SideButtonBaseInfo[] {
            dropDownButtonInfo2});
            this.GCDateTimeCellType.Cells.Get(3, 2).CellType = gcDateTimeCellType2;
            this.GCDateTimeCellType.Columns.Get(1).Width = 110F;
            this.GCDateTimeCellType.Columns.Get(2).Width = 160F;
            this.GCDateTimeCellType.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // GCNumberCellType
            // 
            this.GCNumberCellType.Reset();
            this.GCNumberCellType.SheetName = "GCNumberCellType";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.GCNumberCellType.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            this.GCNumberCellType.ActiveColumnIndex = 2;
            this.GCNumberCellType.ActiveRowIndex = 3;
            this.GCNumberCellType.Cells.Get(1, 1).ParseFormatString = "G";
            this.GCNumberCellType.Cells.Get(1, 1).Value = "GCNumberCellType";
            gcNumberCellType1.ClearCollection = true;
            gcNumberCellType1.DropDown.ShowShadow = true;
            gcNumberCellType1.Fields.IntegerPart.MinDigits = 1;
            gcNumberCellType1.Fields.SignSuffix.NegativePattern = "";
            gcNumberCellType1.ShortcutKeys.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry[] {
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F2, "SetZero"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.Subtract, "SwitchSign"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.OemMinus, "SwitchSign"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Return))), "ApplyRecommendedValue")});
            gcNumberCellType1.SideButtons.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.SideButtonBaseInfo[] {
            dropDownButtonInfo3});
            this.GCNumberCellType.Cells.Get(1, 2).CellType = gcNumberCellType1;
            gcNumberCellType2.AlternateText.Null.Text = "Null value";
            gcNumberCellType2.AlternateText.Zero.Text = "Zero";
            gcNumberCellType2.ClearCollection = true;
            gcNumberCellType2.Fields.IntegerPart.MinDigits = 1;
            gcNumberCellType2.Fields.SignSuffix.NegativePattern = "";
            gcNumberCellType2.ShortcutKeys.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry[] {
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F2, "SetZero"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.Subtract, "SwitchSign"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.OemMinus, "SwitchSign"),
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(((System.Windows.Forms.Keys)((System.Windows.Forms.Keys.Control | System.Windows.Forms.Keys.Return))), "ApplyRecommendedValue")});
            gcNumberCellType2.SideButtons.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.SideButtonBaseInfo[] {
            dropDownButtonInfo4});
            this.GCNumberCellType.Cells.Get(3, 2).CellType = gcNumberCellType2;
            this.GCNumberCellType.Columns.Get(1).Width = 101F;
            this.GCNumberCellType.Columns.Get(2).Width = 162F;
            this.GCNumberCellType.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // GCTextBoxCellType
            // 
            this.GCTextBoxCellType.Reset();
            this.GCTextBoxCellType.SheetName = "GCTextBoxCellType";
            // Formulas and custom names must be loaded with R1C1 reference style
            this.GCTextBoxCellType.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.R1C1;
            this.GCTextBoxCellType.ActiveColumnIndex = 2;
            this.GCTextBoxCellType.ActiveRowIndex = 3;
            this.GCTextBoxCellType.Cells.Get(1, 1).ParseFormatString = "G";
            this.GCTextBoxCellType.Cells.Get(1, 1).Value = "GCTextBoxCellType";
            gcTextBoxCellType1.AlternateText.DisplayNull.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
            gcTextBoxCellType1.AlternateText.Null.ForeColor = System.Drawing.Color.Silver;
            gcTextBoxCellType1.AlternateText.Null.Text = "NULL please enter something";
            gcTextBoxCellType1.ClearCollection = true;
            gcTextBoxCellType1.ShortcutKeys.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry[] {
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F2, "ShortcutClear")});
            this.GCTextBoxCellType.Cells.Get(1, 2).CellType = gcTextBoxCellType1;
            gcTextBoxCellType2.AlternateText.Null.ForeColor = System.Drawing.Color.Silver;
            gcTextBoxCellType2.AlternateText.Null.Text = "Auto complete suggestion";
            gcTextBoxCellType2.AutoComplete.HighlightMatchedText = true;
            gcTextBoxCellType2.AutoCompleteCustomSource.AddRange(new string[] {
            "a general item",
            "board",
            "cat",
            "dog",
            "english",
            "enter",
            "fly",
            "flick",
            "go ",
            "goes",
            "hand",
            "hold"});
            gcTextBoxCellType2.AutoCompleteMode = System.Windows.Forms.AutoCompleteMode.Suggest;
            gcTextBoxCellType2.AutoCompleteSource = System.Windows.Forms.AutoCompleteSource.CustomSource;
            gcTextBoxCellType2.ClearCollection = true;
            gcTextBoxCellType2.ShortcutKeys.AddRange(new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry[] {
            new GrapeCity.Win.Spread.InputMan.CellType.ShortcutDictionaryEntry(System.Windows.Forms.Keys.F2, "ShortcutClear")});
            this.GCTextBoxCellType.Cells.Get(3, 2).CellType = gcTextBoxCellType2;
            this.GCTextBoxCellType.Columns.Get(1).Width = 102F;
            this.GCTextBoxCellType.Columns.Get(2).Width = 181F;
            this.GCTextBoxCellType.ReferenceStyle = FarPoint.Win.Spread.Model.ReferenceStyle.A1;
            // 
            // CellTypes
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
            this.BackColor = System.Drawing.Color.White;
            this.ClientSize = new System.Drawing.Size(709, 611);
            this.Controls.Add(this.FpSpread1);
            this.Name = "CellTypes";
            this.Text = "celltypes";
            this.Load += new System.EventHandler(this.celltypes_Load);
            ((System.ComponentModel.ISupportInitialize)(this.FpSpread1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.BarCodeSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ButtonSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.CheckBoxSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ColorPickerSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ComboBoxSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.CurrencySheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.DateTimeSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.GeneralSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.HyperLinkSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ListBoxSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.MaskSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.MultiColumnComboSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.MultiOptionSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.NumberSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.PercentSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ProgressSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.RegularExpressionSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.RichText)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.SliderSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.TextSheet)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.GCDateTimeCellType)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.GCNumberCellType)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.GCTextBoxCellType)).EndInit();
            this.ResumeLayout(false);

    }

    void FpSpread1_SubEditorOpening(object sender, FarPoint.Win.Spread.SubEditorOpeningEventArgs e)
    {
      if (e.SubEditor is FarPoint.Win.Spread.FpSpread)
      {
        bool chk = (bool)MultiColumnComboSheet.Cells.Get(0, 1).Value;

        FarPoint.Win.Spread.FpSpread spread = (FarPoint.Win.Spread.FpSpread)e.SubEditor;
        spread.HorizontalScrollBarPolicy = FarPoint.Win.Spread.ScrollBarPolicy.AsNeeded;
        spread.ActiveSheet.FrozenColumnCount = chk ? 1 : 0;
        spread.ActiveSheet.AllowGroup = chk ? true : false;
        spread.ActiveSheet.GroupBarVisible = false;
        if (!(spread.Sheets[0].Models.Data is FarPoint.Win.Spread.Model.GroupDataModel) && chk)
        {
          FarPoint.Win.Spread.Model.GroupDataModel gm = new FarPoint.Win.Spread.Model.GroupDataModel(spread.Sheets[0].Models.Data);
          FarPoint.Win.Spread.SortInfo[] si = new FarPoint.Win.Spread.SortInfo[] { new FarPoint.Win.Spread.SortInfo(3, true) };
          gm.Group(si);
          spread.Sheets[0].Models.Data = gm;
        }
        else if (!chk && spread.Sheets[0].Models.Data is FarPoint.Win.Spread.Model.GroupDataModel)
          spread.Sheets[0].Models.Data = ((FarPoint.Win.Spread.Model.GroupDataModel)spread.Sheets[0].Models.Data).TargetModel;
      }
    }

    void FpSpread1_EditModeOn(object sender, EventArgs e)
    {
      if (FpSpread1.ActiveSheetIndex == 19 && FpSpread1.ActiveSheet.ActiveColumnIndex == 1 && FpSpread1.ActiveSheet.ActiveRowIndex == 5)
      {
        ((GeneralEditor)FpSpread1.EditingControl).ClearAll();
      }
    }

    void FpSpread1_EditChange(object sender, FarPoint.Win.Spread.EditorNotifyEventArgs e)
    {
      if (e.EditingControl is FpSlider)
      {
        FpSpread1.Sheets[18].Cells[e.Row, e.Column - 1].Value = ((FpSlider)e.EditingControl).Value;
      }
    }
    void doTimer(bool start)
    {
      if (start)
      {
        progTimer.Interval = 100;
        progTimer.Tick += new EventHandler(progTimer_Tick);
        progTimer.Start();
      }
      else
      {
        progTimer.Tick -= new EventHandler(progTimer_Tick);
        progTimer.Stop();
      }
    }

    void progTimer_Tick(object sender, EventArgs e)
    {
      Color c = Color.Empty;
      int value = Convert.ToInt32(FpSpread1.Sheets[15].Cells[1, 3].Value);
      FpSpread1.Sheets[15].Cells[1, 3].Value = value < 100 ? value + 5 : 0;
      if (value < 25)
        c = Color.Blue;
      else if (value < 50)
        c = Color.Yellow;
      else if (value < 75)
        c = Color.Orange;
      else
        c = Color.Red;

      if (((ProgressCellType)FpSpread1.Sheets[15].Cells[1, 3].CellType).FillColor != c)
        ((ProgressCellType)FpSpread1.Sheets[15].Cells[1, 3].CellType).FillColor = c;
    }

    void FpSpread1_ActiveSheetChanging(object sender, FarPoint.Win.Spread.ActiveSheetChangingEventArgs e)
    {
      int newIndex = e.ActivatedSheetIndex;

      if (newIndex < 8)
        FpSpread1.LeftTab = 0;
      else if (newIndex < 16)
        FpSpread1.LeftTab = 8;
      else
        FpSpread1.LeftTab = 16;
    }
    void FpSpread1_ActiveSheetChanged(object sender, EventArgs e)
    {
      doTimer(false);

      switch (FpSpread1.ActiveSheetIndex)
      {
        case 0:
          Label1.Text = "CellTypes - BarCode";
          Label2.Text = "This demo shows an example of each of the different styles of barcode available with Spread for Windows Forms";
          break;
        case 1:
          Label1.Text = "CellTypes - Button";
          Label2.Text = "Images, gradient backgrounds, rotated text and two states are among the key features of the ButtonCellType.";
          break;
        case 2:
          Label1.Text = "CellTypes - CheckBox";
          Label2.Text = "Customize the look of CheckBox cells with your own images, multiple state settings and different alignments and orientations.";
          break;
        case 3:
          Label1.Text = "CellTypes - ColorPicker";
          Label2.Text = "The ColorPicker cell type can be used to display the Color Dialog or Color Drop Down Editor. Choose from 4 styles of display. Customizable text.";
          break;
        case 4:
          Label1.Text = "CellTypes - ComboBox";
          Label2.Text = "ComboBox cells can be modified to return either the selected item index, the string or a user defined ItemData value. You can also replace the drop down list with your own custom listbox control.";
          break;
        case 5:
          Label1.Text = "CellTypes - Currency";
          Label2.Text = "Use the Currency cell type to manage decimal data. Customize positive and negative formatting, decimal places, currency symbol, and much much more. Expand column D to see protected value.";
          break;
        case 6:
          Label1.Text = "CellTypes - DateTime";
          Label2.Text = "The DateTime control can be customized to display any valid datetime format. From built in long and short dates and times to a fully customizable display. The pop-up or drop down Calendar makes for easy date selection.";
          break;
        case 7:
          Label1.Text = "CellTypes - General";
          Label2.Text = "The GeneralCellType mimics the functionality of an Excel workbook cell. Formatting can be applied or automatically assigned by user input.";
          break;
        case 8:
          Label1.Text = "CellTypes - HyperLink";
          Label2.Text = "HyperLink cells can navigate the web (cells B2, B4 and D6) or be coded to your preference. Cell B4 has multiple links within the cell while cells D2 and B6 navigate to locations in the sheet.";
          break;
        case 9:
          Label1.Text = "CellTypes - ListBox";
          Label2.Text = "Use the ListBox cell type to display a selected list of items. Selected items value, index or ItemData can be stored as the cell value.";
          break;
        case 10:
          Label1.Text = "CellTypes - Mask";
          Label2.Text = "Mask cells can be used to restrict data to user defined formats. Add up to 10 custom mask characters to use within the mask.";
          break;
        case 11:
          Label1.Text = "CellTypes - MultiColumnComboBox";
          Label2.Text = "The MultiColumnComboBox displays a codeable, data bound and multi-column drop down Spread.";
          break;
        case 12:
          Label1.Text = "CellTypes - MultiOption";
          Label2.Text = "The MultiOptionCellType builds upon standard Radio button controls by allowing customizable images, orientations and more.";
          break;
        case 13:
          Label1.Text = "CellTypes - Number";
          Label2.Text = "The NumberCellType can be used to display numeric data in many different formats. Now including fractional formatting.";
          break;
        case 14:
          Label1.Text = "CellTypes - Percent";
          Label2.Text = "PercentCellTypes can be used to format decimal data into percentages.";
          break;
        case 15:
          Label1.Text = "CellTypes - Progress";
          Label2.Text = "Use Progress cell types to display a visual representation of your data. Customize the appearance with images, gradient colors and orientations.";
          doTimer(true);
          break;
        case 16:
          Label1.Text = "CellTypes - RegularExpression";
          Label2.Text = "The RegularExpressionCellType allows for you to specify an expression to evaluate upon leaving edit mode. Cell C3 below allows only valid email addresses. Add your own expression to cell C3 by modifying the expression in cell C2.";
          break;
        case 17:
          Label1.Text = "CellTypes - RichText";
          Label2.Text = "This demo shows an example of each of the different styles of RichTextCellType available with Spread for Windows Forms";
          break;
        case 18:
          Label1.Text = "CellTypes - Slider";
          Label2.Text = "The slider celltype is fully customizable. From the color of the track, ticks, and knob to the orientation, values and more.";
          break;
        case 19:
          Label1.Text = "CellTypes - Text";
          Label2.Text = "Text cell types can be used to display and edit text in multiple formats. Use the password character to set up a password cell, or set up your own AutoComplete cell!";
          break;
      }

    }

    void FpSpread1_ButtonClicked(object sender, FarPoint.Win.Spread.EditorNotifyEventArgs e)
    {
      if (e.EditingControl is FarPoint.Win.FpHyperlink)
      {
        if (e.Row == 1 && e.Column == 3)
          FpSpread1.ActiveSheet.SetActiveCell(5, 1);
        else if (e.Row == 5 && e.Column == 1)
          FpSpread1.ActiveSheetIndex = 0;
      }
      else if (e.EditingControl is FarPoint.Win.FpMultiOption && e.Row == 1 && e.Column == 3)
      {
        FarPoint.Win.FpMultiOption radio = (FarPoint.Win.FpMultiOption)e.EditingControl;
        switch (radio.Value)
        {
          case 0:
            FpSpread1.ActiveSheet.Cells.Get(1, 3).VisualStyles = FarPoint.Win.VisualStyles.Off;
            radio.Picture = null;
            radio.VisualStyles = VisualStyles.Off;
            radio.Invalidate();
            ((MultiOptionCellType)FpSpread1.ActiveSheet.Cells.Get(1, 3).CellType).Picture = null;
            break;
          case 1:
            FpSpread1.ActiveSheet.Cells.Get(1, 3).VisualStyles = FarPoint.Win.VisualStyles.On;
            radio.VisualStyles = VisualStyles.On;
            radio.Picture = null;
            ((MultiOptionCellType)FpSpread1.ActiveSheet.Cells.Get(1, 3).CellType).Picture = null;
            radio.Invalidate();
            break;
          case 2:
            FpSpread1.ActiveSheet.Cells.Get(1, 3).VisualStyles = FarPoint.Win.VisualStyles.Off;
            System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.face_sad.GIF");
            System.IO.Stream image2 = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.face_happy.GIF");
            radio.Picture[RadioPictureType.PictureFalse] = Image.FromStream(image);
            radio.Picture[RadioPictureType.PictureFalsePressed] = Image.FromStream(image);
            radio.Picture[RadioPictureType.PictureTrue] = Image.FromStream(image2);
            radio.Picture[RadioPictureType.PictureTruePressed] = Image.FromStream(image2);
            radio.VisualStyles = VisualStyles.Off;
            ((MultiOptionCellType)FpSpread1.ActiveSheet.Cells.Get(1, 3).CellType).Picture[RadioPictureType.PictureFalse] = Image.FromStream(image);
            ((MultiOptionCellType)FpSpread1.ActiveSheet.Cells.Get(1, 3).CellType).Picture[RadioPictureType.PictureFalsePressed] = Image.FromStream(image);
            ((MultiOptionCellType)FpSpread1.ActiveSheet.Cells.Get(1, 3).CellType).Picture[RadioPictureType.PictureTrue] = Image.FromStream(image2);
            ((MultiOptionCellType)FpSpread1.ActiveSheet.Cells.Get(1, 3).CellType).Picture[RadioPictureType.PictureTruePressed] = Image.FromStream(image2);
            break;
        }
      }
    }

    void FpSpread1_ComboCloseUp(object sender, FarPoint.Win.Spread.EditorNotifyEventArgs e)
    {
      FpSpread1.ActiveSheet.Cells[e.Row, e.Column + 1].Value = FpSpread1.ActiveSheet.Cells[e.Row, e.Column].CellType.GetEditorValue();
    }


    void FpSpread1_Error(object sender, FarPoint.Win.Spread.ErrorEventArgs e)
    {
      System.Diagnostics.Debug.WriteLine(e.ErrorMessage);
      if (e.EditError == FarPoint.Win.Spread.EditError.InvalidHyperlink)
        e.Cancel = true;
    }
    #endregion

    private void celltypes_Load(object sender, System.EventArgs e)
    {
      FpSpread1.TabStripInsertTab = false;
      InitBarCode();
      InitButton();
      InitCheckBox();
      InitColorPicker();
      InitCombo();
      InitCurrency();
      InitDateTime();
      InitGeneral();
      InitHyperLink();
      InitListBox();
      InitMask();
      InitMulitColumnCombo();
      InitMultiOption();
      InitNumber();
      InitPercent();
      InitProgress();
      InitRegularExpression();
      InitRichText();
      InitSlider();
      InitText();
      InitGcCombo();
      InitGcMask();
      InitGcCharMask();
      InitGcTimeSpan();
    }
    public void InitGcCombo()
    {
      GcComboBoxCellType gcComboBoxCellType1 = new GcComboBoxCellType();
      GcComboBoxCellType gcComboBoxCellType2 = new GcComboBoxCellType();
      GcComboBoxCellType gcComboBoxCellType3 = new GcComboBoxCellType();
      GcComboBoxCellType gcComboBoxCellType4 = new GcComboBoxCellType();
      this.GcComboBoxCellTypeSheet.Cells[0, 0, 7, 0].Locked = true;
      this.GcComboBoxCellTypeSheet.Cells[0, 2].HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.GcComboBoxCellTypeSheet.Cells[0, 2].Locked = true;
      this.GcComboBoxCellTypeSheet.Cells[0, 2].Value = "Value";
      this.GcComboBoxCellTypeSheet.Cells[0, 2].BackColor = Color.Aqua;
      gcComboBoxCellType1.TextFormat = "Fruit: [0]";
      gcComboBoxCellType1.EditorValue = GcComboBoxEditorValue.Text;
      gcComboBoxCellType1.Items.AddRange(new string[] { "Apples",
        "Oranges",
        "Grapes" });
      gcComboBoxCellType1.DropDownStyle = ComboBoxStyle.DropDown;
      this.GcComboBoxCellTypeSheet.Cells[1, 1].CellType = gcComboBoxCellType1;
      this.GcComboBoxCellTypeSheet.Cells[1, 1].Value = "";

      DataSet ds = new DataSet();
      DataTable test = ds.Tables.Add("Test");
      test.Columns.AddRange(new DataColumn[] { new DataColumn("ID", typeof(int)), new DataColumn("Product", typeof(string)), new DataColumn("Available", typeof(bool)), new DataColumn("Date", typeof(DateTime)) });
      test.Rows.Add(new object[] { 1, "milk", true, new DateTime(2012, 7, 25) });
      test.Rows.Add(new object[] { 2, "chocolate", true, new DateTime(2012, 7, 24) });
      test.Rows.Add(new object[] { 3, "silk", false, new DateTime(2012, 7, 23) });
      gcComboBoxCellType2.DataSource = ds;
      gcComboBoxCellType2.DataMember = "Test";
      gcComboBoxCellType2.EditorValue = GcComboBoxEditorValue.Value;
      gcComboBoxCellType2.ValueSubItemIndex = 1;
      this.GcComboBoxCellTypeSheet.Cells[3, 1].CellType = gcComboBoxCellType2;

      gcComboBoxCellType3.EditorValue = GcComboBoxEditorValue.Index;
      gcComboBoxCellType3.Items.AddRange(new ListItemInfo[] { new ListItemInfo("Alex"), new ListItemInfo("Andrew"), new ListItemInfo("Arthur"), new ListItemInfo("Blake"), new ListItemInfo("Louis") });
      this.GcComboBoxCellTypeSheet.Cells[5, 1].CellType = gcComboBoxCellType3;
      this.GcComboBoxCellTypeSheet.Cells[5, 1].Value = -1;

      this.GcComboBoxCellTypeSheet.Columns[1].Width = 90F;
      this.GcComboBoxCellTypeSheet.Columns[2].Width = 110F;
      this.GcComboBoxCellTypeSheet.Cells[0, 0].ParseFormatString = "G";
      this.GcComboBoxCellTypeSheet.Cells[0, 0].BackColor = Color.Aqua;
      this.GcComboBoxCellTypeSheet.Cells[0, 0].Value = "Value returned as...";
      this.GcComboBoxCellTypeSheet.Cells[1, 0].ParseFormatString = "G";
      this.GcComboBoxCellTypeSheet.Cells[1, 0].BackColor = Color.Aqua;
      this.GcComboBoxCellTypeSheet.Cells[1, 0].Value = "String with TextFormat";
      this.GcComboBoxCellTypeSheet.Cells[3, 0].ParseFormatString = "G";
      this.GcComboBoxCellTypeSheet.Cells[3, 0].BackColor = Color.Aqua;
      this.GcComboBoxCellTypeSheet.Cells[3, 0].Value = "Sub Item in Datasource";
      this.GcComboBoxCellTypeSheet.Cells[5, 0].ParseFormatString = "G";
      this.GcComboBoxCellTypeSheet.Cells[5, 0].Value = "Index";
      this.GcComboBoxCellTypeSheet.Cells[5, 0].BackColor = Color.Aqua;
      this.GcComboBoxCellTypeSheet.Columns[0].Width = 130F;
      this.GcComboBoxCellTypeSheet.Cells[7, 0].BackColor = Color.Aqua;
      this.GcComboBoxCellTypeSheet.Cells[7, 0].Text = "Images in List";
      this.GcComboBoxCellTypeSheet.Cells[7, 0].Locked = true;
      this.GcComboBoxCellTypeSheet.Columns[1].Width = 130;
      gcComboBoxCellType4.Items.AddRange(new ListItemInfo[] { new ListItemInfo("english"), new ListItemInfo("history"), new ListItemInfo("math"), new ListItemInfo("music"), new ListItemInfo("science") });
      ImageList ilist = new ImageList();
      System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.english.gif");
      Image english = Image.FromStream(image);
      gcComboBoxCellType4.Items[0].Image = english;
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.history.gif");
      Image history = Image.FromStream(image);
      gcComboBoxCellType4.Items[1].Image = history;
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.math.gif");
      Image math = Image.FromStream(image);
      gcComboBoxCellType4.Items[2].Image = math;
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.music.gif");
      Image music = Image.FromStream(image);
      gcComboBoxCellType4.Items[3].Image = music;
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.science.gif");
      Image science = Image.FromStream(image);
       gcComboBoxCellType4.Items[4].Image = science;
      ilist.Images.Add(english);
      ilist.Images.Add(history);
      ilist.Images.Add(math);
      ilist.Images.Add(music);
      ilist.Images.Add(science);
      gcComboBoxCellType4.ImageList = ilist;
      gcComboBoxCellType4.ShowListBoxImage = true;
      gcComboBoxCellType4.DropDownStyle = ComboBoxStyle.DropDownList;
      this.GcComboBoxCellTypeSheet.Cells.Get(7, 1).CellType = gcComboBoxCellType4;

    }
    public void InitGcMask()
    {
      GcMaskCellTypeSheet.Columns[1].Width = 300;
      GcMaskCellTypeSheet.Cells[1, 1].Text = "GcMaskCellType";
      GcMaskCellTypeSheet.Cells[2, 1].Text = " With Literal and Enumeration Field";
      GcMaskCellTypeSheet.Cells[3, 1].Text = " With Literal , Pattern Field and Show RecommendValue";
      GcMaskCellTypeSheet.Cells[2, 1, 3, 1].BackColor = Color.Aqua;
      GcMaskCellTypeSheet.Cells[1, 1, 3, 1].Locked = true;
      GcMaskCellType gcMask1 = new GcMaskCellType();
      MaskLiteralFieldInfo mlf2 = new MaskLiteralFieldInfo("MaskLiteral: ");
      mlf2.BackColor = Color.Aqua;
      mlf2.ForeColor = Color.Orange;
      mlf2.Margin = new System.Windows.Forms.Padding(4);
      mlf2.Name = "MaskLiteralFieldInfo";
      mlf2.Font = SystemFonts.DefaultFont;

      MaskEnumerationFieldInfo mef = new MaskEnumerationFieldInfo(new string[] { "Item1 ", "Item2", "Item3", " Item4" });
      mef.AutoDropDown = true;
      mef.DropDownEnabled = true;
      gcMask1.Fields.Add(mlf2);
      gcMask1.Fields.Add(mef);
      gcMask1.DefaultActiveField = mef;
      GcMaskCellTypeSheet.Cells[2, 2].CellType = gcMask1;
      GcMaskCellTypeSheet.Rows[2].Height = 60;
      GcMaskCellTypeSheet.Columns[2].Width = 100;

      GcMaskCellType gcMask2 = new GcMaskCellType();
      gcMask2.Fields.Add(new MaskPatternFieldInfo("\\D", 2, 2));
      gcMask2.Fields.Add(new MaskLiteralFieldInfo("-"));
      gcMask2.Fields.Add(new MaskPatternFieldInfo("\\D", 3, 3));
      gcMask2.Fields.Add(new MaskLiteralFieldInfo("-"));
      gcMask2.Fields.Add(new MaskPatternFieldInfo("\\D", 4, 4));
      gcMask2.RecommendedValue = "0123456789";
      gcMask2.ShowRecommendedValue = true;
      GcMaskCellTypeSheet.Cells[3, 2].CellType = gcMask2;
    }
    public void InitGcCharMask()
    {
      GcCharMaskCellType gcCharMask1 = new GcCharMaskCellType();
      CharBoxInfoCollection CharBoxInfoes1 = gcCharMask1.CharBoxes;
      CharBoxInfoes1.Clear();

      LiteralBoxInfo literalBoxTemplate1 = new LiteralBoxInfo("\u3012");
      literalBoxTemplate1.AutoSize = false;
      literalBoxTemplate1.Size = new Size(12, 20);
      literalBoxTemplate1.Border.SetAllLines(Color.Empty, LineStyle.None);
      literalBoxTemplate1.ContentAlignment = ContentAlignment.TopCenter;
      literalBoxTemplate1.Margin = new Padding(0, 2, 0, 2);
      CharBoxInfoes1.Add(literalBoxTemplate1, 1);

      InputBoxInfo inputBoxTemplate1 = new InputBoxInfo();
      inputBoxTemplate1.AutoSize = false;
      inputBoxTemplate1.Size = new Size(17, 20);
      inputBoxTemplate1.Border.SetAllLines(Color.Black, LineStyle.Single);
      inputBoxTemplate1.Margin = new Padding(2);

      CharBoxInfoes1.Add(inputBoxTemplate1, 3);


      literalBoxTemplate1 = literalBoxTemplate1.Clone() as LiteralBoxInfo;
      literalBoxTemplate1.Size = new Size(8, 20);
      literalBoxTemplate1.ContentAlignment = ContentAlignment.MiddleCenter;
      literalBoxTemplate1.Text = "-";

      CharBoxInfoes1.Add(literalBoxTemplate1, 1);

      CharBoxInfoes1.Add(inputBoxTemplate1, 4);
      

      GcCharMaskCellType gcCharMask2 = new GcCharMaskCellType();
      CharBoxInfoCollection CharBoxInfoes2 = gcCharMask2.CharBoxes;
      CharBoxInfoes2.Clear();

      InputBoxInfo inputBoxTemplate2 = new InputBoxInfo();
      inputBoxTemplate2.AutoSize = false;
      inputBoxTemplate2.Size = new Size(20, 31);
      inputBoxTemplate2.Border.SetAllLines(Color.Black, LineStyle.Single);

      CharBoxInfoes2.Add(inputBoxTemplate2, 2);

      SeparatorBoxInfo separatorBoxTemplate2 = new SeparatorBoxInfo(SeparatorShape.Rectangle, Size.Empty);
      separatorBoxTemplate2.AutoSize = false;
      separatorBoxTemplate2.Size = new Size(5, 31);
      separatorBoxTemplate2.BackColor = Color.Gray;
      separatorBoxTemplate2.Border.SetAllLines(Color.Black, LineStyle.Single);

      for (int i = 0; i < 2; i++)
      {
        CharBoxInfoes2.Add(separatorBoxTemplate2, 1);
        CharBoxInfoes2.Add(inputBoxTemplate2, 3);
      }
      gcCharMask2.RecommendedValue = "0123456789";
      gcCharMask2.ShowRecommendedValue = true;

      GcCharMaskCellTypeSheet.Cells[3, 3].CellType = gcCharMask1;
      GcCharMaskCellTypeSheet.Cells[3, 3].Value = "7954122";
      GcCharMaskCellTypeSheet.Rows[3].Height = 30;
      GcCharMaskCellTypeSheet.Rows[4].Height = 50;
      GcCharMaskCellTypeSheet.Columns[3].Width = 170;
      GcCharMaskCellTypeSheet.Cells[4, 3].CellType = gcCharMask2;
      GcCharMaskCellTypeSheet.Cells[4, 3].Value = 0;
      GcCharMaskCellTypeSheet.Cells[3, 2, 4, 2].BackColor = Color.Aqua;
      GcCharMaskCellTypeSheet.Cells[2, 2, 4, 2].Locked = true;
      GcCharMaskCellTypeSheet.Cells[3, 2].Value = " Include LiteralBox and InputBox";
      GcCharMaskCellTypeSheet.Cells[4, 2].Value = " Include SeparatorBox and InputBox";
      GcCharMaskCellTypeSheet.Cells[2, 2].Value = "GcCharMaskCellType";
      GcCharMaskCellTypeSheet.Columns[2].Width = 180;
    }
    public void InitGcTimeSpan()
    {

      GcTimeSpanCellType gcTimeSpan1 = new GcTimeSpanCellType();
      GcTimeSpanCellType gcTimeSpan2 = new GcTimeSpanCellType();
      GcTimeSpanCellType gcTimeSpan3 = new GcTimeSpanCellType();
      TimeSpanSignDisplayFieldInfo tsf = new TimeSpanSignDisplayFieldInfo("", "-");
      TimeSpanDayDisplayFieldInfo tdf = new TimeSpanDayDisplayFieldInfo(1);
      TimeSpanLiteralDisplayFieldInfo tlf1 = new TimeSpanLiteralDisplayFieldInfo(":");
      TimeSpanHourDisplayFieldInfo thf = new TimeSpanHourDisplayFieldInfo(2);
      TimeSpanLiteralDisplayFieldInfo tlf2 = new TimeSpanLiteralDisplayFieldInfo(":");
      TimeSpanMinuteDisplayFieldInfo tmf = new TimeSpanMinuteDisplayFieldInfo(2);
      TimeSpanLiteralDisplayFieldInfo tlf3 = new TimeSpanLiteralDisplayFieldInfo(":");
      TimeSpanSecondDisplayFieldInfo tsef = new TimeSpanSecondDisplayFieldInfo(2);
      gcTimeSpan1.DisplayFields.AddRange(new TimeSpanDisplayFieldInfo[] { tsf, tdf, tlf1, thf, tlf2, tmf, tlf3, tsef });
      gcTimeSpan1.ShowRecommendedValue = true;
      GcTimeSpanCellTypeSheet.Cells[3, 3].CellType = gcTimeSpan1;
      //GcTimeSpanCellTypeSheet.Cells[3, 3].Value = new TimeSpan(1, 12, 30, 59);
      GcTimeSpanCellTypeSheet.Columns[3].Width = 120;
      GcTimeSpanCellTypeSheet.Columns[2].Width = 130;
      gcTimeSpan2.AlternateText.DisplayZero.ForeColor = Color.Blue;
      gcTimeSpan2.AlternateText.DisplayZero.Text = "Zero Value";
      GcTimeSpanCellTypeSheet.Cells[4, 3].CellType = gcTimeSpan2;
      GcTimeSpanCellTypeSheet.Cells[4, 3].Value = new TimeSpan(0, 0, 0, 0);

      gcTimeSpan3.AlternateText.DisplayNull.ForeColor = Color.Red;
      gcTimeSpan3.AlternateText.DisplayNull.Text = "Null Value";
      GcTimeSpanCellTypeSheet.Cells[5, 3].CellType = gcTimeSpan3;
      GcTimeSpanCellTypeSheet.Cells[5, 3].Value = null;

      GcTimeSpanCellTypeSheet.Cells[2, 2].Text = "GcTimeSpanCellType";
      GcTimeSpanCellTypeSheet.Cells[3, 2, 5, 2].BackColor = Color.Aqua;
      GcTimeSpanCellTypeSheet.Cells[2, 2, 5, 2].Locked = true;
      GcTimeSpanCellTypeSheet.Cells[4, 2].BackColor = Color.Aqua;
      GcTimeSpanCellTypeSheet.Cells[3, 2].Text = " With RecommendValue";
      GcTimeSpanCellTypeSheet.Cells[4, 2].Text = " Display zero value";
      GcTimeSpanCellTypeSheet.Cells[5, 2].Text = " Display null value";
    }
    public void InitBarCode()
    {
      System.Globalization.CultureInfo cultureInfo = new System.Globalization.CultureInfo("en-US", false);
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType1 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType2 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType3 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.TextCellType textCellType1 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType4 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType5 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.TextCellType textCellType2 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType6 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType7 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType8 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType9 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType10 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType11 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.TextCellType textCellType3 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType12 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType13 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      FarPoint.Win.Spread.CellType.BarCodeCellType barCodeCellType14 = new FarPoint.Win.Spread.CellType.BarCodeCellType();
      this.BarCodeSheet.Cells.Get(1, 0).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(1, 0).Value = "Code 39";
      this.BarCodeSheet.Cells.Get(1, 0).BackColor = Color.Aqua;
      barCodeCellType1.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType1.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("30.691mm", "17.197mm");
      barCodeCellType1.Type = new FarPoint.Win.Spread.CellType.BarCode.Code39("");
      this.BarCodeSheet.Cells.Get(1, 1).CellType = barCodeCellType1;
      this.BarCodeSheet.Cells.Get(1, 1).Value = "12345";
      this.BarCodeSheet.Cells.Get(1, 2).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(1, 2).Value = "Code 128";
      this.BarCodeSheet.Cells.Get(1, 2).BackColor = Color.Aqua;
      barCodeCellType2.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType2.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("32.014mm", "17.197mm");
      barCodeCellType2.Type = new FarPoint.Win.Spread.CellType.BarCode.Code128();
      this.BarCodeSheet.Cells.Get(1, 3).CellType = barCodeCellType2;
      this.BarCodeSheet.Cells.Get(1, 3).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(1, 3).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(1, 3).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.BarCodeSheet.Cells.Get(1, 3).ParseFormatString = "n";
      this.BarCodeSheet.Cells.Get(1, 3).Value = 12345;
      this.BarCodeSheet.Cells.Get(1, 4).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(1, 4).Value = "Code 49";
      this.BarCodeSheet.Cells.Get(1, 4).BackColor = Color.Aqua;
      barCodeCellType3.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("5.027mm", "5.027mm");
      barCodeCellType3.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("30.691mm", "14.816mm");
      barCodeCellType3.Type = new FarPoint.Win.Spread.CellType.BarCode.Code49("");
      this.BarCodeSheet.Cells.Get(1, 5).CellType = barCodeCellType3;
      this.BarCodeSheet.Cells.Get(1, 5).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(1, 5).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(1, 5).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.BarCodeSheet.Cells.Get(1, 5).ParseFormatString = "n";
      this.BarCodeSheet.Cells.Get(1, 5).Value = "12345";

      this.BarCodeSheet.Cells.Get(3, 0).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(3, 0).CellType = textCellType1;
      this.BarCodeSheet.Cells.Get(3, 0).ParseFormatInfo = ((System.Globalization.DateTimeFormatInfo)(cultureInfo.DateTimeFormat.Clone()));
      this.BarCodeSheet.Cells.Get(3, 0).ParseFormatString = null;
      this.BarCodeSheet.Cells.Get(3, 0).Value = "Jan 8";
      barCodeCellType4.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType4.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("32.014mm", "14.816mm");
      barCodeCellType4.Type = new FarPoint.Win.Spread.CellType.BarCode.JAN8();
      this.BarCodeSheet.Cells.Get(3, 1).CellType = barCodeCellType4;
      this.BarCodeSheet.Cells.Get(3, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(3, 1).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(3, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.BarCodeSheet.Cells.Get(3, 1).ParseFormatString = "n";
      this.BarCodeSheet.Cells.Get(3, 1).Value = 12345;
      this.BarCodeSheet.Cells.Get(3, 2).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(3, 2).Value = "Code 93";
      this.BarCodeSheet.Cells.Get(3, 2).BackColor = Color.Aqua;
      barCodeCellType5.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType5.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("30.691mm", "16.933mm");
      barCodeCellType5.Type = new FarPoint.Win.Spread.CellType.BarCode.Code93();
      this.BarCodeSheet.Cells.Get(3, 3).CellType = barCodeCellType5;
      this.BarCodeSheet.Cells.Get(3, 3).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(3, 3).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(3, 3).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.BarCodeSheet.Cells.Get(3, 3).ParseFormatString = "n";
      this.BarCodeSheet.Cells.Get(3, 3).Value = 12345;
      this.BarCodeSheet.Cells.Get(3, 4).CellType = textCellType2;
      this.BarCodeSheet.Cells.Get(3, 4).ParseFormatInfo = ((System.Globalization.DateTimeFormatInfo)(cultureInfo.DateTimeFormat.Clone()));
      this.BarCodeSheet.Cells.Get(3, 4).ParseFormatString = null;
      this.BarCodeSheet.Cells.Get(3, 4).Value = "Jan 13";
      this.BarCodeSheet.Cells.Get(3, 4).BackColor = Color.Aqua;
      barCodeCellType6.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType6.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("32.014mm", "16.933mm");
      barCodeCellType6.Type = new FarPoint.Win.Spread.CellType.BarCode.JAN13();
      this.BarCodeSheet.Cells.Get(3, 5).CellType = barCodeCellType6;
      this.BarCodeSheet.Cells.Get(3, 5).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(3, 5).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.BarCodeSheet.Cells.Get(3, 5).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.BarCodeSheet.Cells.Get(3, 5).ParseFormatString = "n";
      this.BarCodeSheet.Cells.Get(3, 5).Value = 123345;
      this.BarCodeSheet.Cells.Get(5, 0).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(5, 0).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(5, 0).Value = "Ean 128";
      barCodeCellType7.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType7.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("30.691mm", "14.287mm");
      barCodeCellType7.Type = new FarPoint.Win.Spread.CellType.BarCode.EAN128();
      this.BarCodeSheet.Cells.Get(5, 1).CellType = barCodeCellType7;
      this.BarCodeSheet.Cells.Get(5, 1).Value = "12345";
      this.BarCodeSheet.Cells.Get(5, 2).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(5, 2).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(5, 2).Value = "ITF";
      barCodeCellType8.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType8.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("32.014mm", "14.287mm");
      barCodeCellType8.Type = new FarPoint.Win.Spread.CellType.BarCode.ITF("");
      this.BarCodeSheet.Cells.Get(5, 3).CellType = barCodeCellType8;
      this.BarCodeSheet.Cells.Get(5, 3).Value = "12345";
      this.BarCodeSheet.Cells.Get(5, 4).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(5, 4).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(5, 4).Value = "PostNet";
      barCodeCellType9.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType9.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("30.691mm", "12.7mm");
      barCodeCellType9.FixedLength = 12;
      barCodeCellType9.Type = new FarPoint.Win.Spread.CellType.BarCode.PostNet();
      this.BarCodeSheet.Cells.Get(5, 5).CellType = barCodeCellType9;
      this.BarCodeSheet.Cells.Get(5, 5).Value = "12345";
      this.BarCodeSheet.Cells.Get(7, 0).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(7, 0).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(7, 0).Value = "UPC";
      barCodeCellType10.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType10.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("32.014mm", "12.7mm");
      barCodeCellType10.Type = new FarPoint.Win.Spread.CellType.BarCode.UPC("");
      this.BarCodeSheet.Cells.Get(7, 1).CellType = barCodeCellType10;
      this.BarCodeSheet.Cells.Get(7, 1).Value = "12345";
      this.BarCodeSheet.Cells.Get(7, 2).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(7, 2).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(7, 2).Value = "NW7";
      barCodeCellType11.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType11.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("30.691mm", "11.641mm");
      barCodeCellType11.Type = new FarPoint.Win.Spread.CellType.BarCode.NW7();
      this.BarCodeSheet.Cells.Get(7, 3).CellType = barCodeCellType11;
      this.BarCodeSheet.Cells.Get(7, 3).Value = "12345";
      textCellType3.WordWrap = true;
      this.BarCodeSheet.Cells.Get(7, 4).CellType = textCellType3;
      this.BarCodeSheet.Cells.Get(7, 4).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(7, 4).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(7, 4).Value = "Japanese Postal";
      barCodeCellType12.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType12.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("32.014mm", "11.641mm");
      barCodeCellType12.Type = new FarPoint.Win.Spread.CellType.BarCode.JapanesePostal();
      this.BarCodeSheet.Cells.Get(7, 5).CellType = barCodeCellType12;
      this.BarCodeSheet.Cells.Get(7, 5).Value = "12345";
      this.BarCodeSheet.Cells.Get(9, 0).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(9, 0).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(9, 0).Value = "PDF 417";
      barCodeCellType13.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType13.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("30.691mm", "9.26mm");
      barCodeCellType13.Type = new FarPoint.Win.Spread.CellType.BarCode.PDF417("");
      this.BarCodeSheet.Cells.Get(9, 1).CellType = barCodeCellType13;
      this.BarCodeSheet.Cells.Get(9, 1).Value = "12345";
      this.BarCodeSheet.Cells.Get(9, 2).ParseFormatString = "G";
      this.BarCodeSheet.Cells.Get(9, 2).BackColor = Color.Aqua;
      this.BarCodeSheet.Cells.Get(9, 2).Value = "QRCode";
      barCodeCellType14.BarCodePadding = new FarPoint.Win.Spread.CellType.BarCode.Quiet("", "");
      barCodeCellType14.BarSize = new FarPoint.Win.Spread.CellType.BarCode.BarSize("32.014mm", "9.26mm");
      barCodeCellType14.Type = new FarPoint.Win.Spread.CellType.BarCode.QRCode("");
      this.BarCodeSheet.Cells.Get(9, 3).CellType = barCodeCellType14;
      this.BarCodeSheet.Cells.Get(9, 3).Value = "12345";
      this.BarCodeSheet.Columns.Get(1).Width = 117F;
      this.BarCodeSheet.Columns.Get(2).Width = 72F;
      this.BarCodeSheet.Columns.Get(3).Width = 122F;
      this.BarCodeSheet.Columns.Get(5).Width = 122F;
      this.BarCodeSheet.Rows.Get(1).Height = 66F;
      this.BarCodeSheet.Rows.Get(3).Height = 57F;
      this.BarCodeSheet.Rows.Get(5).Height = 65F;
      this.BarCodeSheet.Rows.Get(7).Height = 55F;
      this.BarCodeSheet.Rows.Get(9).Height = 49F;
      this.BarCodeSheet.Columns.Count = 10;
    }
    public void InitButton()
    {
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType1 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType2 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType3 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType4 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType5 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType6 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType7 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType8 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType9 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType10 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      FarPoint.Win.Spread.CellType.ButtonCellType buttonCellType11 = new FarPoint.Win.Spread.CellType.ButtonCellType();
      buttonCellType1.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      buttonCellType1.Text = "Click Me";
      buttonCellType1.TextDown = "Clicked!";
      this.ButtonSheet.Cells.Get(1, 1).CellType = buttonCellType1;
      buttonCellType2.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      buttonCellType2.Text = "Text";
      this.ButtonSheet.Cells.Get(1, 3).CellType = buttonCellType2;
      buttonCellType3.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      buttonCellType3.Text = "Text";
      buttonCellType3.TextOrientation = FarPoint.Win.TextOrientation.TextHorizontalFlipped;
      this.ButtonSheet.Cells.Get(1, 4).CellType = buttonCellType3;
      buttonCellType4.BackgroundStyle = FarPoint.Win.BackStyle.Gradient;
      buttonCellType4.ButtonColor = System.Drawing.Color.CornflowerBlue;
      buttonCellType4.ButtonColor2 = System.Drawing.Color.LightBlue;
      buttonCellType4.GradientMode = System.Drawing.Drawing2D.LinearGradientMode.Vertical;
      buttonCellType4.Text = "Gradient";
      buttonCellType4.UseVisualStyleBackColor = false;
      this.ButtonSheet.Cells.Get(3, 1).CellType = buttonCellType4;
      buttonCellType5.UseVisualStyleBackColor = false;
      buttonCellType5.ButtonColor = System.Drawing.Color.Goldenrod;
      buttonCellType5.Text = "Text";
      buttonCellType5.TextOrientation = FarPoint.Win.TextOrientation.TextVertical;
      this.ButtonSheet.Cells.Get(3, 3).CellType = buttonCellType5;
      buttonCellType6.ButtonColor = System.Drawing.Color.Aqua;
      buttonCellType6.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      buttonCellType6.Text = "Text";
      buttonCellType6.TextOrientation = FarPoint.Win.TextOrientation.TextVerticalFlipped;
      this.ButtonSheet.Cells.Get(3, 4).CellType = buttonCellType6;
      this.ButtonSheet.Cells.Get(3, 4).VisualStyles = FarPoint.Win.VisualStyles.Off;
      buttonCellType7.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      buttonCellType7.Text = "Up State";
      buttonCellType7.TextDown = "Down State";
      buttonCellType7.TwoState = true;
      this.ButtonSheet.Cells.Get(5, 1).CellType = buttonCellType7;
      this.ButtonSheet.Cells.Get(5, 1).Value = 0;
      buttonCellType8.BackgroundStyle = FarPoint.Win.BackStyle.Gradient;
      buttonCellType8.ButtonColor = System.Drawing.Color.Crimson;
      buttonCellType8.ButtonColor2 = System.Drawing.Color.White;
      buttonCellType8.GradientMode = System.Drawing.Drawing2D.LinearGradientMode.BackwardDiagonal;
      buttonCellType8.Text = "This is my Text";
      buttonCellType8.TextColor = System.Drawing.Color.White;
      buttonCellType8.TextOrientation = FarPoint.Win.TextOrientation.TextTopDown;
      this.ButtonSheet.Cells.Get(5, 3).CellType = buttonCellType8;
      this.ButtonSheet.Cells.Get(5, 3).ForeColor = System.Drawing.Color.White;
      this.ButtonSheet.Cells.Get(5, 3).VisualStyles = FarPoint.Win.VisualStyles.Off;
      buttonCellType9.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      buttonCellType9.Text = "This is MY Text";
      buttonCellType9.TextOrientation = FarPoint.Win.TextOrientation.TextTopDownRTL;
      this.ButtonSheet.Cells.Get(5, 4).CellType = buttonCellType9;
      this.ButtonSheet.Cells.Get(5, 4).Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
      buttonCellType10.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.website.png");
      System.IO.Stream image2 = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.forums.png");
      buttonCellType10.PictureDown = Image.FromStream(image2);
      buttonCellType10.Picture = Image.FromStream(image);
      buttonCellType10.Text = "Images";
      this.ButtonSheet.Cells.Get(7, 1).CellType = buttonCellType10;
      this.ButtonSheet.Cells.Get(7, 1).RowSpan = 2;
      buttonCellType11.ButtonColor2 = System.Drawing.SystemColors.ButtonFace;
      buttonCellType11.Text = "Rotated!";
      buttonCellType11.TextColor = System.Drawing.SystemColors.ActiveCaption;
      buttonCellType11.TextOrientation = FarPoint.Win.TextOrientation.TextRotateCustom;
      buttonCellType11.TextRotationAngle = 33;
      buttonCellType11.Picture = Image.FromStream(image);
      buttonCellType11.TextAlign = FarPoint.Win.ButtonTextAlign.TextRightPictLeft;

      this.ButtonSheet.Cells.Get(7, 3).CellType = buttonCellType11;
      this.ButtonSheet.Cells.Get(7, 3).ColumnSpan = 2;
      this.ButtonSheet.Cells.Get(7, 3).Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
      this.ButtonSheet.Cells.Get(7, 3).RowSpan = 2;
      this.ButtonSheet.Columns.Get(1).Width = 73F;
      this.ButtonSheet.Columns.Get(2).Width = 26F;
      this.ButtonSheet.Columns.Get(3).Width = 80F;
      this.ButtonSheet.Columns.Get(4).Width = 80F;
      this.ButtonSheet.Rows.Get(1).Height = 34F;
      this.ButtonSheet.Rows.Get(3).Height = 76F;
      this.ButtonSheet.Rows.Get(5).Height = 55F;
      this.ButtonSheet.Rows.Get(7).Height = 75F;
    }
    public void InitCheckBox()
    {
      FarPoint.Win.Spread.CellType.CheckBoxCellType checkBoxCellType1 = new FarPoint.Win.Spread.CellType.CheckBoxCellType();
      FarPoint.Win.Spread.CellType.CheckBoxCellType checkBoxCellType2 = new FarPoint.Win.Spread.CellType.CheckBoxCellType();
      FarPoint.Win.Spread.CellType.CheckBoxCellType checkBoxCellType3 = new FarPoint.Win.Spread.CellType.CheckBoxCellType();
      FarPoint.Win.Spread.CellType.CheckBoxCellType checkBoxCellType4 = new FarPoint.Win.Spread.CellType.CheckBoxCellType();
      FarPoint.Win.Spread.CellType.CheckBoxCellType checkBoxCellType5 = new FarPoint.Win.Spread.CellType.CheckBoxCellType();
      FarPoint.Win.Spread.CellType.CheckBoxCellType checkBoxCellType6 = new FarPoint.Win.Spread.CellType.CheckBoxCellType();
      FarPoint.Win.LineBorder lineBorder1 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      checkBoxCellType1.TextFalse = "Check Me!";
      checkBoxCellType1.TextTrue = "Checked!";
      this.CheckBoxSheet.Cells.Get(1, 1).CellType = checkBoxCellType1;
      checkBoxCellType2.Caption = "Visual Styles Off";
      checkBoxCellType2.TextAlign = FarPoint.Win.ButtonTextAlign.TextLeftPictRight;
      this.CheckBoxSheet.Cells.Get(1, 3).CellType = checkBoxCellType2;
      this.CheckBoxSheet.Cells.Get(1, 3).VisualStyles = VisualStyles.Off;
      this.CheckBoxSheet.Cells.Get(1, 3).Value = true;
      checkBoxCellType3.Caption = "3 States!";
      checkBoxCellType3.ThreeState = true;
      this.CheckBoxSheet.Cells.Get(3, 1).Font = new System.Drawing.Font("Palatino Linotype", 8.25F, System.Drawing.FontStyle.Bold);
      this.CheckBoxSheet.Cells.Get(3, 1).BackColor = System.Drawing.Color.Cyan;
      this.CheckBoxSheet.Cells.Get(3, 1).Border = lineBorder1;
      this.CheckBoxSheet.Cells.Get(3, 1).CellType = checkBoxCellType3;
      this.CheckBoxSheet.Cells.Get(3, 1).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.CheckBoxSheet.Cells.Get(3, 1).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.CheckBoxSheet.Cells.Get(3, 1).Value = 1;
      checkBoxCellType4.Caption = "Up here!";
      checkBoxCellType4.TextAlign = FarPoint.Win.ButtonTextAlign.TextTopPictBottom;
      this.CheckBoxSheet.Cells.Get(3, 3).CellType = checkBoxCellType4;
      this.CheckBoxSheet.Cells.Get(3, 3).ForeColor = System.Drawing.Color.Blue;
      this.CheckBoxSheet.Cells.Get(3, 3).BackColor = System.Drawing.Color.Beige;
      this.CheckBoxSheet.Cells.Get(3, 3).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.CheckBoxSheet.Cells.Get(3, 3).Value = false;
      checkBoxCellType5.Caption = "Your Images";
      checkBoxCellType5.ThreeState = true;
      System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.face.GIF");
      System.IO.Stream image2 = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.face_sad.GIF");
      System.IO.Stream image3 = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.face_happy.GIF");
      checkBoxCellType5.Picture[FarPoint.Win.CheckBoxPictureIndex.False] = Image.FromStream(image2);
      checkBoxCellType5.Picture[FarPoint.Win.CheckBoxPictureIndex.FalsePressed] = Image.FromStream(image2);
      checkBoxCellType5.Picture[FarPoint.Win.CheckBoxPictureIndex.True] = Image.FromStream(image3);
      checkBoxCellType5.Picture[FarPoint.Win.CheckBoxPictureIndex.TruePressed] = Image.FromStream(image3);
      checkBoxCellType5.Picture[FarPoint.Win.CheckBoxPictureIndex.Indeterminate] = Image.FromStream(image);
      checkBoxCellType5.Picture[FarPoint.Win.CheckBoxPictureIndex.IndeterminatePressed] = Image.FromStream(image);

      checkBoxCellType5.TextAlign = FarPoint.Win.ButtonTextAlign.TextBottomPictTop;
      this.CheckBoxSheet.Cells.Get(5, 1).CellType = checkBoxCellType5;
      this.CheckBoxSheet.Cells.Get(5, 1).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.CheckBoxSheet.Cells.Get(5, 1).Value = true;
      this.CheckBoxSheet.Cells.Get(5, 1).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      checkBoxCellType6.Caption = "Down below";
      checkBoxCellType6.TextAlign = FarPoint.Win.ButtonTextAlign.TextBottomPictTop;
      this.CheckBoxSheet.Cells.Get(5, 3).CellType = checkBoxCellType6;
      this.CheckBoxSheet.Cells.Get(5, 3).Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
      this.CheckBoxSheet.Cells.Get(5, 3).ForeColor = System.Drawing.Color.Red;
      this.CheckBoxSheet.Cells.Get(5, 3).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.CheckBoxSheet.Cells.Get(5, 3).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.CheckBoxSheet.Columns.Get(1).Width = 102F;
      this.CheckBoxSheet.Columns.Get(2).Width = 31F;
      this.CheckBoxSheet.Columns.Get(3).Width = this.CheckBoxSheet.GetPreferredColumnWidth(3);
      this.CheckBoxSheet.Rows.Get(1).Height = 29F;
      this.CheckBoxSheet.Rows.Get(3).Height = 40F;
      this.CheckBoxSheet.Rows.Get(5).Height = 55F;
    }
    public void InitColorPicker()
    {
      FarPoint.Win.Spread.CellType.ColorPickerCellType colorPickerCellType1 = new FarPoint.Win.Spread.CellType.ColorPickerCellType();
      FarPoint.Win.Spread.CellType.ColorPickerCellType colorPickerCellType2 = new FarPoint.Win.Spread.CellType.ColorPickerCellType();
      FarPoint.Win.Spread.CellType.ColorPickerCellType colorPickerCellType3 = new FarPoint.Win.Spread.CellType.ColorPickerCellType();
      FarPoint.Win.Spread.CellType.ColorPickerCellType colorPickerCellType4 = new FarPoint.Win.Spread.CellType.ColorPickerCellType();
      FarPoint.Win.LineBorder lineBorder1 = new FarPoint.Win.LineBorder(System.Drawing.Color.DimGray);
      colorPickerCellType1.AllowFullOpen = true;
      colorPickerCellType1.AnyColor = false;
      colorPickerCellType1.Caption = "Choose Color...";
      colorPickerCellType1.CustomColors = null;
      colorPickerCellType1.DropDown = false;
      colorPickerCellType1.FullOpen = false;
      colorPickerCellType1.SolidColorOnly = false;
      colorPickerCellType1.Style = FarPoint.Win.Spread.CellType.ColorPickerStyle.BoxedWithText;
      colorPickerCellType1.UnknownText = "";
      colorPickerCellType1.UnknownTextStyle = FarPoint.Win.Spread.CellType.UnknownTextStyle.Blank;
      this.ColorPickerSheet.Cells.Get(1, 1).CellType = colorPickerCellType1;
      this.ColorPickerSheet.Cells.Get(1, 1).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      colorPickerCellType2.AllowFullOpen = true;
      colorPickerCellType2.AnyColor = false;
      colorPickerCellType2.Caption = "Drop Down";
      colorPickerCellType2.CustomColors = null;
      colorPickerCellType2.DropDown = true;
      colorPickerCellType2.FullOpen = false;
      colorPickerCellType2.SolidColorOnly = false;
      colorPickerCellType2.Style = FarPoint.Win.Spread.CellType.ColorPickerStyle.BoxedWithText;
      colorPickerCellType2.UnknownText = "";
      colorPickerCellType2.UnknownTextStyle = FarPoint.Win.Spread.CellType.UnknownTextStyle.Blank;
      this.ColorPickerSheet.Cells.Get(1, 3).CellType = colorPickerCellType2;
      this.ColorPickerSheet.Cells.Get(1, 3).Value = System.Drawing.SystemColors.Window;
      this.ColorPickerSheet.Cells.Get(1, 3).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      colorPickerCellType3.AllowFullOpen = true;
      colorPickerCellType3.AnyColor = false;
      colorPickerCellType3.Caption = null;
      colorPickerCellType3.CustomColors = new int[] {
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215};
      colorPickerCellType3.DropDown = false;
      colorPickerCellType3.FullOpen = false;
      colorPickerCellType3.SolidColorOnly = false;
      colorPickerCellType3.Style = FarPoint.Win.Spread.CellType.ColorPickerStyle.FillWithText;
      colorPickerCellType3.UnknownText = "";
      colorPickerCellType3.UnknownTextStyle = FarPoint.Win.Spread.CellType.UnknownTextStyle.Blank;
      this.ColorPickerSheet.Cells.Get(3, 1).CellType = colorPickerCellType3;
      this.ColorPickerSheet.Cells.Get(3, 1).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.ColorPickerSheet.Cells.Get(3, 1).TabStop = false;
      this.ColorPickerSheet.Cells.Get(3, 1).Value = System.Drawing.Color.Red;
      this.ColorPickerSheet.Cells.Get(3, 1).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.ColorPickerSheet.Cells.Get(3, 1).Border = lineBorder1;
      colorPickerCellType4.AllowFullOpen = true;
      colorPickerCellType4.AnyColor = false;
      colorPickerCellType4.Caption = "Team Color";
      colorPickerCellType4.CustomColors = new int[] {
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215,
        16777215};
      colorPickerCellType4.DropDown = false;
      colorPickerCellType4.FullOpen = false;
      colorPickerCellType4.SolidColorOnly = false;
      colorPickerCellType4.Style = FarPoint.Win.Spread.CellType.ColorPickerStyle.Fill;
      colorPickerCellType4.UnknownText = "";
      colorPickerCellType4.UnknownTextStyle = FarPoint.Win.Spread.CellType.UnknownTextStyle.Blank;
      this.ColorPickerSheet.Cells.Get(3, 3).CellType = colorPickerCellType4;
      this.ColorPickerSheet.Cells.Get(3, 3).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Right;
      this.ColorPickerSheet.Cells.Get(3, 3).Value = System.Drawing.Color.FromArgb(((int)(((byte)(0)))), ((int)(((byte)(64)))), ((int)(((byte)(128)))));
      this.ColorPickerSheet.Cells.Get(3, 3).Border = lineBorder1;
      this.ColorPickerSheet.Columns.Get(0).Width = 42F;
      this.ColorPickerSheet.Columns.Get(1).Width = 115F;
      this.ColorPickerSheet.Columns.Get(2).Width = 31F;
      this.ColorPickerSheet.Columns.Get(3).Width = 128F;
      this.ColorPickerSheet.Rows.Get(1).Height = 45F;
      this.ColorPickerSheet.Rows.Get(3).Height = 47F;
    }
    public void InitCombo()
    {
      FarPoint.Win.Spread.CellType.ComboBoxCellType comboBoxCellType1 = new FarPoint.Win.Spread.CellType.ComboBoxCellType();
      FarPoint.Win.Spread.CellType.ComboBoxCellType comboBoxCellType2 = new FarPoint.Win.Spread.CellType.ComboBoxCellType();
      FarPoint.Win.Spread.CellType.ComboBoxCellType comboBoxCellType3 = new FarPoint.Win.Spread.CellType.ComboBoxCellType();
      FarPoint.Win.Spread.CellType.ComboBoxCellType comboBoxCellType4 = new FarPoint.Win.Spread.CellType.ComboBoxCellType();
      FarPoint.Win.Spread.CellType.ComboBoxCellType comboBoxCellType5 = new FarPoint.Win.Spread.CellType.ComboBoxCellType();
      System.Windows.Forms.ListBox listBox = new System.Windows.Forms.ListBox();
      this.ComboBoxSheet.Cells.Get(0, 2).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.ComboBoxSheet.Cells.Get(0, 2).Locked = true;
      this.ComboBoxSheet.Cells.Get(0, 2).ParseFormatString = "G";
      this.ComboBoxSheet.Cells.Get(0, 2).Value = "Value";
      this.ComboBoxSheet.Cells.Get(0, 2).BackColor = Color.Aqua;
      comboBoxCellType1.ButtonAlign = FarPoint.Win.ButtonAlign.Right;
      comboBoxCellType1.Items = new string[] {
        "Apples",
        "Oranges",
        "Grapes"};
      this.ComboBoxSheet.Cells.Get(1, 1).CellType = comboBoxCellType1;
      this.ComboBoxSheet.Cells.Get(1, 1).Value = "";
      comboBoxCellType2.ButtonAlign = FarPoint.Win.ButtonAlign.Right;
      comboBoxCellType2.EditorValue = FarPoint.Win.Spread.CellType.EditorValue.ItemData;
      comboBoxCellType2.ItemData = new string[] {
        "NC",
        "SC",
        "GA",
        "VA",
        "TN"};
      comboBoxCellType2.Items = new string[] {
        "North Carolina",
        "South Carolina",
        "Georgia",
        "Virginia",
        "Tennessee"};
      this.ComboBoxSheet.Cells.Get(3, 1).CellType = comboBoxCellType2;
      comboBoxCellType3.AutoSearch = FarPoint.Win.AutoSearch.MultipleCharacter;
      comboBoxCellType3.ButtonAlign = FarPoint.Win.ButtonAlign.Right;
      comboBoxCellType3.EditorValue = FarPoint.Win.Spread.CellType.EditorValue.Index;
      comboBoxCellType3.Items = new string[] {
        "Alex",
        "Andrew",
        "Arthur",
        "Blake",
        "Bobby",
        "Chris",
        "Charlie",
        "Chuck"};
      this.ComboBoxSheet.Cells.Get(5, 1).CellType = comboBoxCellType3;
      this.ComboBoxSheet.Cells.Get(5, 1).Value = -1;
      this.ComboBoxSheet.Columns.Get(1).Width = 90F;
      this.ComboBoxSheet.Columns.Get(2).Width = 110F;
      this.ComboBoxSheet.Cells.Get(0, 0).ParseFormatString = "G";
      this.ComboBoxSheet.Cells.Get(0, 0).BackColor = Color.Aqua;
      this.ComboBoxSheet.Cells.Get(0, 0).Value = "Value returned as...";
      this.ComboBoxSheet.Cells.Get(1, 0).ParseFormatString = "G";
      this.ComboBoxSheet.Cells.Get(1, 0).BackColor = Color.Aqua;
      this.ComboBoxSheet.Cells.Get(1, 0).Value = "String";
      this.ComboBoxSheet.Cells.Get(3, 0).ParseFormatString = "G";
      this.ComboBoxSheet.Cells.Get(3, 0).BackColor = Color.Aqua;
      this.ComboBoxSheet.Cells.Get(3, 0).Value = "ItemData";
      this.ComboBoxSheet.Cells.Get(5, 0).ParseFormatString = "G";
      this.ComboBoxSheet.Cells.Get(5, 0).Value = "Index";
      this.ComboBoxSheet.Cells.Get(5, 0).BackColor = Color.Aqua;
      this.ComboBoxSheet.Columns.Get(0).Width = 104F;

      this.ComboBoxSheet.Cells.Get(7, 0).BackColor = Color.Aqua;
      this.ComboBoxSheet.Cells.Get(7, 0).Text = "User List Control";
      this.ComboBoxSheet.Cells.Get(7, 0).Locked = true;

      listBox.Items.Add("First");
      listBox.Items.Add("Second");
      listBox.Items.Add("Third");
      listBox.Items.Add("Fourth");
      listBox.Items.Add("Fifth");
      listBox.BackColor = Color.Beige;
      listBox.BorderStyle = BorderStyle.Fixed3D;
      listBox.ForeColor = Color.Red;
      listBox.ItemHeight = 30;
      comboBoxCellType4.ListControl = listBox;
      this.ComboBoxSheet.Cells.Get(7, 1).CellType = comboBoxCellType4;

      this.ComboBoxSheet.Cells.Get(9, 0).BackColor = Color.Aqua;
      this.ComboBoxSheet.Cells.Get(9, 0).Text = "Images in List";
      this.ComboBoxSheet.Cells.Get(9, 0).Locked = true;

      comboBoxCellType5.Items = new string[] { "English", "History", "Math", "Music", "Science" };
      ImageList ilist = new ImageList();
      System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.english.gif");
      Image english = Image.FromStream(image);
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.history.gif");
      Image history = Image.FromStream(image);
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.math.gif");
      Image math = Image.FromStream(image);
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.music.gif");
      Image music = Image.FromStream(image);
      image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.science.gif");
      Image science = Image.FromStream(image);
      ilist.Images.Add(english);
      ilist.Images.Add(history);
      ilist.Images.Add(math);
      ilist.Images.Add(music);
      ilist.Images.Add(science);
      comboBoxCellType5.ImageList = ilist;

      this.ComboBoxSheet.Cells.Get(9, 1).CellType = comboBoxCellType5;


    }
    public void InitCurrency()
    {
      System.Globalization.CultureInfo cultureInfo = new System.Globalization.CultureInfo("en-US", false);
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType1 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType2 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType3 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType4 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType5 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType6 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType7 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType8 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      FarPoint.Win.Spread.CellType.CurrencyCellType currencyCellType9 = new FarPoint.Win.Spread.CellType.CurrencyCellType();
      this.CurrencySheet.Cells.Get(0, 0).Locked = true;
      this.CurrencySheet.Cells.Get(0, 0).ParseFormatString = "G";
      this.CurrencySheet.Cells.Get(0, 0).BackColor = Color.Aqua;
      this.CurrencySheet.Cells.Get(0, 0).Value = "Customize with dozens of formats!";
      this.CurrencySheet.Cells.Get(1, 0).CellType = currencyCellType1;
      this.CurrencySheet.Cells.Get(1, 0).Value = new decimal(new int[] {
            123456,
            0,
            0,
            131072});
      currencyCellType2.NegativeFormat = FarPoint.Win.Spread.CellType.CurrencyNegativeFormat.SignSymbolBefore;
      currencyCellType2.NegativeRed = true;
      currencyCellType2.PositiveFormat = FarPoint.Win.Spread.CellType.CurrencyPositiveFormat.CurrencySymbolBeforeWithSpace;
      currencyCellType2.ShowSeparator = true;
      currencyCellType2.SpinButton = true;
      this.CurrencySheet.Cells.Get(2, 0).CellType = currencyCellType2;
      this.CurrencySheet.Cells.Get(2, 0).Value = new decimal(new int[] {
            123456,
            0,
            0,
            131072});
      currencyCellType3.OverflowCharacter = '$';
      this.CurrencySheet.Cells.Get(2, 3).CellType = currencyCellType3;
      this.CurrencySheet.Cells.Get(2, 3).Value = new decimal(new int[] {
            123456,
            0,
            0,
            131072});
      this.CurrencySheet.Cells.Get(3, 0).CellType = currencyCellType4;
      this.CurrencySheet.Cells.Get(3, 0).Value = new decimal(new int[] {
            123456,
            0,
            0,
            -2147352576});
      currencyCellType5.NegativeFormat = FarPoint.Win.Spread.CellType.CurrencyNegativeFormat.SymbolSignBefore;
      currencyCellType5.NegativeRed = true;
      this.CurrencySheet.Cells.Get(4, 0).CellType = currencyCellType5;
      this.CurrencySheet.Cells.Get(4, 0).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.CurrencySheet.Cells.Get(4, 0).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.CurrencySheet.Cells.Get(4, 0).ParseFormatString = "N";
      this.CurrencySheet.Cells.Get(4, 0).Value = -1234.56;
      currencyCellType6.NegativeFormat = FarPoint.Win.Spread.CellType.CurrencyNegativeFormat.ParenthesesSymbolAfter;
      currencyCellType6.PositiveFormat = FarPoint.Win.Spread.CellType.CurrencyPositiveFormat.CurrencySymbolAfterWithSpace;
      this.CurrencySheet.Cells.Get(5, 0).CellType = currencyCellType6;
      this.CurrencySheet.Cells.Get(5, 0).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.CurrencySheet.Cells.Get(5, 0).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.CurrencySheet.Cells.Get(5, 0).ParseFormatString = "N";
      this.CurrencySheet.Cells.Get(5, 0).Value = 1234.56;
      this.CurrencySheet.Cells.Get(6, 0).Locked = true;
      this.CurrencySheet.Cells.Get(6, 0).ParseFormatString = "G";
      this.CurrencySheet.Cells.Get(6, 0).Value = "or create your own!";
      this.CurrencySheet.Cells.Get(6, 0).BackColor = Color.Aqua;
      currencyCellType7.CurrencySymbol = "!";
      currencyCellType7.DecimalPlaces = 4;
      currencyCellType7.DecimalSeparator = "*";
      currencyCellType7.Separator = "^";
      currencyCellType7.ShowSeparator = true;
      this.CurrencySheet.Cells.Get(7, 0).CellType = currencyCellType7;
      this.CurrencySheet.Cells.Get(7, 0).Value = new decimal(new int[] {
            123456,
            0,
            0,
            131072});
      this.CurrencySheet.Cells.Get(8, 0).Locked = true;
      this.CurrencySheet.Cells.Get(8, 0).ParseFormatString = "G";
      this.CurrencySheet.Cells.Get(8, 0).Value = "Use buttons to modify data";
      this.CurrencySheet.Cells.Get(8, 0).BackColor = Color.Aqua;
      currencyCellType8.DropDownButton = true;
      this.CurrencySheet.Cells.Get(9, 0).CellType = currencyCellType8;
      this.CurrencySheet.Cells.Get(9, 0).Value = new decimal(new int[] {
            123456,
            0,
            0,
            131072});
      currencyCellType9.SpinButton = true;
      this.CurrencySheet.Cells.Get(10, 0).CellType = currencyCellType9;
      this.CurrencySheet.Cells.Get(10, 0).Value = new decimal(new int[] {
            123456,
            0,
            0,
            131072});
      this.CurrencySheet.Columns.Get(0).Width = 170F;
      this.CurrencySheet.Columns.Get(1).Width = 22F;
      this.CurrencySheet.Columns.Get(3).Width = 39F;

    }
    public void InitDateTime()
    {
      FarPoint.Win.Spread.CellType.DateTimeCellType dateTimeCellType1 = new FarPoint.Win.Spread.CellType.DateTimeCellType();
      FarPoint.Win.Spread.CellType.DateTimeCellType dateTimeCellType2 = new FarPoint.Win.Spread.CellType.DateTimeCellType();
      FarPoint.Win.Spread.CellType.DateTimeCellType dateTimeCellType3 = new FarPoint.Win.Spread.CellType.DateTimeCellType();
      FarPoint.Win.Spread.CellType.DateTimeCellType dateTimeCellType4 = new FarPoint.Win.Spread.CellType.DateTimeCellType();
      FarPoint.Win.Spread.CellType.DateTimeCellType dateTimeCellType5 = new FarPoint.Win.Spread.CellType.DateTimeCellType();
      FarPoint.Win.Spread.CellType.DateTimeCellType dateTimeCellType6 = new FarPoint.Win.Spread.CellType.DateTimeCellType();
      FarPoint.Win.Spread.CellType.DateTimeCellType dateTimeCellType7 = new FarPoint.Win.Spread.CellType.DateTimeCellType();
      this.DateTimeSheet.Cells.Get(1, 0).BackColor = System.Drawing.Color.Aqua;
      this.DateTimeSheet.Cells.Get(1, 0).Locked = true;
      this.DateTimeSheet.Cells.Get(1, 0).ParseFormatString = "G";
      this.DateTimeSheet.Cells.Get(1, 0).Value = "Short Format";
      dateTimeCellType1.CalendarSurroundingDaysColor = System.Drawing.SystemColors.GrayText;
      dateTimeCellType1.DateDefault = new System.DateTime(2007, 11, 6, 16, 24, 8, 859);
      dateTimeCellType1.DropDownButton = true;
      dateTimeCellType1.TimeDefault = new System.DateTime(2007, 11, 6, 16, 24, 8, 859);
      this.DateTimeSheet.Cells.Get(1, 1).CellType = dateTimeCellType1;
      this.DateTimeSheet.Cells.Get(1, 1).Value = new System.DateTime(2007, 11, 15, 0, 0, 0, 0);
      this.DateTimeSheet.Cells.Get(2, 0).BackColor = System.Drawing.Color.Aqua;
      this.DateTimeSheet.Cells.Get(2, 0).ParseFormatString = "G";
      this.DateTimeSheet.Cells.Get(2, 0).Value = "Long Format";
      dateTimeCellType2.CalendarSurroundingDaysColor = System.Drawing.SystemColors.GrayText;
      dateTimeCellType2.DateDefault = new System.DateTime(2007, 11, 6, 16, 25, 42, 46);
      dateTimeCellType2.DateTimeFormat = FarPoint.Win.Spread.CellType.DateTimeFormat.LongDate;
      dateTimeCellType2.TimeDefault = new System.DateTime(2007, 11, 6, 16, 25, 42, 46);
      this.DateTimeSheet.Cells.Get(2, 1).CellType = dateTimeCellType2;
      this.DateTimeSheet.Cells.Get(2, 1).Value = new System.DateTime(2007, 11, 15, 0, 0, 0, 0);
      this.DateTimeSheet.Cells.Get(3, 0).BackColor = System.Drawing.Color.Aqua;
      this.DateTimeSheet.Cells.Get(3, 0).ParseFormatString = "G";
      this.DateTimeSheet.Cells.Get(3, 0).Value = "Short Format w/Time";
      dateTimeCellType3.CalendarSurroundingDaysColor = System.Drawing.SystemColors.GrayText;
      dateTimeCellType3.DateDefault = new System.DateTime(2007, 11, 6, 16, 25, 18, 828);
      dateTimeCellType3.DateTimeFormat = FarPoint.Win.Spread.CellType.DateTimeFormat.ShortDateWithTime;
      dateTimeCellType3.TimeDefault = new System.DateTime(2007, 11, 6, 16, 25, 18, 828);
      this.DateTimeSheet.Cells.Get(3, 1).CellType = dateTimeCellType3;
      this.DateTimeSheet.Cells.Get(3, 1).Value = new System.DateTime(2007, 11, 15, 0, 0, 0, 0);
      this.DateTimeSheet.Cells.Get(4, 0).BackColor = System.Drawing.Color.Aqua;
      this.DateTimeSheet.Cells.Get(4, 0).ParseFormatString = "G";
      this.DateTimeSheet.Cells.Get(4, 0).Value = "Long Format w/Time";
      dateTimeCellType4.CalendarSurroundingDaysColor = System.Drawing.SystemColors.GrayText;
      dateTimeCellType4.DateDefault = new System.DateTime(2007, 11, 6, 16, 26, 8, 406);
      dateTimeCellType4.DateTimeFormat = FarPoint.Win.Spread.CellType.DateTimeFormat.LongDateWithTime;
      dateTimeCellType4.SpinButton = true;
      dateTimeCellType4.TimeDefault = new System.DateTime(2007, 11, 6, 16, 26, 8, 406);
      this.DateTimeSheet.Cells.Get(4, 1).CellType = dateTimeCellType4;
      this.DateTimeSheet.Cells.Get(4, 1).Value = new System.DateTime(2007, 11, 15, 0, 0, 0, 0);
      this.DateTimeSheet.Cells.Get(5, 0).BackColor = System.Drawing.Color.Aqua;
      this.DateTimeSheet.Cells.Get(5, 0).ParseFormatString = "G";
      this.DateTimeSheet.Cells.Get(5, 0).Value = "Time Only";
      dateTimeCellType5.CalendarSurroundingDaysColor = System.Drawing.SystemColors.GrayText;
      dateTimeCellType5.DateDefault = new System.DateTime(2007, 11, 6, 16, 26, 25, 453);
      dateTimeCellType5.DateTimeFormat = FarPoint.Win.Spread.CellType.DateTimeFormat.TimeOnly;
      dateTimeCellType5.DropDownButton = true;
      dateTimeCellType5.TimeDefault = new System.DateTime(2007, 11, 6, 16, 26, 25, 453);
      this.DateTimeSheet.Cells.Get(5, 1).CellType = dateTimeCellType5;
      this.DateTimeSheet.Cells.Get(5, 1).Value = new System.DateTime(2007, 11, 6, 10, 26, 25, 0);
      this.DateTimeSheet.Cells.Get(6, 0).BackColor = System.Drawing.Color.Aqua;
      this.DateTimeSheet.Cells.Get(6, 0).ParseFormatString = "G";
      this.DateTimeSheet.Cells.Get(6, 0).Value = "User Defined Format ";
      dateTimeCellType6.CalendarSurroundingDaysColor = System.Drawing.SystemColors.GrayText;
      dateTimeCellType6.DateDefault = new System.DateTime(2007, 11, 6, 16, 26, 45, 734);
      dateTimeCellType6.DateTimeFormat = FarPoint.Win.Spread.CellType.DateTimeFormat.UserDefined;
      dateTimeCellType6.TimeDefault = new System.DateTime(2007, 11, 6, 16, 26, 45, 734);
      dateTimeCellType6.UserDefinedFormat = "MMMM dd yyyy";
      this.DateTimeSheet.Cells.Get(6, 1).CellType = dateTimeCellType6;
      this.DateTimeSheet.Cells.Get(6, 1).Value = new System.DateTime(2007, 11, 15, 0, 0, 0, 0);
      dateTimeCellType7.CalendarSurroundingDaysColor = System.Drawing.SystemColors.GrayText;
      dateTimeCellType7.DateDefault = new System.DateTime(2007, 11, 6, 16, 30, 22, 156);
      dateTimeCellType7.TimeDefault = new System.DateTime(2007, 11, 6, 16, 30, 22, 156);
      this.DateTimeSheet.Cells.Get(8, 1).CellType = dateTimeCellType7;
      this.DateTimeSheet.Columns.Get(0).Width = 123F;
      this.DateTimeSheet.Columns.Get(1).Width = 217F;
      this.DateTimeSheet.Columns.Get(2).Width = 27F;

    }
    public void InitGeneral()
    {
      FarPoint.Win.Spread.CellType.GeneralCellType g1 = new FarPoint.Win.Spread.CellType.GeneralCellType();
      FarPoint.Win.Spread.CellType.GeneralCellType g2 = new FarPoint.Win.Spread.CellType.GeneralCellType();

      this.GeneralSheet.Columns.Get(0).Locked = true;
      this.GeneralSheet.Cells.Get(1, 0).Value = "Date Formatted:";
      this.GeneralSheet.Cells.Get(3, 0).Value = "Number Formatted:";
      this.GeneralSheet.Cells.Get(1, 0).BackColor = Color.Aqua;
      this.GeneralSheet.Cells.Get(3, 0).BackColor = Color.Aqua;

      g1.IsDateFormat = true;
      System.Globalization.DateTimeFormatInfo dti = new System.Globalization.DateTimeFormatInfo();
      dti.AbbreviatedDayNames = new string[] { "Su", "Mo", "Tu", "We", "Th", "Fr", "Sa" };
      dti.AbbreviatedMonthNames = new string[] { "Ja", "Fe", "Ma", "Ap", "My", "Ju", "Jy", "Ag", "Sp", "Oc", "Nv", "Dc", "" };
      dti.DateSeparator = "|";
      dti.FullDateTimePattern = "dddd, MMMM dd, yyyy h:mm:ss tt";
      dti.LongDatePattern = "dddd, MMMM dd, yyyy";
      dti.ShortDatePattern = "ddd, MMM/dd/yy";
      this.GeneralSheet.Cells.Get(1, 1).CellType = g1;
      this.GeneralSheet.Cells.Get(1, 1).Value = DateTime.Now;

      System.Globalization.NumberFormatInfo nfi = new System.Globalization.NumberFormatInfo();
      nfi.CurrencyDecimalDigits = 1;
      nfi.CurrencyDecimalSeparator = ",";
      nfi.CurrencyNegativePattern = 3;
      nfi.CurrencyPositivePattern = 2;
      nfi.CurrencySymbol = "&";
      nfi.NegativeSign = "--";
      nfi.NumberDecimalDigits = 1;
      nfi.NumberDecimalSeparator = ",";
      nfi.NumberNegativePattern = 3;
      nfi.PositiveSign = "++";
      g2.NumberFormat = nfi;
      this.GeneralSheet.Cells.Get(3, 1).CellType = g2;
      this.GeneralSheet.Cells.Get(3, 1).Value = 456.789;



    }
    public void InitHyperLink()
    {
      FarPoint.Win.Spread.CellType.HyperLinkCellType hyperLinkCellType1 = new FarPoint.Win.Spread.CellType.HyperLinkCellType();
      FarPoint.Win.Spread.CellType.HyperLinkCellType hyperLinkCellType2 = new FarPoint.Win.Spread.CellType.HyperLinkCellType();
      FarPoint.Win.Spread.CellType.HyperLinkCellType hyperLinkCellType3 = new FarPoint.Win.Spread.CellType.HyperLinkCellType();
      FarPoint.Win.Spread.CellType.HyperLinkCellType hyperLinkCellType4 = new FarPoint.Win.Spread.CellType.HyperLinkCellType();
      FarPoint.Win.LineBorder lineBorder1 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.HyperLinkCellType hyperLinkCellType5 = new FarPoint.Win.Spread.CellType.HyperLinkCellType();
      hyperLinkCellType1.Link = "www.fpoint.com";
      hyperLinkCellType1.LinkToolTips = new string[] { "This is the link to the site: \"www.fppoint.com\"" };
      hyperLinkCellType1.LinkArea = new System.Windows.Forms.LinkArea(0, 17);
      hyperLinkCellType1.LinkAreas = new System.Windows.Forms.LinkArea[] {
        new System.Windows.Forms.LinkArea(0, 17)};
      hyperLinkCellType1.Links = new string[] {
        "www.fpoint.com"};
      hyperLinkCellType1.Text = "FarPoint Web Site";
      this.HyperLinkSheet.Cells.Get(1, 1).CellType = hyperLinkCellType1;
      this.HyperLinkSheet.Cells.Get(1, 1).Value = new bool[] {
        true};
      hyperLinkCellType2.LinkArea = new System.Windows.Forms.LinkArea(0, 0);
      hyperLinkCellType2.Text = "Go to Cell B6";
      hyperLinkCellType2.LinkToolTips = new string[] { "Click on this link will move focus to Cell B6" };
      this.HyperLinkSheet.Cells.Get(1, 3).CellType = hyperLinkCellType2;
      this.HyperLinkSheet.Cells.Get(1, 3).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.HyperLinkSheet.Cells.Get(1, 3).RowSpan = 4;
      this.HyperLinkSheet.Cells.Get(1, 3).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      hyperLinkCellType3.Link = "http://www.fpoint.com/netproducts/spreadwin/spreadwin.aspx";
      hyperLinkCellType3.LinkToolTips = new string[] { "This link will help you to visit fpoint site - spreadwin category", "This link will help you to visit fpoint site - spreadWeb category" };
      hyperLinkCellType3.LinkArea = new System.Windows.Forms.LinkArea(7, 8);
      hyperLinkCellType3.LinkAreas = new System.Windows.Forms.LinkArea[] {
        new System.Windows.Forms.LinkArea(7, 8),
        new System.Windows.Forms.LinkArea(18, 8)};
      hyperLinkCellType3.Links = new string[] {
        "http://www.fpoint.com/netproducts/spreadwin/spreadwin.aspx",
        "http://www.fpoint.com/netproducts/spreadweb/spread.aspx"};
      hyperLinkCellType3.Text = "Spread WinForms & WebForms";
      this.HyperLinkSheet.Cells.Get(3, 1).CellType = hyperLinkCellType3;
      System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.website.png");
      hyperLinkCellType4.BackgroundImage = new FarPoint.Win.Picture(Image.FromStream(image), FarPoint.Win.RenderStyle.Normal, Color.Empty, FarPoint.Win.HorizontalAlignment.Center, FarPoint.Win.VerticalAlignment.Center);
      hyperLinkCellType4.Text = "Go to First Sheet";
      hyperLinkCellType4.LinkToolTips = new string[] { "Click on this link will move to the First Sheet" };
      this.HyperLinkSheet.Cells.Get(5, 1).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.HyperLinkSheet.Cells.Get(5, 1).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Bottom;
      this.HyperLinkSheet.Cells.Get(5, 1).CellType = hyperLinkCellType4;

      System.IO.Stream image2 = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.download.png");
      hyperLinkCellType5.BackgroundImage = new FarPoint.Win.Picture(Image.FromStream(image2), FarPoint.Win.RenderStyle.Normal, Color.Empty, FarPoint.Win.HorizontalAlignment.Center, FarPoint.Win.VerticalAlignment.Center);
      hyperLinkCellType5.Link = "http://www.fpoint.com";
      hyperLinkCellType5.LinkToolTips = new string[] { "This link will help you to visit fpoint site" };
      this.HyperLinkSheet.Cells.Get(5, 3).CellType = hyperLinkCellType5;
      this.HyperLinkSheet.Cells.Get(5, 3).Border = lineBorder1;

      this.HyperLinkSheet.Columns.Get(0).Width = 40F;
      this.HyperLinkSheet.Columns.Get(1).Width = 163F;
      this.HyperLinkSheet.Columns.Get(2).Width = 36F;
      this.HyperLinkSheet.Columns.Get(3).Width = 130F;
      this.HyperLinkSheet.Rows.Get(5).Height = 120;
    }
    public void InitListBox()
    {
      FarPoint.Win.LineBorder lineBorder1 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.ListBoxCellType listBoxCellType1 = new FarPoint.Win.Spread.CellType.ListBoxCellType();
      FarPoint.Win.LineBorder lineBorder2 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.ListBoxCellType listBoxCellType2 = new FarPoint.Win.Spread.CellType.ListBoxCellType();
      FarPoint.Win.LineBorder lineBorder3 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.ListBoxCellType listBoxCellType3 = new FarPoint.Win.Spread.CellType.ListBoxCellType();
      //this.ListBoxSheet.Cells.Get(0, 2).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      //this.ListBoxSheet.Cells.Get(0, 2).Locked = true;
      //this.ListBoxSheet.Cells.Get(0, 2).ParseFormatString = "G";
      //this.ListBoxSheet.Cells.Get(0, 2).BackColor = Color.Aqua;
      //this.ListBoxSheet.Cells.Get(0, 2).Value = "Value";
      this.ListBoxSheet.Cells.Get(1, 1).BackColor = System.Drawing.Color.BlanchedAlmond;
      this.ListBoxSheet.Cells.Get(1, 1).Border = lineBorder1;
      listBoxCellType1.ItemData = new string[] {
        "apple",
        "banana",
        "lime",
        "blueberry"};
      listBoxCellType1.Items = new string[] {
        "Red",
        "Yellow",
        "Green",
        "Blue"};
      this.ListBoxSheet.Cells.Get(1, 1).CellType = listBoxCellType1;
      this.ListBoxSheet.Cells.Get(1, 1).Value = 0;
      this.ListBoxSheet.Cells.Get(1, 2).Locked = true;
      this.ListBoxSheet.Cells.Get(1, 2).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.ListBoxSheet.Cells.Get(3, 1).BackColor = System.Drawing.Color.BlanchedAlmond;
      this.ListBoxSheet.Cells.Get(3, 1).Border = lineBorder2;
      listBoxCellType2.EditorValue = FarPoint.Win.Spread.CellType.EditorValue.String;
      listBoxCellType2.ItemData = new string[] {
        "apple",
        "banana",
        "lime",
        "blueberry"};
      listBoxCellType2.Items = new string[] {
        "Red",
        "Yellow",
        "Green",
        "Blue"};
      this.ListBoxSheet.Cells.Get(3, 1).CellType = listBoxCellType2;
      this.ListBoxSheet.Cells.Get(3, 1).Value = "Red";
      this.ListBoxSheet.Cells.Get(3, 2).Locked = true;
      this.ListBoxSheet.Cells.Get(3, 2).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.ListBoxSheet.Cells.Get(5, 1).BackColor = System.Drawing.Color.BlanchedAlmond;
      this.ListBoxSheet.Cells.Get(5, 1).Border = lineBorder3;
      listBoxCellType3.EditorValue = FarPoint.Win.Spread.CellType.EditorValue.ItemData;
      listBoxCellType3.ItemData = new string[] {
        "apple",
        "banana",
        "lime",
        "blueberry"};
      listBoxCellType3.Items = new string[] {
        "Red",
        "Yellow",
        "Green",
        "Blue"};
      this.ListBoxSheet.Cells.Get(5, 1).CellType = listBoxCellType3;
      this.ListBoxSheet.Cells.Get(5, 1).Value = "apple";
      this.ListBoxSheet.Cells.Get(5, 2).Locked = true;
      this.ListBoxSheet.Cells.Get(5, 2).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.ListBoxSheet.Columns.Get(0).Width = 60F;
      this.ListBoxSheet.Columns.Get(2).Width = 60F;
      this.ListBoxSheet.Rows.Get(1).Height = 55F;
      this.ListBoxSheet.Rows.Get(3).Height = 55F;
      this.ListBoxSheet.Rows.Get(5).Height = 55F;
      this.ListBoxSheet.Cells.Get(1, 0).BackColor = Color.Aqua;
      this.ListBoxSheet.Cells.Get(1, 0).Locked = true;
      this.ListBoxSheet.Cells.Get(1, 0).Text = "Index";
      this.ListBoxSheet.Cells.Get(1, 0).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.ListBoxSheet.Cells.Get(3, 0).Locked = true;
      this.ListBoxSheet.Cells.Get(3, 0).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.ListBoxSheet.Cells.Get(3, 0).Text = "String";
      this.ListBoxSheet.Cells.Get(3, 0).BackColor = Color.Aqua;
      this.ListBoxSheet.Cells.Get(5, 0).Locked = true;
      this.ListBoxSheet.Cells.Get(5, 0).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.ListBoxSheet.Cells.Get(5, 0).BackColor = Color.Aqua;
      this.ListBoxSheet.Cells.Get(5, 0).Text = "Item Data";

      CheckBoxCellType checkBox1 = new CheckBoxCellType();
      checkBox1.EditorValueChanged += new EventHandler(checkBox1_EditorValueChanged);
      checkBox1.Caption = "Allow select multi item of ListBox";
      this.ListBoxSheet.Cells[0, 2].CellType = checkBox1;
      this.ListBoxSheet.Columns[2].Width = this.ListBoxSheet.Columns[2].GetPreferredWidth();
    }

    void checkBox1_EditorValueChanged(object sender, EventArgs e)
    {
      if (ListBoxSheet.Cells[0, 2].Text == "True")
      {
        (this.ListBoxSheet.Cells[1, 1].CellType as ListBoxCellType).SelectionMode = SelectionMode.MultiSimple;
        (this.ListBoxSheet.Cells[3, 1].CellType as ListBoxCellType).SelectionMode = SelectionMode.MultiSimple;
        (this.ListBoxSheet.Cells[5, 1].CellType as ListBoxCellType).SelectionMode = SelectionMode.MultiSimple;
      }
      else
      {
        (this.ListBoxSheet.Cells[1, 1].CellType as ListBoxCellType).SelectionMode = SelectionMode.One;
        (this.ListBoxSheet.Cells[3, 1].CellType as ListBoxCellType).SelectionMode = SelectionMode.One;
        (this.ListBoxSheet.Cells[5, 1].CellType as ListBoxCellType).SelectionMode = SelectionMode.One;
      }
    }
    public void InitMask()
    {
      FarPoint.Win.Spread.CellType.MaskCellType maskCellType1 = new FarPoint.Win.Spread.CellType.MaskCellType();
      FarPoint.Win.Spread.CellType.MaskCellType maskCellType2 = new FarPoint.Win.Spread.CellType.MaskCellType();
      FarPoint.Win.Spread.CellType.TextCellType textCellType4 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.MaskCellType maskCellType3 = new FarPoint.Win.Spread.CellType.MaskCellType();
      FarPoint.Win.Spread.CellType.MaskCellType maskCellType4 = new FarPoint.Win.Spread.CellType.MaskCellType();
      this.MaskSheet.Cells.Get(1, 0).ParseFormatString = "G";
      this.MaskSheet.Cells.Get(1, 0).Value = "Phone #";
      this.MaskSheet.Cells.Get(1, 0).BackColor = Color.Aqua;
      maskCellType1.Mask = "(###) ###-####";
      this.MaskSheet.Cells.Get(1, 1).CellType = maskCellType1;
      this.MaskSheet.Cells.Get(1, 1).Value = "1234567890";
      this.MaskSheet.Cells.Get(2, 0).ParseFormatString = "G";
      this.MaskSheet.Cells.Get(2, 0).Value = "SSN#";
      this.MaskSheet.Cells.Get(2, 0).BackColor = Color.Aqua;
      maskCellType2.Mask = "###-##-####";
      maskCellType2.MaskChar = '*';
      this.MaskSheet.Cells.Get(2, 1).CellType = maskCellType2;
      this.MaskSheet.Cells.Get(2, 1).Value = "999999999";
      this.MaskSheet.Cells.Get(3, 0).ParseFormatString = "G";
      this.MaskSheet.Cells.Get(3, 0).Value = "SSN w/Literals";
      this.MaskSheet.Cells.Get(3, 0).BackColor = Color.Aqua;
      maskCellType4.Mask = "\\S\\S\\N\\#\\: ###-##-####";
      maskCellType4.MaskChar = '*';
      this.MaskSheet.Cells.Get(3, 1).CellType = maskCellType4;
      this.MaskSheet.Cells.Get(3, 1).Value = "999999999";
      textCellType4.WordWrap = true;
      this.MaskSheet.Cells.Get(4, 0).CellType = textCellType4;
      this.MaskSheet.Cells.Get(4, 0).ParseFormatString = "G";
      this.MaskSheet.Cells.Get(4, 0).BackColor = Color.Aqua;
      this.MaskSheet.Cells.Get(4, 0).Value = "Custom (odd numbers and vowels only!)";
      maskCellType3.CustomMaskCharacters = new string[] {
        "aAeEiIoOuU13579"};
      maskCellType3.Mask = "000000";
      this.MaskSheet.Cells.Get(4, 1).Value = "A1u39I";
      this.MaskSheet.Cells.Get(4, 1).CellType = maskCellType3;
      this.MaskSheet.Columns.Get(0).Width = 120F;
      this.MaskSheet.Columns.Get(1).Width = 110F;
      this.MaskSheet.Rows.Get(4).Height = 55F;
    }
    public void InitMulitColumnCombo()
    {
      FarPoint.Win.Spread.CellType.CheckBoxCellType designedCheck = new FarPoint.Win.Spread.CellType.CheckBoxCellType();
      FarPoint.Win.Spread.CellType.MultiColumnComboBoxCellType multiColumnCombo1 = new FarPoint.Win.Spread.CellType.MultiColumnComboBoxCellType();
      multiColumnCombo1.DataSourceList = Features.Databinding.GetNWINDData("Customers");
      this.MultiColumnComboSheet.Cells.Get(1, 1).CellType = multiColumnCombo1;
      designedCheck.Caption = "Code enhancned drop down";
      MultiColumnComboSheet.Cells.Get(0, 1).CellType = designedCheck;
      MultiColumnComboSheet.Cells.Get(0, 1).Value = false;
      MultiColumnComboSheet.Cells.Get(0, 1).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      MultiColumnComboSheet.Cells.Get(0, 1).BackColor = Color.Aqua;
      MultiColumnComboSheet.Columns.Get(1).Width = 400F;
    }
    public void InitMultiOption()
    {
      FarPoint.Win.Spread.CellType.MultiOptionCellType multiOptionCellType1 = new FarPoint.Win.Spread.CellType.MultiOptionCellType();
      FarPoint.Win.Spread.CellType.MultiOptionCellType multiOptionCellType2 = new FarPoint.Win.Spread.CellType.MultiOptionCellType();
      FarPoint.Win.LineBorder lineBorder1 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.MultiOptionCellType multiOptionCellType3 = new FarPoint.Win.Spread.CellType.MultiOptionCellType();

      multiOptionCellType1.Items = new string[] {
        "Choice &A",
        "Choice &B",
        "Choice &C"};
      multiOptionCellType1.UseMnemonic = true;
      this.MultiOptionSheet.Cells.Get(1, 1).CellType = multiOptionCellType1;
      this.MultiOptionSheet.Cells.Get(1, 1).Value = -1;
      this.MultiOptionSheet.Cells.Get(1, 1).Border = lineBorder1;
      this.MultiOptionSheet.Cells.Get(1, 1).BackColor = Color.Aqua;
      multiOptionCellType2.Items = new string[] {

        "Default",
        "Visual Style",
        "User Images"};
      this.MultiOptionSheet.Cells.Get(1, 3).CellType = multiOptionCellType2;
      this.MultiOptionSheet.Cells.Get(1, 3).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.MultiOptionSheet.Cells.Get(1, 3).RowSpan = 2;
      this.MultiOptionSheet.Cells.Get(1, 3).Value = 0;
      this.MultiOptionSheet.Cells.Get(1, 3).Border = lineBorder1;
      this.MultiOptionSheet.Cells.Get(1, 3).BackColor = Color.Beige;
      this.MultiOptionSheet.Cells.Get(1, 3).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.MultiOptionSheet.Cells.Get(1, 3).VisualStyles = FarPoint.Win.VisualStyles.Off;
      multiOptionCellType3.Items = new string[] {
        "Male",
        "Female"};
      multiOptionCellType3.Orientation = FarPoint.Win.RadioOrientation.Horizontal;
      multiOptionCellType3.TextAlign = FarPoint.Win.ButtonTextAlign.TextBottomPictTop;
      this.MultiOptionSheet.Cells.Get(3, 1).CellType = multiOptionCellType3;
      this.MultiOptionSheet.Cells.Get(3, 1).Border = lineBorder1;
      this.MultiOptionSheet.Cells.Get(3, 1).BackColor = Color.BlanchedAlmond;
      this.MultiOptionSheet.Cells.Get(3, 1).ColumnSpan = 2;
      this.MultiOptionSheet.Cells.Get(3, 1).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.MultiOptionSheet.Cells.Get(3, 1).RowSpan = 2;
      this.MultiOptionSheet.Cells.Get(3, 1).Value = -1;
      this.MultiOptionSheet.Cells.Get(3, 1).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.MultiOptionSheet.Cells.Get(4, 3).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.MultiOptionSheet.Cells.Get(4, 3).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.MultiOptionSheet.Columns.Get(1).Width = 76F;
      this.MultiOptionSheet.Columns.Get(2).Width = 87F;
      this.MultiOptionSheet.Columns.Get(3).Width = 139F;
      this.MultiOptionSheet.Rows.Get(1).Height = 67F;
    }
    public void InitNumber()
    {
      System.Globalization.CultureInfo cultureInfo = new System.Globalization.CultureInfo("en-US", false);
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType1 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType2 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType3 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType4 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType5 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType6 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.TextCellType textCellType1 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType7 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType8 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType9 = new FarPoint.Win.Spread.CellType.NumberCellType();
      FarPoint.Win.Spread.CellType.NumberCellType numberCellType10 = new FarPoint.Win.Spread.CellType.NumberCellType();
      this.NumberSheet.Cells.Get(1, 0).BackColor = System.Drawing.Color.Aqua;
      this.NumberSheet.Cells.Get(1, 0).Locked = true;
      this.NumberSheet.Cells.Get(1, 0).ParseFormatString = "G";
      this.NumberSheet.Cells.Get(1, 0).Value = "Dozens of possible formats";
      this.NumberSheet.Cells.Get(1, 1).CellType = numberCellType1;
      this.NumberSheet.Cells.Get(1, 1).Value = 1234.56;
      numberCellType2.DecimalPlaces = 1;
      this.NumberSheet.Cells.Get(1, 2).CellType = numberCellType2;
      this.NumberSheet.Cells.Get(1, 2).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.NumberSheet.Cells.Get(1, 2).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.NumberSheet.Cells.Get(1, 2).ParseFormatString = "N";
      this.NumberSheet.Cells.Get(1, 2).Value = 1234.56;
      numberCellType3.DecimalPlaces = 3;
      numberCellType3.NegativeFormat = FarPoint.Win.Spread.CellType.NegativeFormat.NegativeSignAfter;
      this.NumberSheet.Cells.Get(1, 3).CellType = numberCellType3;
      this.NumberSheet.Cells.Get(1, 3).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.NumberSheet.Cells.Get(1, 3).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.NumberSheet.Cells.Get(1, 3).ParseFormatString = "N";
      this.NumberSheet.Cells.Get(1, 3).Value = -1234.56;
      numberCellType4.DecimalSeparator = ",";
      numberCellType4.Separator = ".";
      numberCellType4.ShowSeparator = true;
      this.NumberSheet.Cells.Get(1, 4).CellType = numberCellType4;
      this.NumberSheet.Cells.Get(1, 4).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.NumberSheet.Cells.Get(1, 4).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.NumberSheet.Cells.Get(1, 4).ParseFormatString = "N";
      this.NumberSheet.Cells.Get(1, 4).Value = 1234.56;
      this.NumberSheet.Cells.Get(2, 0).BackColor = System.Drawing.Color.Aqua;
      this.NumberSheet.Cells.Get(2, 0).Locked = true;
      this.NumberSheet.Cells.Get(2, 0).ParseFormatString = "G";
      this.NumberSheet.Cells.Get(2, 0).Value = "Calculator SubEditor";
      numberCellType5.DropDownButton = true;
      numberCellType5.NegativeRed = true;
      this.NumberSheet.Cells.Get(2, 1).CellType = numberCellType5;
      this.NumberSheet.Cells.Get(2, 1).Value = 1234.56;
      this.NumberSheet.Cells.Get(3, 0).BackColor = System.Drawing.Color.Aqua;
      this.NumberSheet.Cells.Get(3, 0).Locked = true;
      this.NumberSheet.Cells.Get(3, 0).ParseFormatString = "G";
      this.NumberSheet.Cells.Get(3, 0).Value = "Spin Button in Edit Mode";
      numberCellType6.ShowSeparator = true;
      numberCellType6.SpinButton = true;
      this.NumberSheet.Cells.Get(3, 1).CellType = numberCellType6;
      this.NumberSheet.Cells.Get(3, 1).Value = 1234.56;
      this.NumberSheet.Cells.Get(4, 0).BackColor = System.Drawing.Color.Aqua;
      textCellType1.WordWrap = true;
      this.NumberSheet.Cells.Get(4, 0).CellType = textCellType1;
      this.NumberSheet.Cells.Get(4, 0).Locked = true;
      this.NumberSheet.Cells.Get(4, 0).ParseFormatString = "G";
      this.NumberSheet.Cells.Get(4, 0).Value = "Overflow protection. Expand column width to see all data.";
      numberCellType7.NegativeFormat = FarPoint.Win.Spread.CellType.NegativeFormat.Parentheses;
      numberCellType7.NegativeRed = true;
      numberCellType7.OverflowCharacter = '#';
      this.NumberSheet.Cells.Get(4, 1).CellType = numberCellType7;
      this.NumberSheet.Cells.Get(4, 1).Value = -1224567.99;
      this.NumberSheet.Cells.Get(4, 1).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      this.NumberSheet.Cells.Get(5, 0).BackColor = System.Drawing.Color.Aqua;
      this.NumberSheet.Cells.Get(5, 0).ParseFormatString = "G";
      this.NumberSheet.Cells.Get(5, 0).Value = "New Fractional Format Support";
      numberCellType8.FractionMode = true;
      this.NumberSheet.Cells.Get(5, 1).CellType = numberCellType8;
      this.NumberSheet.Cells.Get(5, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.NumberSheet.Cells.Get(5, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.NumberSheet.Cells.Get(5, 1).ParseFormatString = "N";
      this.NumberSheet.Cells.Get(5, 1).Value = 25.75;
      numberCellType9.FractionConvertWholeNumbers = true;
      numberCellType9.FractionMode = true;
      this.NumberSheet.Cells.Get(5, 2).CellType = numberCellType9;
      this.NumberSheet.Cells.Get(5, 2).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.NumberSheet.Cells.Get(5, 2).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.NumberSheet.Cells.Get(5, 2).ParseFormatString = "N";
      this.NumberSheet.Cells.Get(5, 2).Value = 25.75;
      numberCellType10.FractionDenominatorPrecision = FarPoint.Win.Spread.CellType.FractionDenominatorPrecision.Tenths;
      numberCellType10.FractionMode = true;
      this.NumberSheet.Cells.Get(5, 3).CellType = numberCellType10;
      this.NumberSheet.Cells.Get(5, 3).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.NumberSheet.Cells.Get(5, 3).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.NumberSheet.Cells.Get(5, 3).ParseFormatString = "N";
      this.NumberSheet.Cells.Get(5, 3).Value = 25.75;
      this.NumberSheet.Columns.Get(0).Width = 154F;
      this.NumberSheet.Columns.Get(1).Width = 64F;
      this.NumberSheet.Rows.Get(4).Height = 53F;
      this.NumberSheet.Rows.Get(5).Height = 41F;
    }
    public void InitPercent()
    {
      System.Globalization.CultureInfo cultureInfo = new System.Globalization.CultureInfo("en-US", false);
      FarPoint.Win.Spread.CellType.PercentCellType percentCellType1 = new FarPoint.Win.Spread.CellType.PercentCellType();
      FarPoint.Win.Spread.CellType.PercentCellType percentCellType2 = new FarPoint.Win.Spread.CellType.PercentCellType();
      FarPoint.Win.Spread.CellType.PercentCellType percentCellType3 = new FarPoint.Win.Spread.CellType.PercentCellType();
      FarPoint.Win.Spread.CellType.PercentCellType percentCellType4 = new FarPoint.Win.Spread.CellType.PercentCellType();
      this.PercentSheet.Cells.Get(1, 1).CellType = percentCellType1;
      this.PercentSheet.Cells.Get(1, 1).Value = 0.65;
      this.PercentSheet.Cells.Get(2, 0).BackColor = System.Drawing.Color.Aqua;
      this.PercentSheet.Cells.Get(2, 0).ParseFormatString = "G";
      this.PercentSheet.Cells.Get(2, 0).Value = "Calculator SubEditor";
      percentCellType2.DropDownButton = true;
      this.PercentSheet.Cells.Get(2, 1).CellType = percentCellType2;
      this.PercentSheet.Cells.Get(2, 1).Value = 0.42;
      this.PercentSheet.Cells.Get(3, 0).BackColor = System.Drawing.Color.Aqua;
      this.PercentSheet.Cells.Get(3, 0).ParseFormatString = "G";
      this.PercentSheet.Cells.Get(3, 0).Value = "Decimal Places";
      percentCellType3.FixedPoint = true;
      this.PercentSheet.Cells.Get(3, 1).CellType = percentCellType3;
      this.PercentSheet.Cells.Get(3, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.PercentSheet.Cells.Get(3, 1).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.PercentSheet.Cells.Get(3, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.PercentSheet.Cells.Get(3, 1).ParseFormatString = "n";
      this.PercentSheet.Cells.Get(3, 1).Value = 0.78;
      this.PercentSheet.Cells.Get(4, 0).BackColor = System.Drawing.Color.Aqua;
      this.PercentSheet.Cells.Get(4, 0).ParseFormatString = "G";
      this.PercentSheet.Cells.Get(4, 0).Value = "Negative Value Formatting";
      percentCellType4.NegativeFormat = FarPoint.Win.Spread.CellType.PercentNegativeFormat.PercentBefore;
      percentCellType4.NegativeRed = true;
      this.PercentSheet.Cells.Get(4, 1).CellType = percentCellType4;
      this.PercentSheet.Cells.Get(4, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.PercentSheet.Cells.Get(4, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.PercentSheet.Cells.Get(4, 1).ParseFormatString = "N";
      this.PercentSheet.Cells.Get(4, 1).Value = -0.98;
      this.PercentSheet.Columns.Get(0).Width = 133F;
    }
    public void InitProgress()
    {
      System.Globalization.CultureInfo cultureInfo = new System.Globalization.CultureInfo("en-US", false);
      FarPoint.Win.Spread.CellType.ProgressCellType progressCellType1 = new FarPoint.Win.Spread.CellType.ProgressCellType();
      FarPoint.Win.Spread.CellType.ProgressCellType progressCellType2 = new FarPoint.Win.Spread.CellType.ProgressCellType();
      FarPoint.Win.Spread.CellType.ProgressCellType progressCellType3 = new FarPoint.Win.Spread.CellType.ProgressCellType();
      FarPoint.Win.Spread.CellType.ProgressCellType progressCellType4 = new FarPoint.Win.Spread.CellType.ProgressCellType();
      FarPoint.Win.Spread.CellType.ProgressCellType progressCellType5 = new FarPoint.Win.Spread.CellType.ProgressCellType();
      FarPoint.Win.Spread.CellType.ProgressCellType progressCellType6 = new FarPoint.Win.Spread.CellType.ProgressCellType();
      System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.website.png");
      Image webi = Image.FromStream(image);
      progressCellType6.BackgroundImage = new FarPoint.Win.Picture(webi, RenderStyle.Normal, Color.Empty, FarPoint.Win.HorizontalAlignment.Center, FarPoint.Win.VerticalAlignment.Center);
      progressCellType6.FillColor = System.Drawing.Color.Gold;
      progressCellType6.FillColor2 = System.Drawing.Color.LemonChiffon;
      progressCellType6.Orientation = FarPoint.Win.ProgressOrientation.TopToBottom;
      progressCellType6.Style = FarPoint.Win.ProgressStyle.Bars;
      this.ProgressSheet.Cells.Get(7, 3).CellType = progressCellType6;
      this.ProgressSheet.Cells.Get(7, 3).VisualStyles = VisualStyles.Off;
      this.ProgressSheet.Cells.Get(7, 3).Value = "43";
      this.ProgressSheet.Cells.Get(1, 1).CellType = progressCellType1;
      this.ProgressSheet.Cells.Get(1, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(1, 1).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(1, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.ProgressSheet.Cells.Get(1, 1).ParseFormatString = "n";
      this.ProgressSheet.Cells.Get(1, 1).Value = 50;
      progressCellType2.FillColor = System.Drawing.Color.Blue;
      progressCellType2.FillColor2 = System.Drawing.Color.Cyan;
      progressCellType2.FillTextColor = System.Drawing.Color.Black;
      progressCellType2.Orientation = FarPoint.Win.ProgressOrientation.BottomToTop;
      progressCellType2.TextStyle = FarPoint.Win.ProgressTextStyle.Value;
      this.ProgressSheet.Cells.Get(1, 3).CellType = progressCellType2;
      this.ProgressSheet.Cells.Get(1, 3).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(1, 3).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(1, 3).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.ProgressSheet.Cells.Get(1, 3).ParseFormatString = "n";
      this.ProgressSheet.Cells.Get(1, 3).RowSpan = 5;
      this.ProgressSheet.Cells.Get(1, 3).Value = 33;
      this.ProgressSheet.Cells.Get(1, 3).VisualStyles = FarPoint.Win.VisualStyles.Off;
      progressCellType3.FillColor = System.Drawing.Color.RoyalBlue;
      progressCellType3.FillColor2 = System.Drawing.Color.Aqua;
      progressCellType3.FillTextColor = System.Drawing.Color.Black;
      progressCellType3.Style = FarPoint.Win.ProgressStyle.Gradient;
      progressCellType3.Orientation = FarPoint.Win.ProgressOrientation.RightToLeft;
      progressCellType3.TextStyle = ProgressTextStyle.PercentRemaining;
      this.ProgressSheet.Cells.Get(3, 1).CellType = progressCellType3;
      this.ProgressSheet.Cells.Get(3, 1).ForeColor = System.Drawing.Color.Black;
      this.ProgressSheet.Cells.Get(3, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(3, 1).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(3, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.ProgressSheet.Cells.Get(3, 1).ParseFormatString = "n";
      this.ProgressSheet.Cells.Get(3, 1).Value = 75;
      this.ProgressSheet.Cells.Get(3, 1).VisualStyles = FarPoint.Win.VisualStyles.Off;
      progressCellType4.Text = "Custom Text";
      progressCellType4.TextStyle = FarPoint.Win.ProgressTextStyle.Custom;
      this.ProgressSheet.Cells.Get(5, 1).CellType = progressCellType4;
      this.ProgressSheet.Cells.Get(5, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(5, 1).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(5, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.ProgressSheet.Cells.Get(5, 1).ParseFormatString = "n";
      this.ProgressSheet.Cells.Get(5, 1).Value = 66;
      this.ProgressSheet.Cells.Get(5, 1).VisualStyles = FarPoint.Win.VisualStyles.Off;
      System.IO.Stream image2 = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.babyd.PNG");
      Image i = Image.FromStream(image2);
      progressCellType5.Picture = new FarPoint.Win.Picture(i, RenderStyle.Normal);
      progressCellType5.Style = ProgressStyle.Picture;
      this.ProgressSheet.Cells.Get(7, 1).CellType = progressCellType5;
      //this.ProgressSheet.Cells.Get(7, 1).ColumnSpan = 3;
      this.ProgressSheet.Cells.Get(7, 1).ParseFormatInfo = ((System.Globalization.NumberFormatInfo)(cultureInfo.NumberFormat.Clone()));
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(7, 1).ParseFormatInfo)).NumberDecimalDigits = 0;
      ((System.Globalization.NumberFormatInfo)(this.ProgressSheet.Cells.Get(7, 1).ParseFormatInfo)).NumberGroupSizes = new int[] {
        0};
      this.ProgressSheet.Cells.Get(7, 1).ParseFormatString = "n";
      this.ProgressSheet.Cells.Get(7, 1).RowSpan = 2;
      this.ProgressSheet.Cells.Get(7, 1).Value = 75;
      this.ProgressSheet.Cells.Get(7, 1).VisualStyles = FarPoint.Win.VisualStyles.Off;
      this.ProgressSheet.Columns.Get(1).Width = i.Width;
      this.ProgressSheet.Columns.Get(3).Width = 87F;
      this.ProgressSheet.Rows.Get(1).Height = 33F;
      this.ProgressSheet.Rows.Get(3).Height = 29F;
      this.ProgressSheet.Rows.Get(7).Height = i.Height;

    }
    public void InitRegularExpression()
    {
      FarPoint.Win.Spread.CellType.TextCellType textCellType1 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.RegularExpressionCellType regularExpressionCellType1 = new FarPoint.Win.Spread.CellType.RegularExpressionCellType();
      FarPoint.Win.Spread.CellType.RegularExpressionCellType regularExpressionCellType2 = new FarPoint.Win.Spread.CellType.RegularExpressionCellType();
      FarPoint.Win.Spread.CellType.RegularExpressionCellType regularExpressionCellType3 = new FarPoint.Win.Spread.CellType.RegularExpressionCellType();
      this.RegularExpressionSheet.Cells.Get(1, 0).Locked = true;
      this.RegularExpressionSheet.Cells.Get(1, 0).ParseFormatString = "G";
      this.RegularExpressionSheet.Cells.Get(1, 0).Value = "Enter a Regular Expression:";
      this.RegularExpressionSheet.Cells.Get(1, 1).CellType = textCellType1;
      this.RegularExpressionSheet.Cells.Get(1, 1).Value = "^([0-9a-zA-Z]([-.\\w]*[0-9a-zA-Z])*@([0-9a-zA-Z][-\\w]*[0-9a-zA-Z]\\.)+[a-zA-Z]{2,9}" +
          ")$";
      this.RegularExpressionSheet.Cells.Get(2, 0).ParseFormatString = "G";
      this.RegularExpressionSheet.Cells.Get(2, 0).Value = "Cell to Evaluate:";
      regularExpressionCellType1.RegularExpression = "^([0-9a-zA-Z]([-.\\w]*[0-9a-zA-Z])*@([0-9a-zA-Z][-\\w]*[0-9a-zA-Z]\\.)+[a-zA-Z]{2,9}" +
          ")$";
      this.RegularExpressionSheet.Cells.Get(2, 1).CellType = regularExpressionCellType1;
      this.RegularExpressionSheet.Cells.Get(4, 0).ParseFormatString = "G";
      this.RegularExpressionSheet.Cells.Get(4, 0).Value = "URL Expression:";
      regularExpressionCellType2.RegularExpression = "^(ht|f)tp(s?)\\:\\/\\/[0-9a-zA-Z]([-.\\w]*[0-9a-zA-Z])*(:(0-9)*)*(\\/?)([a-zA-Z0-9\\-\\." +
          "\\?\\,\\\'\\/\\\\\\+&amp;%\\$#_]*)?$";
      this.RegularExpressionSheet.Cells.Get(4, 1).CellType = regularExpressionCellType2;
      this.RegularExpressionSheet.Cells.Get(4, 1).Value = "http://www.fpoint.com";
      this.RegularExpressionSheet.Cells.Get(5, 0).ParseFormatString = "G";
      this.RegularExpressionSheet.Cells.Get(5, 0).Value = "Social Security Expression:";
      regularExpressionCellType3.RegularExpression = "^\\d{3}-\\d{2}-\\d{4}$";
      this.RegularExpressionSheet.Cells.Get(5, 1).CellType = regularExpressionCellType3;
      this.RegularExpressionSheet.Cells.Get(5, 1).Value = "333-33-3333";
      this.RegularExpressionSheet.Columns.Get(0).Width = 139F;
      this.RegularExpressionSheet.Columns.Get(1).Width = 405F;
      this.RegularExpressionSheet.Cells.Get(1, 0).BackColor = Color.Aqua;
      this.RegularExpressionSheet.Cells.Get(2, 0).BackColor = Color.Aqua;
      this.RegularExpressionSheet.Cells.Get(4, 0).BackColor = Color.Aqua;
      this.RegularExpressionSheet.Cells.Get(5, 0).BackColor = Color.Aqua;
    }
    public void InitRichText()
    {
      FarPoint.Win.Spread.CellType.RichTextCellType richTextCellType1 = new FarPoint.Win.Spread.CellType.RichTextCellType();
      FarPoint.Win.Spread.CellType.RichTextCellType richTextCellType2 = new FarPoint.Win.Spread.CellType.RichTextCellType();
      richTextCellType1.WordWrap = true;
      this.RichText.Cells.Get(1, 1).CellType = richTextCellType1;
      this.RichText.Cells.Get(1, 1).Value = "{\\rtf1\\ansi\\ansicpg1252\\deff0\\deflang1033{\\fonttbl{\\f0\\fnil\\fcharset0 Microsoft Sans Serif;}{\\f1\\fnil\\fcharset0 Times New Roman;}}{\\colortbl ;\\red255\\green0\\blue0;\\red0\\green0\\blue0;}\\viewkind4\\uc1\\pard\\cf1\\f0\\fs17 Right click\\cf0  in edit mode to load an \\b\\f1\\fs24 RTF \\b0\\f0\\fs17 file or to use the \\cf2\\i context menu \\cf0\\i0 to format your data!\\par}";
      richTextCellType2.MaxLength = 500;
      richTextCellType2.Multiline = true;
      richTextCellType2.WordWrap = true;
      this.RichText.Cells.Get(3, 1).CellType = richTextCellType2;
      this.RichText.Cells.Get(3, 1).Value = "{\\rtf1\\fbidis\\ansi\\ansicpg1252\\deff0\\deflang1033\\deflangfe2052{\\fonttbl{\\f0\\froman\\fprq2\\fcharset0 Times New Roman;}{\\f1\froman\\fprq2\\fcharset0 Georgia;}{\\f2\\froman\\fprq2\\fcharset0 Garamond;}{\\f3\\fnil\\fprq2\\fcharset0 Amethyst;}}{\\colortbl ;\\red255\\green0\\blue0;\\red0\\green0\\blue128;\\red0\\green0\\blue255;}\\viewkind4\\uc1\\pard\\ltrpar\\f0\\fs24 This is an example of \\b FarPoint Technologies \\cf1\\b0\\f1\\fs28 Spread for Windows Forms\\cf0\\f0\\fs24  \\cf2\\ul RichTextCellType\\ulnone .\\cf0  Loading \\cf3\\i RTF\\cf0\\i0  files is easy as\\'85\\par\\par\\f2\\fs32 1\\par\\f0\\fs24\\par\\par\\f2\\fs32 2\\par\\par\\par3\\par\\f0\\fs24\\par\\i\\f3\\fs40 Done!!!\\par}";
      this.RichText.Columns.Get(1).Width = 290F;
      this.RichText.Rows.Get(1).Height = 45F;
      this.RichText.Rows.Get(3).Height = 357F;
    }
    public void InitSlider()
    {
      FarPoint.Win.Spread.CellType.SliderCellType sliderCellType1 = new FarPoint.Win.Spread.CellType.SliderCellType();
      FarPoint.Win.Spread.CellType.SliderCellType sliderCellType2 = new FarPoint.Win.Spread.CellType.SliderCellType();
      FarPoint.Win.Spread.CellType.SliderCellType sliderCellType3 = new FarPoint.Win.Spread.CellType.SliderCellType();
      FarPoint.Win.Spread.CellType.SliderCellType sliderCellType4 = new FarPoint.Win.Spread.CellType.SliderCellType();
      FarPoint.Win.Spread.CellType.SliderCellType sliderCellType5 = new FarPoint.Win.Spread.CellType.SliderCellType();
      sliderCellType1.ChangeOnFocus = true;
      sliderCellType1.KnobColor = System.Drawing.Color.LightSkyBlue;
      sliderCellType1.Maximum = 100;
      sliderCellType1.TickColor = System.Drawing.Color.DarkGray;
      sliderCellType1.TickSpacing = 10;
      sliderCellType1.TrackColor = System.Drawing.SystemColors.ScrollBar;
      this.SliderSheet.Cells.Get(1, 0).Value = 0;
      this.SliderSheet.Cells.Get(1, 0).Locked = true;
      this.SliderSheet.Cells.Get(1, 1).CellType = sliderCellType1;
      this.SliderSheet.Cells.Get(1, 1).ColumnSpan = 3;
      this.SliderSheet.Cells.Get(1, 1).Value = 0;
      this.SliderSheet.Cells.Get(1, 1).VisualStyles = FarPoint.Win.VisualStyles.Off;
      sliderCellType2.ChangeOnFocus = true;
      sliderCellType2.KnobWidth = 8;
      sliderCellType2.Maximum = 100;
      sliderCellType2.Orientation = FarPoint.Win.SliderOrientation.Vertical;
      sliderCellType2.TickColor = System.Drawing.Color.Black;
      sliderCellType2.TickSpacing = 10;
      sliderCellType2.TrackColor = System.Drawing.SystemColors.Control;
      this.SliderSheet.Cells.Get(3, 1).CellType = sliderCellType2;
      this.SliderSheet.Cells.Get(3, 1).RowSpan = 5;
      this.SliderSheet.Cells.Get(3, 1).Value = 2;
      this.SliderSheet.Cells.Get(3, 1).VisualStyles = FarPoint.Win.VisualStyles.On;
      this.SliderSheet.Cells.Get(3, 0).Value = 0;
      this.SliderSheet.Cells.Get(3, 0).Locked = true;
      sliderCellType3.KnobColor = System.Drawing.Color.DarkOrange;
      sliderCellType3.Orientation = FarPoint.Win.SliderOrientation.VerticalBottomToTop;
      sliderCellType3.TickColor = System.Drawing.Color.Black;
      sliderCellType3.TrackColor = System.Drawing.Color.DarkGoldenrod;
      sliderCellType3.ChangeOnFocus = true;
      System.IO.Stream image = this.GetType().Assembly.GetManifestResourceStream("SpreadWinDemo.Resources.website.png");
      sliderCellType3.BackgroundImage = new FarPoint.Win.Picture(Image.FromStream(image), RenderStyle.Normal, Color.Empty, FarPoint.Win.HorizontalAlignment.Center, FarPoint.Win.VerticalAlignment.Center);
      this.SliderSheet.Cells.Get(3, 3).CellType = sliderCellType3;
      this.SliderSheet.Cells.Get(3, 3).RowSpan = 5;
      this.SliderSheet.Cells.Get(3, 3).Value = 0;
      this.SliderSheet.Cells.Get(3, 3).VisualStyles = FarPoint.Win.VisualStyles.Off;
      sliderCellType4.ChangeOnFocus = true;
      sliderCellType4.Orientation = FarPoint.Win.SliderOrientation.Vertical;
      sliderCellType4.TickColor = System.Drawing.Color.Black;
      this.SliderSheet.Cells.Get(4, 1).CellType = sliderCellType4;
      sliderCellType5.Orientation = FarPoint.Win.SliderOrientation.HorizontalRightToLeft;
      sliderCellType5.TickColor = System.Drawing.Color.Black;
      this.SliderSheet.Cells.Get(9, 1).CellType = sliderCellType5;
      this.SliderSheet.Cells.Get(9, 1).ColumnSpan = 3;
      this.SliderSheet.Cells.Get(9, 1).VisualStyles = FarPoint.Win.VisualStyles.On;
      this.SliderSheet.Cells.Get(9, 0).Value = 0;
      this.SliderSheet.Cells.Get(9, 0).Locked = true;
    }
    public void InitText()
    {
      FarPoint.Win.LineBorder lineBorder1 = new FarPoint.Win.LineBorder(System.Drawing.Color.DimGray);
      FarPoint.Win.Spread.CellType.TextCellType textCellType1 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.LineBorder lineBorder2 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.TextCellType textCellType2 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.LineBorder lineBorder3 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.TextCellType textCellType3 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.LineBorder lineBorder4 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.TextCellType textCellType4 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.LineBorder lineBorder5 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.TextCellType textCellType5 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.TextCellType textCellType6 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.LineBorder lineBorder6 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.TextCellType textCellType7 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.LineBorder lineBorder7 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.TextCellType textCellType8 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.Spread.CellType.TextCellType textCellType9 = new FarPoint.Win.Spread.CellType.TextCellType();
      FarPoint.Win.LineBorder lineBorder8 = new FarPoint.Win.LineBorder(System.Drawing.SystemColors.WindowFrame);
      FarPoint.Win.Spread.CellType.TextCellType textCellType10 = new FarPoint.Win.Spread.CellType.TextCellType();
      this.TextSheet.Cells.Get(1, 1).Border = lineBorder1;
      textCellType1.Multiline = true;
      textCellType1.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
      textCellType1.WordWrap = true;
      this.TextSheet.Cells.Get(1, 1).CellType = textCellType1;
      this.TextSheet.Cells.Get(1, 1).Value = "This text will wrap at the cell boundary.";
      this.TextSheet.Cells.Get(1, 3).BackColor = System.Drawing.Color.Beige;
      this.TextSheet.Cells.Get(1, 3).Border = lineBorder2;
      textCellType2.TextOrientation = FarPoint.Win.TextOrientation.TextTopDownRTL;
      this.TextSheet.Cells.Get(1, 3).CellType = textCellType2;
      this.TextSheet.Cells.Get(1, 3).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Right;
      this.TextSheet.Cells.Get(1, 3).Value = "top down and right to left.";
      this.TextSheet.Cells.Get(1, 4).BackColor = System.Drawing.Color.LightGoldenrodYellow;
      this.TextSheet.Cells.Get(1, 4).Border = lineBorder3;
      textCellType3.TextOrientation = FarPoint.Win.TextOrientation.TextHorizontalFlipped;
      this.TextSheet.Cells.Get(1, 4).CellType = textCellType3;
      this.TextSheet.Cells.Get(1, 4).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Right;
      this.TextSheet.Cells.Get(1, 4).Value = "flipped!";
      this.TextSheet.Cells.Get(2, 3).Border = lineBorder4;
      textCellType4.TextOrientation = FarPoint.Win.TextOrientation.TextVertical;
      this.TextSheet.Cells.Get(2, 3).CellType = textCellType4;
      this.TextSheet.Cells.Get(2, 3).Value = "vertical!";
      this.TextSheet.Cells.Get(2, 4).Border = lineBorder5;
      textCellType5.TextOrientation = FarPoint.Win.TextOrientation.TextRotateCustom;
      textCellType5.TextRotationAngle = 30;
      this.TextSheet.Cells.Get(2, 4).CellType = textCellType5;
      this.TextSheet.Cells.Get(2, 4).HorizontalAlignment = FarPoint.Win.Spread.CellHorizontalAlignment.Center;
      this.TextSheet.Cells.Get(2, 4).Value = "custom!";
      this.TextSheet.Cells.Get(2, 4).VerticalAlignment = FarPoint.Win.Spread.CellVerticalAlignment.Center;
      textCellType6.StringTrim = System.Drawing.StringTrimming.EllipsisCharacter;
      this.TextSheet.Cells.Get(3, 1).CellType = textCellType6;
      this.TextSheet.Cells.Get(3, 1).Value = "This text will be trimmed!";
      this.TextSheet.Cells.Get(3, 3).BackColor = System.Drawing.Color.Aqua;
      this.TextSheet.Cells.Get(3, 3).Border = lineBorder6;
      textCellType7.CharacterCasing = System.Windows.Forms.CharacterCasing.Upper;
      textCellType7.CharacterSet = FarPoint.Win.Spread.CellType.CharacterSet.Alpha;
      this.TextSheet.Cells.Get(3, 3).CellType = textCellType7;
      this.TextSheet.Cells.Get(3, 3).Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F);
      this.TextSheet.Cells.Get(3, 3).Value = "UPPER CASE";
      this.TextSheet.Cells.Get(3, 4).BackColor = System.Drawing.Color.DeepSkyBlue;
      this.TextSheet.Cells.Get(3, 4).Border = lineBorder7;
      textCellType8.CharacterCasing = System.Windows.Forms.CharacterCasing.Lower;
      textCellType8.CharacterSet = FarPoint.Win.Spread.CellType.CharacterSet.Alpha;
      this.TextSheet.Cells.Get(3, 4).CellType = textCellType8;
      this.TextSheet.Cells.Get(3, 4).ForeColor = System.Drawing.Color.White;
      this.TextSheet.Cells.Get(3, 4).Value = "lower case";
      textCellType9.AutoCompleteCustomSource.AddRange(new string[] {
            "Andrew",
            "Arthur",
            "Billy",
            "Bobby",
            "Charlie",
            "Claire",
            "David",
            "Eugene",
            "Frank",
            "Francis",
            "George",
            "Gina",
            "Harry",
            "Holly",
            "Ingrid",
            "Jack",
            "John",
            "Jen",
            "Jill",
            "James",
            "Kevin",
            "Kelly",
            "Lauren",
            "Larry",
            "Manny",
            "Molly",
            "Nina",
            "Nancy",
            "Oliver",
            "Olivia",
            "Paul",
            "Quinn",
            "Ralph",
            "Raine",
            "Steven",
            "Susan",
            "Tommy",
            "Tara",
            "Uma",
            "Victor",
            "Valerie",
            "Walker",
            "Wesley",
            "Xena",
            "Yonda",
            "Zip",
            "Perry"});
      textCellType9.AutoCompleteMode = System.Windows.Forms.AutoCompleteMode.SuggestAppend;
      textCellType9.AutoCompleteSource = System.Windows.Forms.AutoCompleteSource.CustomSource;
      this.TextSheet.Cells.Get(5, 1).CellType = textCellType9;
      this.TextSheet.Cells.Get(5, 1).Locked = false;
      this.TextSheet.Cells.Get(5, 1).ParseFormatString = "G";
      this.TextSheet.Cells.Get(5, 1).Value = "<Type a Name>";
      this.TextSheet.Cells.Get(5, 3).ParseFormatString = "G";
      this.TextSheet.Cells.Get(5, 3).Value = "Enter password:";
      this.TextSheet.Cells.Get(5, 4).Border = lineBorder8;
      textCellType10.PasswordChar = '*';
      this.TextSheet.Cells.Get(5, 4).CellType = textCellType10;
      this.TextSheet.Columns.Get(1).Width = 93F;
      this.TextSheet.Columns.Get(2).Width = 20F;
      this.TextSheet.Columns.Get(3).Width = 84F;
      this.TextSheet.Columns.Get(4).Width = 101F;
      this.TextSheet.Rows.Get(1).Height = 43F;
      this.TextSheet.Rows.Get(2).Height = 49F;
      this.TextSheet.Rows.Get(5).Height = 36F;
      this.TextSheet.Rows.Get(6).Height = 70F;
    }
    public void ShowSheet(int index)
    {
      this.FpSpread1.ActiveSheetIndex = index;
    }
  }
}
